<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use App\Models\Product;
use DB;
class ProductExport implements FromCollection , WithHeadings
{
    /**
    * @return \Illuminate\Support\Collection
    */
    public function collection()
    {
	 $type = DB::table('products')->select('products.id', 'product_translations.product_title', 'products.fiyat', 'products.UrunİndirimOranı', 'products.ExtraAdet', 'products.Extrafiyat')
    ->rightJoin('product_translations', 'products.id', '=', 'product_translations.product_id')
    ->where('product_translations.locale', 'tr')
    ->get();
        return $type ;
       
    }
	 public function headings(): array
    {
        return [
            'id',
            'baslik',
            'fiyat',
			'UrunİndirimOranı',
			'ExtraAdet',
			'Extrafiyat',
        ];
    }
}
