<?php

namespace App\Http\Controllers\Backend\Sms;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Smspost;
use App\Models\Customers;
use App\Models\Bayi;
use App\Models\Smssablon;
use Illuminate\Support\Str;
use App\Services\SmsService;
use Carbon\Carbon;

class SmsController extends Controller
{
    	public function getSms()
		{
			
			$sms_post = Smspost::orderBy('id','desc')->get();
			return view('backend.sms.sms')->with('sms_post', $sms_post);
		}

		public function getSmsAdd()
		{
			$Bayi = Bayi::all();     	
			$Customer = Customers::all();
			$Smssablon = Smssablon::all();
			return view('backend.sms.sms-add')->with('Bayi', $Bayi)->with('Customer', $Customer)->with("Smssablon",$Smssablon);
		}

        public function getKullanici(Request $request)
		{
            $id = $request->id;
            $regencies ="";
            if($id==1){
                $regencies = Customers::all();

            }else{

                $regencies = Bayi::all();
            }
           
            return response()->json($regencies);
		}


		public function postSmsAdd(Request $request)
		{
			

                    try {
					
                        $Kullanici =$request->Kullanici_Id;
                            $say =count($Kullanici);
							
                            
                            for($i = 0; $i<$say ;$i++){
                               
                                    $customer=Bayi::where('id',$Kullanici[$i])->first();
									
									$sms =str_replace('{firma}', $customer->bayi_name, $request->Sms);
									 SmsService::send( $customer->gsm, $sms);
									DB::table('smsposts')->insert(
										[ 'Sms' => $sms, 'Kullanıcı_Id'=> $Kullanici[$i],'created_at'=>Carbon::now()]
									);
					}
                        return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Sms Gönderildi']);
                    } catch (\Exception $e) {
                        return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Sms Gönderilemedi']);
                    }

                
               
		
		}
		public function getSmsTemplate()  	
		{   
			$sms_sablon = Smssablon::orderBy('Id','desc')->get(); 
			return view('backend.sms.sms-template')->with('sms', $sms_sablon);  
		
		}	
		public function postSmsTemplate(Request $request)  
		{ 		
		try {	
            DB::table('smssablons')->where('id' , $request->id)->delete();
           
			return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Sms Kalıbı Silindi']);  
			
   			}
			catch (\Exception $e) {  	
				return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Sms Kalıbı Silinemedi']);   
			}  
	
		}   
		   public function getSmsTemplateEdit($smsId)   
		{		
			$sms_sablon = Smssablon::where("id",$smsId)->first(); 	
			return view('backend.sms.sms-template-edit')->with("sms_sablon",$sms_sablon);  	
		
		}
		public function postSmsTemplateEdit(Request $request , $smsId)
		{	
			try {    
                
                DB::table('smssablons')->where('id' , $smsId)->update(
                    ['Baslik' => $request->Baslik, 'Sms' => $request->Sms]
                );
				return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Sms Güncellendi ']); 	
				} catch (\Exception $e) {   
				return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Sms Güncellenemedi']);   
				}  		
		
		}
    	public function getSmsTemplateAdd()  
		{    		
			return view('backend.sms.sms-template-add');   
		
		}			
		public function postSmsTemplateAdd(Request $request)  
		{ 			
			try {       
                DB::table('smssablons')->insert(
                    ['Baslik' => $request->Baslik, 'Sms' => $request->Sms]
                );
			
				return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Sms Eklendi ']); 	
				} catch (\Exception $e) {           	
				return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Sms Eklenemedi']);    	
				}   			
		
		}
}
