<?php
	namespace App\Http\Controllers\Frontend\Content;
	use App\Http\Controllers\Controller;
	use App\Models\Category;
	use App\Models\Product;
	use App\Models\ProductFiles;
	use App\Models\SiparisDetay;
	use App\Models\Favori;
	use App\Models\Yorum;
	use App\Models\Bayi;
	use App\Models\Page;
	use App\Models\Files;
	use Carbon\Carbon;
	use Illuminate\Http\Request;
	use Illuminate\Support\Facades\Auth;
	use DB;
	class ContentController extends Controller
	{
		public function index($locale ,$id ,Request $request)
		{
		
			$ustkategori =  Category::whereTranslation('locale', $locale)->whereTranslation('category_slug', $id)->first();
			if ($ustkategori==null) {
				$urun =  Product::whereTranslation('locale', $locale)->whereTranslation('product_slug',$id)->where('product_status','on')->first(); 
				if ($urun==null) {
					$item =  Page::whereTranslation("locale",$locale)->whereTranslation('page_slug',$id)->first();
					if($item!=null)
					{
				
					if(Page::where('Ust',$item->id)->count()>0){
						$items =  Page::whereTranslation("locale",$locale)->where('Ust',$item->id)->orderByRaw('page_order,id desc')->get();
						
						return view('frontend.template.'.$item->sablon.'.list')->with('items',$items)->with('item',$item);  
						}else{
						$document =  Files::where('content_id',$item->id)->get();
						return view('frontend.template.'.$item->sablon.'.detail')->with('item',$item)->with('document',$document);  
					}
						}else{
						abort(404,'Page not found');		 
					}
					}else{
					$altkategori =  Category::where('Id', $urun->product_categoryId)->first();
					$yorum =  Yorum::with('yorumFiles')->where('urun_id', $urun->id)->where('durum','on')->get();
					$ustkategori;
					if($altkategori->up_categoryId==0){
						$ustkategori=$altkategori;
						}else{
					$ustkategori =  Category::where('id', $altkategori->up_categoryId)->first();
				
						}
					$galeri =  ProductFiles::where('content_id', $urun->id)->get();
					$urunlist = Product::where('product_categoryId', $altkategori->id)
					->inRandomOrder()
					->limit(6)
					->where('product_status','on')
					->get();
					return view('frontend.product')->with('urun',$urun)->with('ustkategori',$ustkategori)->with('altkategori',$altkategori)->with('urunlist',$urunlist)->with('galeri',$galeri)->with('yorum',$yorum);    
				}
				}else{
				$ustkategori_id=$ustkategori->id;
				$allcategori = Category::where('up_categoryId' ,$ustkategori_id)->pluck('id');
				$urun =  Product::whereIn('product_categoryId',$allcategori)->orWhere('product_categoryId',$ustkategori_id)->where('product_status','on')->get();
				return view('frontend.kategori')->with('ustkategori',$ustkategori)->with('urun',$urun); 
			}
		}

public function favorite(Request $request)
		{
			

			$user_id =  session('customer_id'); 

if($user_id==null){
return response(['status' => 'error',  'content' => 'Lütfen önce hesabınıza giriş yapın']);
}

			$favori =  Favori::where('urun_id',$request->id)->where('User_Id', $user_id)->first();

			if(isset($favori)){
		 Favori::where('urun_id',$request->id)->where('user_id',$user_id)->delete();
		 return response(['status' => 'success',  'content' => 'Ürün favorilerinizden silindi.']);

					}else{
					 Favori::create([
			
			'urun_id' =>$request->id,
			'user_id'=>$user_id,
			]);
			 return response(['status' => 'success',  'content' => 'Ürün favorilerinize eklendi.']);
				}

		}

		public function postindex($id ,Request $request)
		{
			

			

			$id=$request->id;
			$urun =  Product::where('id',$id)->first();
			$fiyat = $urun->fiyat;
			$indirimlifiyat =$fiyat -  (($fiyat * $urun->UrunİndirimOranı )/100);
			
			$user_id =  session('customer_id'); 
			$user_idkontrol =  session('customer_id'); 
			$request_ip =  str_replace(".", "",  $request->ip());	
		
		
			if($user_id==null){
			  $user_id = $request_ip;
				}
			$siparis =  SiparisDetay::where('Urun_Id',$id)->where('Siparis_Id',0)->where('User_Id', $user_id)->first();
			$imagePath = public_path($urun->product_image);
			$base64 = "data:image/png;base64,".base64_encode(file_get_contents($imagePath));
			if($urun->ExtraAdet>0){
				$adet=0;
				if(isset($siparis)){
					$adet =$siparis->Adet + $request->adet;
					}else{
					$adet = $request->adet;
				}
				if( $urun->ExtraAdet   <= $adet){
					$indirimlifiyat = $indirimlifiyat -  (($fiyat * $urun->Extrafiyat )/100);
			}
		}
		
		if($user_idkontrol>0){
		$user = Bayi::where('id',$user_id)->first();
		
		
		if( $user->iskonta >0){
			$indirimlifiyat =$indirimlifiyat -  (($fiyat * $user->iskonta )/100);
		}
		
		}
        if(isset($siparis)){
            SiparisDetay::where('id',$siparis->id)->update([
			'Fiyat' => $indirimlifiyat,
			'Adet' => $siparis->Adet + $request->adet,
		
            ]);
			}else{
            SiparisDetay::create([
			'Siparis_Id' => 0,
			'Urun_Id' =>$id,
			'Urun_Title' =>$urun->getTranslation('tr')->product_title,
			'Adet' =>$request->adet,
			'Fiyat' => $indirimlifiyat,
			'İndirimsizFiyat' =>  $fiyat,
			'Desi' =>  $urun->Desi,
			'User_Id'=>$user_id,
			'Image'=> $base64 ,
            ]);
		} 
		if($id>0){
			$siparis =  SiparisDetay::where('Siparis_Id',0)->where('User_Id', $user_id)->count();
			$siparisamount =  SiparisDetay::where('Siparis_Id',0)->where('User_Id', $user_id)->sum(DB::raw('Adet * Fiyat '));
			return response(['status' => 'success' , 'count' => $siparis , 'amount' => number_format( $siparisamount,2)]);
		}
		return response(['status' => 'error', 'title' => 'Hata', 'content' => 'Ürün Eklenemedi']);
	}
	public function kategori($locale ,$katslug , $altkatslug, Request $request)
	{
        $ustkategori =  Category::whereTranslation('locale',$locale)->whereTranslation('category_slug', $katslug)->first();
		if ($ustkategori==null) {
			abort(500, 'Page not found');
		}
        $altkategori =  Category::whereTranslation('locale',$locale)->whereTranslation('category_slug', $altkatslug)->first();
		if ($altkategori==null) {
			abort(500, 'Page not found');
		}
        $altkategori_id=$altkategori->id;
        $urun =  Product::where('product_categoryId',$altkategori_id)->where('product_status','on')->get();
		return view('frontend.kategori')->with('ustkategori',$ustkategori)->with('urun',$urun); 
	}
}