<?php

namespace App\Http\Controllers\Frontend\Search;

use App\Http\Controllers\Controller;
use App\Models\Category;
use App\Models\Product;
use App\Models\Favori;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

use Helper;
class SearchController extends Controller
{
 
    public function index($locale , $id ,Request $request)
    {
	$keywords = explode(" ", $id);
	
	
	$urun = Product::where(function ($q) use ($keywords) {
    collect($keywords)->each(function ($keyword) use ($q) {
      $q->whereTranslationLike('product_title', '%'. $keyword .'%');
   
    });
})->where('product_status','on')->get();
	
	
	
	
         return view('frontend.aramasonuclari')->with('urun',$urun);   
     }


public function favori()
    {

           $bayi_id =  session('customer_id');

		 $favori =  Favori::where('user_id',$bayi_id)->get();
     
         return view('frontend.favori')->with('favori',$favori); 
     }

    public function kampanya()
    {
     $urun =  Product::where('UrunİndirimOranı',">", 0)->where('product_status','on')->get();
     
         return view('frontend.kampanya')->with('urun',$urun); 
     }



  public function yeniurun()
    {
          $urun =  Product::where('YeniUrun',"on")->where('product_status','on')->get();
     
         return view('frontend.new')->with('urun',$urun);   
     
     }
}
