<?php

namespace App\Models;
use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;
use Eloquent;
use Illuminate\Database\Eloquent\Model;

class Page extends Model implements TranslatableContract
{
    use Translatable;
	protected $table = 'pages';
    public $translatedAttributes = ['page_name','Layer1', 'Layer2', 'Layer3', 'Layer4','Layer5', 'Layer6', 'Layer7', 'Layer8','page_description', 'page_tags', 'page_content','page_slug'];
    protected $fillable = [
        'page_image',
        'opsiyonel_image',
        'page_banner',
        'page_status',
        'page_order',
        'Ust',
        'id',
        'Tur',
        'Add_Date',
        'sablon',
		'form',
        'topmenu_status',
        'page_dropdown',
        'page_list',
    ];

    
}
class PageTranslation extends Eloquent {

    protected $table = 'page_translations';
    public $timestamps = false;
    protected $fillable = ['page_id','page_name','Layer1', 'Layer2', 'Layer3', 'Layer4','Layer5', 'Layer6', 'Layer7', 'Layer8','page_description', 'page_tags', 'page_content','page_slug'];

}


