<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Siparis extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'Id',
        'User_Id',
        'Musteri_Adi',
        'Durum',
        'OdemeSekli',
        'OdemeDurumu',
        'Adres_Baslik',
        'Acıklama',
        'GonderimTarihi',
        'adres',
		'SiparisNo',
		'created_at',
		'Kargo',
		'İndirim',
		'GenelToplam',
		'ToplamTutar',
		'created_at',
		'İlce',
        'Plaka',
        'Lojistikkey',
    ];

    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function SiparisID()
    {
        return $this->hasMany('App\Models\SiparisDetay', 'Siparis_Id', 'Id');
    }
    
    public function Bayi()
    {
        return $this->hasOne('App\Models\Bayi', 'id', 'User_Id')->withDefault([
        'bayi_name' => 'Silinmiş Bayi',
    ]);
    }
}