<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SiparisDetay extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'Id',
        'User_Id',
        'Siparis_Id',
        'Urun_Id',
        'Fiyat',
        'Adet',
        'Image',
        'İndirimsizFiyat',
        'Desi',
        'Urun_Title',
    ];
       /**
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function Urun()
    {
        return $this->HasOne('App\Models\Product', 'id', 'Urun_Id')->withDefault([
        'product_image' => '/null.png',
    ]);
    }
}
