<?php

namespace App\Services\Payment;

use Illuminate\Http\Request;
use Spatie\ArrayToXml\ArrayToXml;


class  Ziraat
{
   
    protected $clientId;
	protected $amount;
	protected $oid;
	protected $okUrl;
	protected $failUrl;
	protected $callbackurl;
	protected $rnd;
	protected $storekey;
	protected $hash;
	protected $pan;
	protected $year;
	protected $month;
	protected $cv2;
	protected $lang;
	protected $cardtype;
	protected $storetype ;
	protected $Types ;
	protected $currency ;
	
	
	
	
	
    
	public function setTypes(string $Types): Ziraat
    {
        $this->transaction_type = $Types;

        return $this;
    }
	
	 
	public function setcurrency(string $currency): Ziraat
    {
        $this->currency = $currency;

        return $this;
    }
	

	public function setclientId(string $clientId): Ziraat
    {
        $this->clientId = $clientId;

        return $this;
    }
	 public function setamount($amount): Ziraat
    {
        $this->amount =number_format($amount, 2);

        return $this;
    }
	
	 public function setoid($oid): Ziraat
    {
        $this->oid = $oid;

		return $this;
    }
	public function setokUrl($okUrl): Ziraat
    {
        $this->okUrl = $okUrl;

        return $this;
    }

  
    public function setfailUrl($failUrl): Ziraat
    {
        $this->failUrl = $failUrl;

        return $this;
    }
	
	 public function setcallbackurl($callbackurl): Ziraat
    {
        $this->callbackurl = $callbackurl;

        return $this;
    }
	
	 public function setrnd($rnd): Ziraat
    {
        $this->rnd = $rnd;

        return $this;
    }
	
	
	 public function setstorekey($storekey): Ziraat
    {
        $this->storekey = $storekey;

        return $this;
    }
	 public function sethash($hash): Ziraat
    {
        $this->hash = $hash;

        return $this;
    }
	 public function setpan($pan): Ziraat
    {
        $this->pan = $pan;

        return $this;
    }
	 public function setyear($year): Ziraat
    {
        $this->Ecom_Payment_Card_ExpDate_Year = $year;

        return $this;
    }
	 public function setmonth($month): Ziraat
    {
        $this->com_Payment_Card_ExpDate_Month = $month;

        return $this;
    }
	
	
	
	public function setcv2($cv2): Ziraat
    {
        $this->cv2 = $cv2;
		
        return $this;
    }
	
	public function setlang($lang): Ziraat
    {
        $this->lang = $lang;
		
        return $this;
    }
	
	public function setcardtype($cardtype): Ziraat
    {
        $this->cardtype = $cardtype;
		
        return $this;
    }
	public function setstoretype ($storetype ): Ziraat
    {
        $this->storetype  = $storetype;
		
        return $this;
    }
	
	
	
	public function check()
    {
        $ch = curl_init();

        curl_setopt($ch, CURLOPT_URL, 'https://sanalpos2.ziraatbank.com.tr/fim/est3Dgate');
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_HTTPHEADER, ["Content-Type" => 'application/x-www-form-urlencoded']);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($this));


        
        $result = curl_exec($ch);

      

        return $result;
    }

   
    

   
    public function curl($xml)
    {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, "https://sanalpos2.ziraatbank.com.tr/fim/est3Dgate");
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_POSTFIELDS, 'prmstr=' . $xml);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_OPTIONS, ["CURLOPT_SSLVERSION" => "CURL_SSLVERSION_TLSv1_1"]);

        $result = curl_exec($ch);
        curl_close($ch);

        return $result;
    }


}