<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{$title}}</title>

    <!-- Scripts -->
   
 
    <link href="/backend/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
    <!-- Icons Css -->
    <link href="/backend/css/icons.min.css" rel="stylesheet" type="text/css" />
    <!-- App Css-->
    <link href="/backend/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />

  
</head>

<body class="auth-body-bg">

    <div class="accountbg"></div>
    <div class="home-btn d-none d-sm-block text-white">
        <a href="/" class="text-white"><i class="fas fa-home h2 text-white"></i></a>
    </div>
    <div class="wrapper-page">
        <div class="card card-pages shadow-none">
    
            <div class="card-body">
        @yield('content')
    </div>
    
</div>
</div>

</body>
</html>
