﻿@extends('backend.app')

@section('content')

<div class="card border border-primary">
	<div class="card-header bg-transparent border-primary">
		<h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Değişken Ekle</h5>
	</div>
	<div class="card-body">

		{!! BootForm::open() !!}

			<div class="row">

				<div class="col-md-6">

					{!! BootForm::text('Anahtar','locale_insert_value') !!}

				</div>

				<div class="col-md-6">

					{!! BootForm::text('Değer','locale_insert_key') !!}

				</div>

				<div class="col-md-12">


						<label class="control-label d-none d-sm-block">&nbsp;</label>
					<span  id="locale-array-insert-btn" class="btn btn-primary btn-block w-100">Ekle</span>

				
				</div>

			</div>

		{!! BootForm::close() !!}

	</div>
</div>
<div class="card border border-primary">
					<div class="card-header bg-transparent border-primary">
						<div class="d-flex justify-content-between align-items-center">
						<h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Dil Yönetimi</h5>
						<a class="btn btn-primary float-right " href="{{ route('languages.create') }}">Yeni Kayıt</a>
					</div>
					</div>
					<div class="card-body">

						@if(count($languages)>0)


						<div class="table-responsive">

							<table  class="table table-bordered table-striped">

								<thead>
<tr role="row">
									

									<th scope="col">Başlık</th>

									<th scope="col">Düzenle</th>
									<th scope="col">Sil</th>
</tr>
								</thead>

								<tbody>

									@foreach($languages as $item)

										<tr >

											

											<td>{{ $item->title }}</td>

											<td>

												<a href="{{ route('languages.edit',$item->id) }}" class="btn btn-primary">Düzenle</a>

												

											</td>
											<td><form action="{{ route('languages.destroy' , $item->id) }}" method="POST" class="d-inline-block">

												@csrf

												{{ method_field('DELETE') }}

												<button class='btn btn-danger delete-item'>Sil</button>

											</form></td>

										</tr>

									@endforeach

								</tbody>

							</table>

							{{ $languages->links() }}

						</div>

						@else

							<div class="alert alert-warning" role="alert">

								Kayıt bulunmamaktadır.

							</div>

						@endif

					</div>
				</div>



			
@endsection
@section('css')

@endsection