 @extends('backend.app')

@section('content')

    <div class="content-wrapper">
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">Sms</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="#">Anasayfa</a></li>
                            <li class="breadcrumb-item active">Sms</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>

        <section class="content">
            <div class="container-fluid">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">Sms Listesi</h3>
                    </div>
                    <div class="card-body">
                        <table id="defaulttable" data-order='[[ 0, "desc" ]]'  class="table table-bordered table-striped">
                            <thead>
                            <tr>
                                <th>Sıra</th>
                                <th>Ad Soyad</th>
                                <th>Gönderim Tarihi</th>
                                <th>Mesaj</th>
                            </tr>
                            </thead>
                            <tbody>
							@foreach($sms_post as $sms_posts)
							<tr>
							<td>{{$sms_posts->id}}</td>
							@if($sms_posts->Bayi==0)
                            <td>{{$sms_posts->BayiName->id==0?"Silinmis Bayi":$sms_posts->BayiName->bayi_name}}</td>
							@else
                            <td>{{$sms_posts->MusteriName->id==0?"Silinmis Müşteri":$sms_posts->MusteriName->name}}</td>
                            
                            @endif
                            <td>{{$sms_posts->created_at}}</td>
							<td> <button type="button" class="btn btn-primary waves-effect mo-mb-2" data-container="body" data-toggle="popover" data-placement="top" data-content="{{$sms_posts->Sms}}">
                                    Mesaj
                                </button></td>
							</tr>
							@endforeach
                            </tbody>

                        </table>
                    </div>
                    <!-- /.card-body -->
                </div>
            </div>
        </section>
    </div>

@endsection

@section('js')

  
@endsection

@section('css')
<style>
	table td {width:25%;}
</style>
@endsection
