@extends('layouts.app')
@section('title',__('system.Sipariş Özetiniz'))
@section('canonical', Request::url())
@section('keywords', __('system.Sipariş Özetiniz'))
@section('description', __('system.Sipariş Özetiniz'))
@section('content')
<section class="breadcrumb">
    <ul class="c-container">
        <li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
        <li>{{__('system.Sipariş Özetiniz')}}</li>
    </ul>
</section>
<section class="card-page">
			<div class="c-container">
				<div class="d-flex align-items-start justify-content-between">
					<div class="left">
						
						<div class="order-navigation">
							<div class="step active">Sepet</div>
							<div class="step active">Teslimat Adresi</div>
							<div class="step active">Ödeme</div>
							<div class="step active">Sipariş Özeti</div>
						</div>
						<div class=" d-flex align-items-center justify-content-between">
							<h2 class="card-page-title">Sipariş Özeti</h2>
							
						</div>
						<div class="step-content-ozet">
						<div class="d-flex align-items-center gap-2">
							
					 <i class="demo-icon icon-check">&#xe803;</i>
					 <div class="text">
					 <h5>Siparişiniz alındı! Alışverişiniz için teşekkür ederiz.</h5>
						<p>Siparişinizi takip etmek için aşağıdaki sipariş kodunuzu kullanabilirsiniz.</p><p> Kayıtlı e-posta adresinize sipariş bilgileriniz gönderilmiştir.</p>
							
						</div>	                 
						</div>
						<div class="siparis-kod">
						<p >Sipariş Kodunuz:<span id="order-number">{{$siparis->SiparisNo}}</span></p>
													<span class="site-btn copy-button" onclick="copytext('order-number')">
														  <i class="demo-icon icon-group-52496">&#xe820;</i>
														Sipariş kodunu kopyala
													</span>
						</div>	                 
						</div>	                 
						
					</div>
                    
					<div class="payment-summary">
						<h3>Alışveriş Özeti</h3>
						
						<p class="description">Ödenen Sipariş Tutarı</p>
						<p class="price p1tutar">{!!  number_format( ($siparis->ToplamTutar) ,2)  !!} TL</p>
						<div class="payment-summary-note">
						<h6>Ödeme Yöntemi</h6>
						<span>{{$siparis->OdemeSekli==2?"Havale":"Kredi Kartı"}}</span>
						<span>Tek Çekim</span>
							<span>{!!  number_format( ($siparis->ToplamTutar) ,2)  !!} TL</span>
						</div>
						<div class="button">
							<a href="/{{Config::get('app.locale')}}" class="g-btn f-size-16"> <i class="demo-icon icon-arrow-left-long-solid">&#xe817;</i>Tekrar Alışveriş Yap</a>
						</div>
						
					</div>
				</div>
			</div>
			
		</section>

        <section class="kvkk-page ">
            <div class="c-container">
            <div class="payment-agreement">
                @foreach(Helper::Pages(20) as $page)
            <h4>{{$page->page_name}}</h4>
            {!!$page->page_content!!}     
            @endforeach    
        </div>
            </div>
            </section>
@endsection
@section('css')

@endsection