﻿@extends('layouts.app')
@section('title', $item->translate(Config::get('app.locale'))->page_name)
@section('canonical', Request::url())
@section('keywords', $item->translate(Config::get('app.locale'))->page_tags)
@section('description', $item->translate(Config::get('app.locale'))->page_description)
@section('image', $item->page_image)
@section('content')
<section class="breadcrumb">
    <ul class="c-container">
                    <li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
                    <li>{{$item->page_name}}</li>
                </ul>
    </section>
    <section class="blog-page">
        <div class="c-container">
        <div class="d-flex justify-content-center">
        <div class="col-xl-7 col-lg-10 col-md-12">
        
        <div class="content">
        <div class="d-flex align-items-center justify-content-center gap-2">
            @if($item->Add_Date)
            @php
            $date = \Carbon\Carbon::parse($item->Add_Date);
       @endphp
               <div class="date">{{$date->translatedFormat('j F Y') }}</div>
        @else
        <div class="date">{{$item->$created_at->translatedFormat('j F Y') }}</div>
        @endif
     
        <span class="group">{{$item->Layer1}}</span>
        </div>
            <h1 >{{$item->page_name}}</h1>
        <img src="{{$item->page_image}}" alt="{{$item->page_name}}" class="img-fluid">
    
        {!!$item->page_content!!}
        
    
        </div>
        </div>
        </div>
    </section>



		@endsection

@section('js')

@endsection