﻿@extends('layouts.app')
@section('title', $item->page_name)
@section('canonical', Request::url())
@section('keywords', $item->page_tags)
@section('description', $item->page_description)
@section('content')

<section class="breadcrumb">
	<ul class="c-container">
					<li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
					<li>{{$item->page_name}}</li>
				</ul>
	</section>
	<section class="blog-page">
		<div class="c-container">
		<div class="row">
			@foreach($items as $index=>$content)
		<div class="col-xl-4 col-lg-6 col-md-6 ">
		<div class="item">
		<a href="{{$content->page_slug}}" title="{{$content->page_name }}">
		<div class="blog-img">
			<img src="{{$content->page_image}}"  alt="{{$content->page_name }}" class="img-fluid">
		<span>{{$content->Layer1 }}</span>
		</div>
		<div class="content">
		

		 @if($content->Add_Date)
		 @php
		 $date = \Carbon\Carbon::parse($content->Add_Date);
	@endphp
			<div class="date">{{$date->translatedFormat('j F Y') }}</div>
	 @else
	 <div class="date">{{$content->$created_at->translatedFormat('j F Y') }}</div>
	 @endif
	
		<h3>{{$content->page_name }}</h3>
		<span>Yazıyı oku    <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></span>
		</div>
		</a>
		</div>
		</div>
		@endforeach
		</div>
		</div>
	</section>

		
@endsection
