﻿@extends('layouts.app')
@section('title', $item->translate(Config::get('app.locale'))->page_name)
@section('canonical', Request::url())
@section('keywords', $item->translate(Config::get('app.locale'))->page_tags)
@section('description', $item->translate(Config::get('app.locale'))->page_description)
@section('content')
<section class="banner" style="background:url(/frontend/assets/images/banner/1.png)">
		<div class="c-container h-100">
		<div class=" d-flex  align-items-center justify-content-between h-100">
		<div class="left">
			<h1>{{$item->translate(Config::get('app.locale'))->page_name}}</h1>
			</div>
				<div class="right">
				<div class="breadcrumb-links">
					
						<div class="links">
							<ul class="d-flex">
							<li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a><span>/</span></li>
								
								<li>{{$item->translate(Config::get('app.locale'))->page_name}}</li>
							</ul>
						</div>
						</div>
	
		</div>
		</div>
		</div>
		</section>
			<section class="news">
			<div class="c-container">
			<div class="row">
				@foreach($items as $index=>$content)
			<div class="col-xl-4 col-lg-6 col-md-6 col-sm-12  mb-4">
			<a href="/{{Config::get('app.locale')}}/{{$content->translate(Config::get('app.locale'))->page_slug}}">
							<div class="item">
								<img src="{{$content->page_image}}"  alt="{{$content->translate(Config::get('app.locale'))->page_name }}" class="img-fluid">
								<span>{{$content->translate(Config::get('app.locale'))->Layer1 }}</span>
								<h4>{{$content->translate(Config::get('app.locale'))->page_name }}</h4>
								<p>{!! Str::limit($content->translate(Config::get('app.locale'))->page_content, 220) !!}</p>
								<b>{{__('system.Daha Fazla')}}<i class="fas fa-chevron-right"></i></b>
							</a>
			</div>
			</div>
				@endforeach
			</div>
			</div>
		</section>
		
@endsection
