<?php $__env->startSection('title', "Beğendiklerim"); ?>
<?php $__env->startSection('content'); ?>
<section class="breadcrumb">
    <ul class="c-container">
                    <li><a href="/<?php echo e(Config::get('app.locale')); ?>"><?php echo e(__('system.Anasayfa')); ?> </a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
                    <li><?php echo e(__('system.Siparişlerim')); ?></li>
                </ul>
    </section>

    <section class=" account-page">
    <div class="c-container">
        <div class="page-container">
            <div class="sidebar">
			<div class="account-name"> 
			 <i class="demo-icon icon-user">&#xe80b;</i>
				<p class="username"> <span>Merhaba,</span> <?php echo e(Helper::Bayii()); ?> </p>
			</div>
                <ul>
                    <li><a href="<?php echo e(route('hesabim')); ?>">Üyelik Bilgilerim</a></li>
                    <li><a href="<?php echo e(route('adres-bilgilerim')); ?>">Adreslerim</a></li>
                    <li><a href="<?php echo e(route('siparislerim')); ?>"><?php echo e(__('system.Siparişlerim')); ?></a></li>
                    <li class="active"><a href="<?php echo e(route('favori')); ?>">Beğendiklerim</a></li>
                    <li><a href="<?php echo e(route('quit')); ?>"><?php echo e(__('system.Çıkış Yap')); ?></a></li>


                </ul>
            </div>
<div class="content">
    <div class="page-header">
        
        <h1 class="page-title">Beğendiklerim
</h1>
<p>Beğendiğiniz ürünlere buradan ulaşabilir, ürün durumu uygunsa tekrar sipariş verebilirsiniz.</p>
           </div>
    <div class="page-body">
        <div class="categori-list">
        <div class="row">
            <?php $__currentLoopData = $favori; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index =>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
            $array = explode("." , $item->Urun->fiyat);
            $indirimlifiyat =number_format( $item->Urun->fiyat -  (($item->Urun->fiyat * $item->Urun->UrunİndirimOranı )/100),2);
        
            ?>
        <div class="product product-sablon" >
                        <div class="image-container">
                            <?php if($item->Urun->YeniUrun=='On'): ?>
                        <div class="new-product-title">YENİ ÜRÜN</div>
                        <?php endif; ?>
                        <img class="img-fluid" src="<?php echo e($item->Urun->product_image); ?>" alt="<?php echo e($item->Urun->product_title); ?>">
                            <div class="right">
                                <span class="add-favorite <?php echo e(Helper::favori($item->Urun->id)); ?> " data-url="<?php echo e(route('favorite-add')); ?>" data-val="<?php echo e($item->Urun->id); ?>">
                                    <i class="demo-icon icon-heart-regular"></i>
                                 </span>
                              
                                <span class="add-basket" data-url="<?php echo e(route('cart-add',$item->Urun->id)); ?>" data-val="<?php echo e($item->Urun->id); ?>">
                                <i class="demo-icon icon-basket">&#xe800;</i>
                                    </span>
                                
                                
                                </div>
                        </div>
                        <div class="content">
                            <div class="left">
                            
                                <h4><?php echo e($item->Urun->product_title); ?></h4>
                                <p><?php echo e($item->Urun->product_title_2); ?></p>
                                <div class="price">
                                    <div class="amount"><?php echo e($indirimlifiyat); ?> TL</div>
                                    <?php if($item->Urun->UrunİndirimOranı>0): ?>
                                    <div class="right">
                                        <span>%<?php echo e($item->Urun->UrunİndirimOranı); ?> İNDİRİM</span>
                                        <div class="discount-price"><?php echo e($item->Urun->fiyat); ?> TL</div>
                                    </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            
                        </div>
                    </a>
                    </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        </div>
        </div>
    </div>
</div>
</div>
</div>
</section>

    
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

<script>
    $(".add-basket").click(function () {
    
    var val= $(this).data('val');
    var url =$(this).data('url');
    $.ajax({
        type: "POST",
        url: url,
        data: { 
            
            "adet": 1,
            "id":val
              },
        
        success: function (response) {
            if (response.status=="success"){
                
                $(".sepet_adet span").text(response.count +" TL");
                $(".sepet_toplam_fiyat").text(response.amount +" TL");
                toastr.success("<?php echo e(__('system.Ürün sepete eklendi')); ?>");
                window.location.reload();
            }
            else{
                toastr.error("<?php echo e(__('system.Ürün sepete eklenemedi')); ?>");
            }
        },
        error: function () {
    
        }
    });
    
    return false;
    });
    $(".add-favorite").click(function () {
            var id = $(this).data("val");
            var url = $(this).data("url");
            var self = $(this);
            $.ajax({
                type: "POST",
                url: url,
                data: {
                    id: id,
                },
    
                success: function(response) {
                    if (response.status == "success") {
                       self.closest('.product').remove();
                        toastr.success(response.content);
                    } else {
                        toastr.warning("Lütfen önce hesabınıza giriş yapın");
                    }
                },
                error: function() {},
            });
    
            return false;
        });
    
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\frontend\favori.blade.php ENDPATH**/ ?>