<?php $__env->startSection('title', __('system.Siparişlerim')); ?>
<?php $__env->startSection('content'); ?>
<section class="breadcrumb">
    <ul class="c-container">
                    <li><a href="/<?php echo e(Config::get('app.locale')); ?>"><?php echo e(__('system.Anasayfa')); ?> </a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
                    <li><?php echo e(__('system.Siparişlerim')); ?></li>
                </ul>
    </section>

    <section class=" account-page">
    <div class="c-container">
        <div class="page-container">
            <div class="sidebar">
			<div class="account-name"> 
			 <i class="demo-icon icon-user">&#xe80b;</i>
				<p class="username"> <span>Merhaba,</span> <?php echo e(Helper::Bayii()); ?> </p>
			</div>
                <ul>
                    <li><a href="<?php echo e(route('hesabim')); ?>">Üyelik Bilgilerim</a></li>
                    <li><a href="<?php echo e(route('adres-bilgilerim')); ?>">Adreslerim</a></li>
                    <li class="active"><a href="<?php echo e(route('siparislerim')); ?>"><?php echo e(__('system.Siparişlerim')); ?></a></li>
                    <li><a href="<?php echo e(route('favori')); ?>">Beğendiklerim</a></li>
                    <li><a href="<?php echo e(route('quit')); ?>"><?php echo e(__('system.Çıkış Yap')); ?></a></li>


                </ul>
            </div>
            <div class="content">
                <div class="page-header">
                    
                    <h1 class="page-title">Siparişlerim
</h1>
<p>Daha önce vermiş olduğunuz siparişlerinizin detaylarını bu sayfadan görebilirsiniz.</p>
					   </div>
                <div class="page-body">
                    <div class="user-orders">
                        <div class="order table-header">
                            <div class="order-header">
                                <div class="date">Tarih</div>
                                <div class="no">Sipariş Numarası</div>
                                <div class="type">Ödeme Tipi</div>
                                <div class="odeme-status">Ödeme Durumu</div>
                                <div class="amount">Satış Tutarı</div>
                                <div class="status">Sipariş Durumu</div>
                            </div>
                        </div>
                        <?php $__currentLoopData = $siparis; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                        <div class="order">
                            <div class="order-header">
                                <div class="date"><?php echo e($item->created_at->translatedFormat(' j F Y ')); ?></div>
                                <div class="no"><?php echo e($item->SiparisNo); ?></div>
                                <div class="type"><?php echo e($item->OdemeSekli==1?"Kredi Kartı":"Havale"); ?></div>
								<div class="odeme-status"><?php echo e($item->OdemeDurumu==1?"Tamamlandı":"Beklemede"); ?></div>
                                <div class="amount"><?php echo e(number_format($item->ToplamTutar,2)); ?> TL</div>
                                <div class="status"><?php echo e($item->Durum == 1 ? "Beklemede" : ($item->Durum == 2 ? "Kargoya Verildi" : ($item->Durum == 3 ? "Teslim Edildi" : "İptal Edildi"))); ?></div>
                            </div>
                            <div class="order-content">
                                <div class="content-header">
                                    <p class="order-title">Sipariş Detayı</p>
                                    <div class="close-order-collapse"><i class="fas fa-times"></i></div>
                                </div>
                                <div class="details">
                                    <div class="addresses">
                                        <div class="delivery">
                                            <p class="address-title">Teslimat Adresi</p>
                                            <p class="description">
                                                <?php echo e(Helper::SiparisAdres($item->id)->Adres); ?>

                                            </p>
                                            <p class="name"><?php echo e(Helper::SiparisAdres($item->id)->Ad_Soyad); ?></p>
                                            <p class="phone"><?php echo e(Helper::SiparisAdres($item->id)->Telefon); ?></p>
                                        </div>
                                        <div class="billing">
                                            <p class="address-title">Fatura Adresi</p>
                                            <p class="description">
                                                <?php echo e(Helper::SiparisAdres($item->id)->Adres); ?>

                                            </p>
                                            <p class="name"><?php echo e(Helper::SiparisAdres($item->id)->Ad_Soyad); ?></p>
                                            <p class="phone"><?php echo e(Helper::SiparisAdres($item->id)->Telefon); ?></p>
                                        </div>
                                    </div>
                                    <div class="products">
                                         <div class="card">
                                            <?php $__currentLoopData = Helper::Siparisdetay($item->id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $siparisdetayitem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
								<img  src="<?php echo e($siparisdetayitem->Image); ?>" height="150px" alt="">
								<div class="right">
								<h3><?php echo e($siparisdetayitem->Urun_Title); ?></h3>
								<span class="d-block">30x30cm</span>
								<span class="d-block">Mat Siyah</span>
								<span class="d-block">Metalik Akrep Yelkovan</span>
								 <span class="amount"> <?php echo e(number_format(($siparisdetayitem->Fiyat ),2)); ?> TL</span>
								</div>
								</div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>




<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
<script>
    $(document).ready(function () {
        $(".user-orders .order:not(.table-header) .order-header").unbind().click(function () {
            $(this).parent().toggleClass('open');
        });

        $(".close-order-collapse").unbind().click(function () {
            $(this).parent().parent().parent().removeClass('open');
        });
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\frontend\siparis.blade.php ENDPATH**/ ?>