<?php $__env->startSection('content'); ?>

    <div class="content-wrapper">
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">Kullanıcı Ekle</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="#">Anasayfa</a></li>
                            <li class="breadcrumb-item active">Kullanıcı</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>

        <section class="content">
            <div class="container-fluid">
                <form method="post">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card m-b-30">
                                <div class="card-body">
                                    <h3 class="card-title duzenlebg">Genel Bilgiler</h3>
                                </div>
                                <div class="card-body">
                                    <div class="form-group ">
                                         <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Adı</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="text" name="name" class="form-control" placeholder=" Adı Yazınız">
                                        </div>
                                        </div>
                                       
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Puan</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="text" name="puan" class="form-control"
                                                   placeholder=" Puan Yazınız">
                                        </div>
                                        </div>
                                        <div class="form-group row">
                                        <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Bayi</label>
                                        <div class="col-sm-9 col-md-9 col-lg-6">
                                        <select required class="form-control select2" style="width: 100%;" name="bayi_id">
                                        <option value="0" selected="selected">Bayi Atanmamış</option>
                                            <?php $__currentLoopData = $bayis; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bayi): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($bayi->id); ?>"><?php echo e($bayi->bayi_name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Şifre</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="password" name="password" class="form-control"
                                                   placeholder="Şifre Yazınız">
                                        </div>
                                        </div>

                                       

                                        <div class="form-group row">
                                            <label  class="col-sm-3 col-md-3 col-lg-2 col-form-label ">Kullanıcı Durumu</label><br>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input type="checkbox" name="status" checked data-bootstrap-switch>
                                        </div>
                                        </div>
                                    </div>
                                </div>
                                </div>
                                </div>
                                </div>
                                <div class="card m-b-30">
                                    <div class="card-body">
                                        <h3 class="card-title duzenlebg">İletişim Bilgileri</h3>
                                    </div>
                                    <div class="card-body">
                                        <div class="form-group ">
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Email</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="email" name="email" class="form-control"
                                                   placeholder=" Email Yazınız">
                                        </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Telefon</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="text" name="phone" class="form-control"
                                                   placeholder=" Telefon Yazınız">
                                        </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Adres1</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="text" name="adres1" class="form-control"
                                                   placeholder=" Adres Yazınız">
                                        </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Adres2</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="text" name="adres2" class="form-control"
                                                   placeholder=" Adres Yazınız">
                                        </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Adres3</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="text" name="adres3" class="form-control"
                                                   placeholder=" Adres Yazınız">
                                        </div>
                                        </div>
                                        </div>
                                        <footer class=" text-right">
                            <button class="btn btn-success" id="usersButton" type="button" >Ekle</button>
                            </footer>
                                    </div>
                                </div>
                               
                               
                           
                        
                    </div>
                </form>
            </div>
        </section>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

    <script src="/backend/plugins/select2/js/select2.full.min.js"></script>
    <script src="/backend/plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>

    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Initialize Select2 Elements
            $('.select2bs4').select2({
                theme: 'bootstrap4'
            })

            $("input[data-bootstrap-switch]").each(function () {
                $(this).bootstrapSwitch('state', $(this).prop('checked'));
            });
        });
    </script>

    <script>

        $("#usersButton").click(function () {

            var url = "<?php echo e(route("customer-add")); ?>";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>



<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="/backend/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <link rel="stylesheet" href="/backend/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\customer\customer-add.blade.php ENDPATH**/ ?>