<?php $__env->startSection('content'); ?>

<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Slider Düzenle</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Slider Düzenle</li>
                </ol>
            </div>
        </div>
    </div>
</div>
<div class="card border border-primary">
    <div class="card-header bg-transparent border-primary">
        <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Slider</h5>
    </div>

    <div class="card-body">

        <form method="post">                  

        <div class="row mb-3">
    <div class="col-sm-6">
    <center><img id="coverImageShow" src="<?php echo e($slider->slider_image); ?>"  height="250px"></center>
    </div>
    <div class="col-sm-6">
    <center><img id="coverImageShowMobil" src="<?php echo e($slider->slider_mobil_image); ?>"   height="250px" ></center>
    </div>
</div>
        <ul class="nav nav-pills nav-justified mb-3" role="tablist">
    <?php $lang_index = 0;?>
    <?php $__currentLoopData = Helper::Locales(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <li class="nav-item waves-effect waves-light locale" >
            <a class="nav-link <?php echo e($lang_index == 0 ? 'active' : ''); ?>" data-lang="<?php echo e($key); ?>" data-bs-toggle="tab" href="#lang-<?php echo e($key); ?>" role="tab">
                <span class="d-none d-md-block"><?php echo e($value); ?></span><span class="d-block d-md-none"><i class="mdi mdi-home-variant h5"></i></span> 
            </a>
        </li>
        <?php $lang_index ++;?>

        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        
    </ul>
        
        <div class="mb-3">
        <label>Slider Resim</label>
        
                <input id="coverImage" type="file" name="slider_image" class="form-control" >
          
    </div>

    <div class="mb-3">
        <label>Slider Mobil Resim</label>
       
                <input id="coverImageMobil" type="file" name="slider_mobil_image" class="form-control">
           
    </div>

    
    <div class="tab-content">
    <?php $lang_index = 0;?>
                <?php $__currentLoopData = Helper::Locales(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="tab-pane <?php echo e($lang_index == 0 ? 'active' : ''); ?> " id="lang-<?php echo e($key); ?>" role="tabpanel">

        <div class="mb-3">
            <label>Slider Başlık</label>
            <input type="text"name="slider_name_<?php echo e($key); ?>" value="<?php echo e($slider->translate($key)->slider_name); ?>" class="form-control" placeholder="Slider Başlık Yazınız">
        </div>
        <div class="mb-3">
            <label>Slider Detay</label>
            <input type="text"name="slider_detail_<?php echo e($key); ?>" value="<?php echo e($slider->translate($key)->slider_detail); ?>" class="form-control" placeholder="Slider Detay Yazınız">
        </div>
                     
                    <?php $lang_index ++;?>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
      

        <div class="mb-3">
            <label>Slider Yönlendirme</label>
            <input type="text" name="slider_url" value="<?php echo e($slider->slider_url); ?>" class="form-control" placeholder="Slider Yönlendirme Link">
        </div>
        <div class="mb-3">
            <label>Ürün Seçiniz</label>
           <select required class="form-control select2" style="width: 100%;" name="Urun_Id">
                    <option value="<?php echo e($slider->Urun_Id); ?>" selected ></option>
                    <?php $__currentLoopData = $Urun; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Uruns): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($Uruns->id); ?>" <?php echo e($slider->Urun_Id==$Uruns->id?"selected":""); ?>><?php echo e($Uruns->product_title); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
        </div>
        
        
        
        
        <div class="mb-3">
            <label for="">Slider Durumu</label>
            <div class="square-switch">
                <input type="checkbox" name="slider_status" <?php echo e($slider->slider_status == 'on' ? 'checked' : ' '); ?> id="square-switch1" switch="none"
                checked>
                <label for="square-switch1" data-on-label="On" data-off-label="Off"></label>
            </div>

        </div>
        <button id="slidersButton" type="button" class="btn btn-primary">Kaydet</button>
        
</form>
    </div>

       
   
    </div>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('js'); ?>

    <script>
        $("#coverImage").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#coverImageShow').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        });
    </script>
 <script>
        $("#coverImageMobil").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#coverImageShowMobil').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        });
    </script>
    <script>

        $("#slidersButton").click(function () {

            var url = "<?php echo e(route("slider-edit",$slider->id)); ?>";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<style>
    #coverImageShow{object-fit: cover;}
</style>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\sliders\slider-edit.blade.php ENDPATH**/ ?>