<?php $__env->startSection('title', "Yeni Ürünler"); ?>
<?php $__env->startSection('canonical', Request::url()); ?>
<?php $__env->startSection('keywords', "sanal kahvaltı"); ?>
<?php $__env->startSection('description', "Yeni Ürünler"); ?>
<?php $__env->startSection('content'); ?>


<?php
 $banner = "/frontend/assets/images/headers/sut-urunleri.png";


?>

<div class="page-header">
    <div class="container">
        <ul class="breadcrumb">
          	<li><a href="/<?php echo e(Config::get('app.locale')); ?>"><?php echo e(__('system.Anasayfa')); ?> </a></li>
            <li><a href="<?php echo e(route('kampanya')); ?>"> <?php echo e(__('system.İndirimli Ürünler')); ?></a></li>
        </ul>

        <div class="page-cover">
            <h1 class="page-title"><?php echo e(__('system.İndirimli Ürünler')); ?></h1>
			 <?php $__currentLoopData = Helper::PageGaleri(45); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              
				<picture>
							<source media="(min-width: 1200px)" srcset="<?php echo e($item->page_image); ?>">
							<source media="(max-width: 1200px)" srcset="/<?php echo e($item->file); ?>">
							<img src="<?php echo e($item->page_image); ?>" alt="<?php echo e(__('system.İndirimli Ürünler')); ?>"  loading="lazy">
						</picture>
                  
                
				<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          
        </div>
    </div>
</div>


<div class="page-details">
    <div class="container">
        <div class="category-details">
            <div class="sidebar">
                <div class="menu">
                    <p class="menu-title">Ürün Grupları</p>
                    <ul>
                      <?php $__currentLoopData = Helper::Categori(0,0); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li>
                            <a href="/<?php echo e(Config::get('app.locale')); ?>/<?php echo e($item->translate(Config::get('app.locale'))->category_slug); ?>">
                                <img src="/frontend/assets/images/icons/<?php echo e($item->translate(Config::get('app.locale'))->category_detail); ?>" alt="<?php echo e($item->translate(Config::get('app.locale'))->category_name); ?>">
                               <?php echo e($item->translate(Config::get('app.locale'))->category_name); ?>

                            </a>
                        </li>
                        	<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>			
                        
                    </ul>
                </div>
            </div>
            <div class="page-content">
               

                <div class="products-container filter-products">
                   <?php $__currentLoopData = $urun; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index =>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                   <div class="product-item filter-product" data-count="<?php echo e(Helper::coksatan($item->id)); ?>" data-gramaj="<?php echo e(str_contains($item->Gramaj, 'gr')==1?str_replace(' gr','',$item->Gramaj ):str_replace(' Kg','000',$item->Gramaj )); ?>" data-fiyat="<?php echo e($item->fiyat); ?>" data-new="<?php echo e($item->id); ?>">
                            <div class="image">
                                <div class="tags">
                               
                                <?php if($item->UrunİndirimOranı>0): ?>
                                    <span class="tag tag-discount">İndirimde</span>
                                    <?php endif; ?>
                                    <span class="tag tag-fast-shipping">Anında Kargo</span>
                                </div>
                                <span class="add-favorite <?php echo e(Helper::favori($item->id)); ?> " data-url="<?php echo e(route('favorite-add')); ?>" data-val="<?php echo e($item->id); ?>" data-id="<?php echo e($item->id); ?>">
                                    <i class="fas fa-heart"></i>
                                </span>
                                <a href="/<?php echo e(Config::get('app.locale')); ?>/<?php echo e($item->translate(Config::get('app.locale'))->product_slug); ?>">
                                    <img src="<?php echo e($item->product_image); ?>" alt="<?php echo e(Str::lower($item->translate(Config::get('app.locale'))->product_title)); ?>">
                                </a>
                            </div>
                            <div class="content">
                                <div class="meta">
                                    <div class="stars star-<?php echo e(Helper::UrunYildiz($item->id)); ?>">
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                    </div>
                                    <div class="point"><?php echo e(Helper::UrunYildiz($item->id)); ?> Puan</div>
                                    <div class="comments"><?php echo e(Helper::UrunYorum($item->id)); ?> Yorum</div>
                                </div>
                                <a href="/<?php echo e(Config::get('app.locale')); ?>/<?php echo e($item->translate(Config::get('app.locale'))->product_slug); ?>" class="brand">Cebel</a>
                                <a href="/<?php echo e(Config::get('app.locale')); ?>/<?php echo e($item->translate(Config::get('app.locale'))->product_slug); ?>" class="title"><?php echo e($item->translate(Config::get('app.locale'))->product_title); ?></a>
                                <div class="price-wrapper">
                                    <div class="amount">
                                     <?php
								$array = explode("." , $item->fiyat);
								$indirimlifiyat =number_format( $item->fiyat -  (($item->fiyat * $item->UrunİndirimOranı )/100),2);
							
								?>
                                        <?php if($item->UrunİndirimOranı>0): ?>
                                        <div class="discount-wrapper">
										
                                            <div class="rate">%<?php echo e($item->UrunİndirimOranı); ?></div>
                                            <div class="off-price"><?php echo e($item->fiyat); ?></div>
                                        </div>
										<?php endif; ?>
                                        <div class="price">
                                            <?php echo e($indirimlifiyat); ?> TL
                                        </div>
                                    </div>
                                    <div class="action">
                                        <span class="add-basket" data-url="<?php echo e(route('cart-add',$item->id)); ?>" data-val="<?php echo e($item->id); ?>">Sepete Ekle</span>
                                    </div>
                                </div>
                            </div>
                        </div>
	<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>		
                </div>

            </div>
        </div>

        <section class="main-banner-2">
            <div class="container">
              <?php $__currentLoopData = Helper::PageGaleri(39); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <a href="/<?php echo e($item->page_slug); ?>">
				<picture>
							<source media="(min-width: 1200px)" srcset="<?php echo e($item->page_image); ?>">
							<source media="(max-width: 1200px)" srcset="/<?php echo e($item->file); ?>">
							<img src="<?php echo e($item->page_image); ?>" alt="sanal kahvalti"  loading="lazy">
						</picture>
                  
                </a>
				<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </section>

        <section class="main-widgets">
            <div class="container">
                <div class="widgets-container">
                    <div class="widget">
                        <div class="image">
                            <img src="/frontend/assets/images/icons/verified.png" alt="">
                        </div>
                        <div class="content">
                            <p class="title">Güvenli Alışveriş</p>
                            <p class="description">
                                SSL Sertifikası ve 3D ödeme ile alışverişleriniz güvenle gerçekleşir.
                            </p>
                        </div>
                    </div>
                    <div class="widget">
                        <div class="image">
                            <img src="/frontend/assets/images/icons/truck.png" alt="">
                        </div>
                        <div class="content">
                            <p class="title">Ücretsiz Kargo</p>
                            <p class="description">
                                <?php echo e(__('system.urun detay kargo')); ?> <?php echo e(Str::lower(__('system.kargo ucretsiz'))); ?>.
                            </p>
                        </div>
                    </div>
                    <div class="widget">
                        <div class="image">
                            <img src="/frontend/assets/images/icons/package.png" alt="">
                        </div>
                        <div class="content">
                            <p class="title">Özenli Paketleme</p>
                            <p class="description">
                                Ürünleriniz taşıma esnasında zarar görmeyecek şekilde özenle paketlenir.
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script>
  $(".list").change(function(e){
   
var value=$(this).val();

if(value==1){
		sortByFiyat(1);
		}else if(value==2){
		sortByFiyat(0);
		}else if(value==3) {
		sortByCount(0);
		}else if(value==4) {
		
		sortByNew(0);
		}
	
	
})

function sortByCount(direction) {
	
        var mylist = $('.filter-products');
        var listitems = mylist.children('.filter-product').get();
		
        listitems.sort(function (a, b) {
            var compA = parseFloat($(a).data('count'));
            var compB = parseFloat($(b).data('count'));;
			
            return getOrderDirection(compA, compB, direction);
        });
        $.each(listitems, function (idx, itm) { mylist.append(itm); });
    }
function sortByFiyat(direction) {
	
        var mylist = $('.filter-products');
        var listitems = mylist.children('.filter-product').get();
        listitems.sort(function(a, b) {
            var valueA = parseFloat($(a).data('fiyat'));
            var valueB = parseFloat($(b).data('fiyat'));
            return getOrderDirection(valueA, valueB, direction);
        });
        $.each(listitems, function(idx, itm) { mylist.append(itm); });
    }
	 function sortByNew(direction) {
        var mylist = $('.filter-products');
        var listitems = mylist.children('.filter-product').get();
        listitems.sort(function(a, b) {
            var valueA = parseFloat($(a).data('new'));
            var valueB = parseFloat($(b).data('new'));
            return getOrderDirection(valueA, valueB, direction);
        });
        $.each(listitems, function(idx, itm) { mylist.append(itm); });
    }
    function getOrderDirection(compA, compB,direction) {
        if (direction == 0) {
            return (compA < compB) ? 1 : (compA > compB) ? -1 : 0;
        }
        else {
            return (compA < compB) ? -1 : (compA > compB) ? 1 : 0;
        }

    }
	
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\frontend\kampanya.blade.php ENDPATH**/ ?>