<?php $__env->startSection('content'); ?>

    <div class="content-wrapper">
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">Sms  Gönder</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="#">Anasayfa</a></li>
                            <li class="breadcrumb-item active">Sms Gönder</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>

        <section class="content">
            <div class="container-fluid">
                <form method="post">
                    <div class="row">
                        <div class="col-md-12 ">
                            <div class="card ">
                                <div class="card-header">
                                    <h3 class="card-title">Sms Gönder</h3>
                                </div>
                                <div class="card-body">
                                   
									 <div class="form-group">
                                        <label>Bayi Grubu</label>
                                        <select class="form-control select2  multiple" multiple="multiple" id="kullanici" style="width: 100%;" name="Kullanici_Id[]" >
                                            <option value="0" selected >Müsteri Seç</option>
                                          </select>
                                    </div>
                                    <div class="form-group">
                                        <label>Hazır Sms Seç</label>
                                        <select class="form-control select2 smskalip"  style="width: 100%;" >
                                            <option value="0"  data-sms="" selected="selected">Özel</option>
                                            <?php $__currentLoopData = $Smssablon; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($item->id); ?>" data-sms="<?php echo e($item->Sms); ?>" ><?php echo e($item->Baslik); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                          </select>
                                    </div>
									<div class="form-group">
                                        <label> Sms</label>
                                        <textarea width="100%" class="form-control attrsms" name="Sms" ></textarea>
                                    </div>
									
                                </div>

                                <div class="card-footer">
                                    <button id="smsButton" type="button" class="btn btn-primary">Gönder</button>
                                </div>
                            </div>
                        </div>
                        
                    </div>
                </form>
            </div>
        </section>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

<script src="/backend/plugins/select2/js/select2.full.min.js"></script>
    <script src="/backend/plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>
    <script src="/backend/plugins/bs-custom-file-input/bs-custom-file-input.min.js"></script>
    <script type="text/javascript">
        $( document ).ready(function() {

        var id = 0;
        $.get('/admin/sms/json-kullanici?id=' + id,function(data) {

        $('#kullanici').empty();
      

        $.each(data, function(index, regenciesObj){
          
                $('#kullanici').append('<option value="'+ regenciesObj.id +'">'+ regenciesObj.bayi_name +'</option>');
           
       
        })
        });
        });
</script>
    <script>

$('.smskalip').on('change', function () {
   var sms= $(this).children("option:selected").attr('data-sms');
   $('.attrsms').text(sms);
 
})

        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Initialize Select2 Elements
            $('.select2bs4').select2({
                theme: 'bootstrap4'
            })

            $("input[data-bootstrap-switch]").each(function () {
                $(this).bootstrapSwitch('state', $(this).prop('checked'));
            });
        });
    </script>

    <script type="text/javascript">
        $(document).ready(function () {
            bsCustomFileInput.init();
        });
    </script>
  

    <script>

        $("#smsButton").click(function () {

            
            var url = "<?php echo e(route("sms-add")); ?>";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="/backend/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <link rel="stylesheet" href="/backend/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\sms\sms-add.blade.php ENDPATH**/ ?>