<?php $__env->startSection('title',__('system.Sipariş Özetiniz')); ?>
<?php $__env->startSection('canonical', Request::url()); ?>
<?php $__env->startSection('keywords', __('system.Sipariş Özetiniz')); ?>
<?php $__env->startSection('description', __('system.Sipariş Özetiniz')); ?>
<?php $__env->startSection('content'); ?>
<section class="breadcrumb">
    <ul class="c-container">
        <li><a href="/<?php echo e(Config::get('app.locale')); ?>"><?php echo e(__('system.Anasayfa')); ?> </a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
        <li><?php echo e(__('system.Sipariş Özetiniz')); ?></li>
    </ul>
</section>
<section class="card-page">
			<div class="c-container">
				<div class="d-flex align-items-start justify-content-between">
					<div class="left">
						
						<div class="order-navigation">
							<div class="step active">Sepet</div>
							<div class="step active">Teslimat Adresi</div>
							<div class="step active">Ödeme</div>
							<div class="step active">Sipariş Özeti</div>
						</div>
						<div class=" d-flex align-items-center justify-content-between">
							<h2 class="card-page-title">Sipariş Özeti</h2>
							
						</div>
						<div class="step-content-ozet">
						<div class="d-flex align-items-center gap-2">
							
					 <i class="demo-icon icon-check">&#xe803;</i>
					 <div class="text">
					 <h5>Siparişiniz alındı! Alışverişiniz için teşekkür ederiz.</h5>
						<p>Siparişinizi takip etmek için aşağıdaki sipariş kodunuzu kullanabilirsiniz.</p><p> Kayıtlı e-posta adresinize sipariş bilgileriniz gönderilmiştir.</p>
							
						</div>	                 
						</div>
						<div class="siparis-kod">
						<p >Sipariş Kodunuz:<span id="order-number"><?php echo e($siparis->SiparisNo); ?></span></p>
													<span class="site-btn copy-button" onclick="copytext('order-number')">
														  <i class="demo-icon icon-group-52496">&#xe820;</i>
														Sipariş kodunu kopyala
													</span>
						</div>	                 
						</div>	                 
						
					</div>
                    
					<div class="payment-summary">
						<h3>Alışveriş Özeti</h3>
						
						<p class="description">Ödenen Sipariş Tutarı</p>
						<p class="price p1tutar"><?php echo number_format( ($siparis->ToplamTutar) ,2); ?> TL</p>
						<div class="payment-summary-note">
						<h6>Ödeme Yöntemi</h6>
						<span><?php echo e($siparis->OdemeSekli==2?"Havale":"Kredi Kartı"); ?></span>
						<span>Tek Çekim</span>
							<span><?php echo number_format( ($siparis->ToplamTutar) ,2); ?> TL</span>
						</div>
						<div class="button">
							<a href="/<?php echo e(Config::get('app.locale')); ?>" class="g-btn f-size-16"> <i class="demo-icon icon-arrow-left-long-solid">&#xe817;</i>Tekrar Alışveriş Yap</a>
						</div>
						
					</div>
				</div>
			</div>
			
		</section>

        <section class="kvkk-page ">
            <div class="c-container">
            <div class="payment-agreement">
                <?php $__currentLoopData = Helper::Pages(20); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <h4><?php echo e($page->page_name); ?></h4>
            <?php echo $page->page_content; ?>     
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>    
        </div>
            </div>
            </section>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\frontend\siparisozet.blade.php ENDPATH**/ ?>