<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Dashboard</h4>

            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Dashboard</li>
                </ol>
            </div>

        </div>
    </div>
</div>

<div class="row">

    <div class="col-sm-6 col-xl-3">
        <div class="card">
            <div class="card-heading p-4">
                <div class="d-flex">
                    <div class="flex-grow-1 mt-3">
                        <h5 class="font-size-17">Aktif Oturumlar</h5>
                    </div>
                    <div class="mini-stat-icon ">
                        <i class="mdi mdi-cube-outline bg-primary text-white"></i>
                    </div>
                </div>
                <h3>43</h3>
                <div class="progress mt-4" style="height: 4px;">
                    <div class="progress-bar bg-primary" role="progressbar" style="width: 75%" aria-valuenow="75"
                    aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <p class="text-muted mt-2 mb-0">Önceki dönem<span class="float-end">75%</span></p>
            </div>
        </div>
    </div>

    <div class="col-sm-6 col-xl-3">
        <div class="card">
            <div class="card-heading p-4">
                <div class="d-flex">
                    <div class="flex-grow-1 mt-3">
                        <h5 class="font-size-17">Toplam Gelir</h5>
                    </div>
                    <div class="mini-stat-icon">
                        <i class="mdi mdi-briefcase-check bg-success text-white"></i>
                    </div>
                </div>
                <h3>$73,265</h3>
                <div class="progress mt-4" style="height: 4px;">
                    <div class="progress-bar bg-success" role="progressbar" style="width: 88%" aria-valuenow="88"
                    aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <p class="text-muted mt-2 mb-0">Önceki dönem<span class="float-end">88%</span></p>
            </div>
        </div>
    </div>

    <div class="col-sm-6 col-xl-3">
        <div class="card">
            <div class="card-heading p-4">
                <div class="d-flex">
                    <div class="flex-grow-1 mt-3">
                        <h5 class="font-size-17">Aylık Gelir</h5>
                    </div>
                    <div class="mini-stat-icon">
                        <i class="mdi mdi-tag-text-outline bg-warning text-white"></i>
                    </div>
                </div>
                <h3>447</h3>
                <div class="progress mt-3" style="height: 4px;">
                    <div class="progress-bar bg-warning" role="progressbar" style="width: 68%" aria-valuenow="68"
                    aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <p class="text-muted mt-2 mb-0">Önceki dönem<span class="float-end">68%</span></p>
            </div>
        </div>
    </div>

    <div class="col-sm-6 col-xl-3">
        <div class="card">
            <div class="card-heading p-4">
                <div class="d-flex">
                    <div class="flex-grow-1 mt-3 ">
                        <h5 class="font-size-17">Toplam Ürün Adeti</h5>
                    </div>
                    <div class="mini-stat-icon float-end">
                        <i class="mdi mdi-buffer bg-danger text-white"></i>
                    </div>
                </div>
                <h3>86</h3>
                <div class="progress mt-4" style="height: 4px;">
                    <div class="progress-bar bg-danger" role="progressbar" style="width: 82%" aria-valuenow="82"
                    aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <p class="text-muted mt-2 mb-0">Önceki dönem<span class="float-end">82%</span></p>
            </div>
        </div>
    </div>

</div>

<div class="row">
    <div class="col-xl-8">
        <div class="card m-b-30">
            <div class="card-body">

                <h4 class="mt-0 header-title mb-4">Area Chart</h4>

                <div id="morris-area-example" class="morris-charts morris-chart-height"></div>

            </div>
        </div>
    </div>
    <!-- end col -->

    <div class="col-xl-4">
        <div class="card m-b-30">
            <div class="card-body">
                <h4 class="mt-0 header-title mb-4">Donut Chart</h4>

                <div id="morris-donut-example" class="morris-charts morris-chart-height"></div>

            </div>
        </div>
    </div>
    <!-- end col -->
</div>
<div class="row">
    <div class="col-xl-12">
        <div class="card m-b-30">
            <div class="card-body">
                <h4 class="mt-0 header-title mb-4">Yorumlar </h4>
                <div class="table-responsive">
                    <table id="yorum" class="table table-hover">

                        <thead>

                            <tr>

                                <th>Ürün adı</th>

                                <th>Müşteri Ad Soyad</th>

                                <th>Oluşturulma Tarihi</th>

                                <th>Yıldız</th>

                                <th>Yorum</th>

                                <th>Durum</th>



                            </tr>

                        </thead>





                    </table>


                </div>

            </div>
        </div>
    </div>

</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
<script src="/backend/js/pages/dashboard.init.js"></script>
<script>
    function Status(r, id, durum) {
        $(r).removeClass("btn-success");
        $(r).removeClass("btn-danger");
        var content = "Pasif Et";
        var attrclass = "btn-success";
        if (durum == "off") {
            content = "Aftif Et";
            attrclass = "btn-danger"
        }
        $.ajax({
            type: "get",
            url: '<?php echo e(route('index')); ?>',
            data: {
                'id': id,
                'Durum': durum
            },
            success: function(response) {
                if (response.status == 'success') {
                    toastr.success("Yorum Durumu Değiştirildi", "Yorum Durumu");
                    $(r).text(content);
                    $(r).addClass(attrclass);
                } else {
                    toastr.error("Yorum Durumu Değiştirilemedi", "Yorum Durumu");
                }
            }
        })
    }


    var url = '<?php echo e(route('index')); ?>';
    $('#yorum').DataTable({
        "searchDelay": 400,
        "processing": true,
        "serverSide": true,
        "pageLength": 10,
        "lengthMenu": [
        [5, 10, 25, 50],
        ['5', '10', '25', '50']
        ],
        "ajax": {
            "url": url,
            "type": "get",
            "data": {
                'yorum': "yorum",
            }
        },
        columns: [{
            "data": "urun_adi",
        },
        {
            "data": "bayi_name"
        },
        {
            "data": "created_at"
        },
        {
            "data": "yildiz"
        },
        {
            "data": "yorum"
        },

        {
            "data": function(row, type, set) {
                var data = '';
                off = "off";
                on = "on";
                if (row.durum == 'on') {
                    data += '	 <button class="btn btn-success" onclick="Status(this,' + row.id +
                    ',' + off + ')">Pasif Et</button>'

                } else {
                    data += '	 <button class="btn btn-danger" onclick="Status(this,' + row.id +
                    ',' + on + ')">Aktif Et</button>'

                }
                return data;
            }
        }
        ]


    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\index.blade.php ENDPATH**/ ?>