<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Site Ayarları</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Site Ayarları</li>
                </ol>
            </div>
        </div>
    </div>
</div>
  

                                <div class="card border border-primary">
                                    <div class="card-header bg-transparent border-primary">
                                        <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Site Ayar Ekle</h5>
                                    </div>
                            <div class="card-body">
                                    <form method="post">
                                        <div class=" row ">
                                            <div class="col-md-4">
                                                <input type="text" name="setting_description" class="form-control"
                                                       required
                                                       placeholder="Ayar Açıklama Yazınız">
                                            </div>

                                            <div class="col-md-4">
                                                <input type="text" name="setting_key" class="form-control" required
                                                       placeholder="Anahtar Kelime Yazınız">
                                            </div>

                                            <div class="col-md-4">
                                                <select class="form-control select2" name="setting_type" id="">
                                                    <option value="textarea">Textarea</option>
                                                    <option value="img">İmage</option>
                                                    <option value="input">Text</option>
                                                </select>
                                            </div>

                                            <div class="col-md-12 mt-3">
                                                <button id="settingsButton" type="button"
                                                        class="btn btn-primary btn-block w-100"> Kaydet
                                                </button>
                                            </div>

                                        </div>

                                    </form>
                            

                </div>
            </div>
             
                        <div class="card border border-primary">
                            <div class="card-header bg-transparent border-primary">
                                <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Site Ayarları Listesi</h5>
                            </div>
                    <div class="card-body">
                        <table id="defaulttable" class="table table-bordered table-striped">
                            <thead>
                            <tr>
                                <th>Ayar Açıklama</th>
                                <th>Anahtar Kelime</th>
                                <th>Değer</th>
                                <th>İşlemler</th>
                                <th>İşlemler</th>
                                <th>İşlemler</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $settings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $setting): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($setting->setting_description); ?></td>
                                    <td><?php echo e($setting->setting_key); ?></td>
                                    <td><?php echo e($setting->setting_value); ?></td>
                                    <td>
                                        <a href="<?php echo e(route('setting-edit',$setting->id)); ?>" class="btn btn-primary"><i class="fas fa-edit"></i>&nbsp;Düzenle</a>
                                     </td>
                                    <td>
                                        <button class="btn btn-danger" onclick="deleteSettings(this,'<?php echo e($setting->id); ?>')"><i class="fas fa-trash-alt"></i>&nbsp;Sil</button>
                                    </td>
                                    <td>
                                    <button class="btn btn-success" ><i class="fas fa-eye"></i>Aktif</button>
                                     </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>

                        </table>
                    </div>
                </div>
            </div>
        </section>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
  
    <script>

        $("#settingsButton").click(function () {

            var url = "<?php echo e(route("settings")); ?>";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status == "success") {
                        toastr.success(response.content, response.title);
                    } else {
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>


  
    <script>
        function deleteSettings(r, id) {
            var list = r.parentNode.parentNode.rowIndex;
            Swal.fire({
                title: 'Silmek istediğinize emin misiniz?',
                text: "Sildiğinizde geri dönüşümü olmayacaktır!",
                type: 'warning',
                icon: 'warning',
                showCancelButton: true,
                cancelButtonText: 'İptal',
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Evet, Sil!'
            }).then((result) => {
                if (result.value) {
                    $.ajax
                    ({
                        type: "Post",
                        url: '<?php echo e(route('settings')); ?>',
                        data: {
                            'id': id,
                            'delete': 'delete'
                        },
                        beforeSend: function () {
                            Swal.fire({
                                title: '<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i> <span class="sr-only">Loading...</span>',
                                text: 'Siliniyor lütfen bekleyiniz...',
                                showConfirmButton: false
                            })
                        },
                        success: function (response) {
                            Swal.close();
                            if (response.status == 'success') {
                                document.getElementById('defaulttable').deleteRow(list);
                                toastr.success(response.content, response.title);
                            } else {
                                toastr.error(response.content, response.title);
                            }
                        }

                    })
                } else {
                }
            })
        }
    </script>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\settings\settings.blade.php ENDPATH**/ ?>