<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Müşteri Düzenle</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Müşteri Düzenle</li>
                </ol>
            </div>
        </div>
    </div>
</div>
<div class="card border border-primary">
    <div class="card-header bg-transparent border-primary">
        <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Kişisel Bilgiler</h5>
    </div>
    <form method="post">
    <div class="card-body">
        <div class="mb-3 row">
            <label class="col-sm-3 col-md-3 col-lg-3 col-form-label">Müşteri Kodu</label>
            <div class="col-sm-9 col-md-9 col-lg-9">
            <input required type="text" name="bayi_kod" value="<?php echo e($user->bayi_kod); ?>" disabled class="form-control" placeholder="Kod">
        </div>
        </div>
        <div class="mb-3 row">
            <label class="col-sm-3 col-md-3 col-lg-3 col-form-label">Müşteri Adı Soyadı</label>
            <div class="col-sm-9 col-md-9 col-lg-9">
            <input required type="text" name="name" value="<?php echo e($user->bayi_name); ?>" class="form-control" placeholder=" Adı Yazınız">
        </div>
        </div>
        <div class="mb-3 row">
            <label class="col-sm-3 col-md-3 col-lg-3 col-form-label">Müşteri DT</label>
            <div class="col-sm-9 col-md-9 col-lg-9">
            <input required type="date" name="dt" value="" class="form-control" placeholder="Doğum Tarihi">
        </div>
        </div>
        <div class="mb-3 row">
            <label class="col-sm-3 col-md-3 col-lg-3 col-form-label">Cinsiyet</label>
            <div class="col-sm-9 col-md-9 col-lg-9">
            <input required type="text" name="cinsiyet" value="" class="form-control" placeholder="cinsiyet">
        </div>
        </div>
        <div class="mb-3 row">
            <label  class="col-sm-3 col-md-3 col-lg-3 col-form-label">Müşteri Durumu</label>
            <div class="col-sm-9 col-md-9 col-lg-9">
                <div class="square-switch">
                    <input type="checkbox" name="status" id="square-switch1" switch="none"    <?php echo e($user->status == 'on' ? 'checked' : ' '); ?>>
                    <label for="square-switch1" data-on-label="On" data-off-label="Off"></label>
                </div>
          
        </div>
        </div>
    </div>
    <div class="card-header bg-transparent border-primary">
        <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>İletişim Bilgileri</h5>
    </div>
    <div class="card-body">
   
 
        <div class="mb-3 row">
            <label class="col-sm-3 col-md-3 col-lg-3 col-form-label">Email</label>
            <div class="col-sm-9 col-md-9 col-lg-9">
            <input required type="email" name="email" value="<?php echo e($user->email); ?>" class="form-control"
                   placeholder=" Email Yazınız">
        </div>
        </div>
        <div class="mb-3 row">
            <label class="col-sm-3 col-md-3 col-lg-3 col-form-label">Telefon</label>
            <div class="col-sm-9 col-md-9 col-lg-9">
            <input required type="text" name="phone" value="<?php echo e($user->phone); ?>" class="form-control"
                   placeholder="telefon Yazınız">
        </div>
        </div>
        <button class="btn btn-primary" type="button" id="usersButton">Kaydet</button>
    </div>
</form>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

    <script>

        $("#usersButton").click(function () {

            var url = "<?php echo e(route("bayi-edit",$user->id)); ?>";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\bayi\bayi-edit.blade.php ENDPATH**/ ?>