﻿

<?php $__env->startSection('content'); ?>
<div class="card border border-primary">
	<div class="card-header bg-transparent border-primary">
		<div class="d-flex justify-content-between align-items-center">
		<h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Dil Düzenleme</h5>
		<a class="btn btn-info pull-right" href="<?php echo e(route('languages.index')); ?>">Geri Dön</a>
	</div>
</div>
	<div class="card-body">

		<div class="row">

		<div class="col">

			<?php echo BootForm::open()->action( route('languages.update', $language) )->put(); ?>


				<?php echo csrf_field(); ?>

				<div class="row">

					<div class="col-sm-4">

						<?php echo BootForm::text('Başlık', 'title' , $language->title); ?>


					</div>

					<div class="col-sm-2">

						<?php echo BootForm::text('Kod', 'code' , $language->code); ?>


					</div>

					<div class="col-sm-3">

						<?php echo BootForm::select('Durum', 'status')->options(['1' => 'Aktif', '0' => 'Pasif'])->select($language->status); ?>


					</div>

					<div class="col-sm-3">

						<?php echo BootForm::select('Varsayılan', 'default')->options(['1' => 'Evet', '0' => 'Hayır'])->select($language->default); ?>


					</div>

					<div class="col-sm-12 mt-3">

						<?php echo BootForm::submit('Kaydet','btn-primary btn-block w-100'); ?>


					</div>

				</div>

			<?php echo BootForm::close(); ?>


		</div>

		</div>

	</div>
</div>

<?php echo $__env->make('backend.languages.locales', ['formMode' => 'edit'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script>
$(".locale-array-update").change(function(){
			var value = $(this).val();
			var id = $(this).attr("id");
			var locale = $(this).attr("locale");
			var file = $(this).attr("file");
			$.ajax({
				data: {  value:value,code:locale,file:file,key:id },
				type: 'POST',
				url: "/admin/language-variable-update",
				success: function (response) {


 						toastr.success("İşlem Başarılı", "İşlem başarıyla tamamlandı");

					
				},
				error: function (data) {
					
					toastr.error("İşlem Başarısız", "Bir Hata Meydana Geldi");
				},
			})
	})
</script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
<style>
	#status {
    position: initial;
   display: block !important;
   -webkit-transform: translateY(0);
    transform: translateY(0);
    margin: 0;
}
.form-group{margin-bottom: 1rem}
</style>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\languages\edit.blade.php ENDPATH**/ ?>