<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Şehirler</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Şehirler</li>
				</ol>
			</div>
		</div>
	</div>
</div>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <table id="datatable" class="table table-bordered table-striped">
                    <thead>
						<tr>
							<th>Kod</th>
							<th>Adı</th>
							<th>Düzenle</th>
							<th>Durum</th>
						</tr>
					</thead>
                    <tbody>
						<?php $__currentLoopData = $adres; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $adres_detay): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($adres_detay->id); ?></td>
                            <td><?php echo e($adres_detay->il_adi); ?></td>
                            <td>
                                <a href="<?php echo e(route('ilce',$adres_detay->id)); ?>" class="btn btn-primary"><i class="fas fa-edit"></i>&nbsp;Düzenle</a>
							</td>
                            <td>
                                <?php if($adres_detay->Durum == 'on'): ?>
								<button class="btn btn-success" onclick="adresdurum(this,'<?php echo e($adres_detay->id); ?>','off')"><i class="fas fa-eye-slash"></i>Pasif Et</button>
                                <?php else: ?>
								<button class="btn btn-danger" onclick="adresdurum(this,'<?php echo e($adres_detay->id); ?>','on')"><i class="fas fa-eye"></i>Aktif Et</button>
                                <?php endif; ?>
							</td>
						</tr>
						<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
<script>
	function adresdurum(r, id, durum) {
		$.ajax
		({
			type: "Post",
			url: '<?php echo e(route('adres')); ?>',
			data: {
				'id': id,
				'Durum': durum
			},
			success: function (response) {
				if (response.status == 'success') {
					toastr.success(response.content, response.title);
					window.location.reload();
                    } else {
					toastr.error(response.content, response.title);
				}
			}
		})
	}
</script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\Adres\Adres.blade.php ENDPATH**/ ?>