<?php $__env->startSection('title', "Üye Ol veya Giriş Yap"); ?>
<?php $__env->startSection('canonical', Request::url()); ?>
<?php $__env->startSection('content'); ?>
<section class="breadcrumb">
    <ul class="c-container">
        <li><a href="/<?php echo e(Config::get('app.locale')); ?>"><?php echo e(__('system.Anasayfa')); ?> </a> <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
        <li>Üye Ol veya Giriş Yap</li>
    </ul>
</section>


<section class=" authentication-pages">
    <div class="c-container">
        <div class="login">
          <div class="form">
                <form  action="<?php echo e(route('girisyappost')); ?>" method="post">
                    <?php echo csrf_field(); ?>
                <div class="form-content-layout">
                    <div class="form-header">
                        <p class="form-title">Üye Girişi</p>
                        <p class="form-description">Sipariş vermek ve özel kampanyalardan yararlanmak için üye girişi yapın.</p>
                    </div>
                    <div class="form-content">
                        <div class="check-input">
                            <input type="email" placeholder="E-Posta Adresiniz veya telefon numaranız" name="bayi_kod"  required>
                            
                        </div>
                        <div class="check-input">
                            <input type="password"  name="pass" placeholder="Şifreniz" minlength="6" required>
                           
                        </div>
                        <div class="link-container">
                            <a href="<?php echo e(route('sifreal')); ?>"><?php echo e(__('system.Şifremi unuttum')); ?></a>
                            
                        </div>
                    </div>
                </div>
                <div class="button">
                    <a href="/" class="g-btn">Üye Olmadan Devam Et</a>
                    <button class="g-btn" type="submit"><?php echo e(__('system.Giriş Yap')); ?></button>
                   
                </div>
            </form>
        </div>
            <div class="form dark-bg">
                <form class="form" action="<?php echo e(route('sign')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                <div class="form-content-layout">
                    <div class="form-header">
                        <p class="form-title">Henüz üye değil misiniz?</p>
                        <p class="form-description">Üyelerimize özel kampanya, indirim ve avantajlardan yararlanmak için hemen üye olun!</p>
                    </div>

                    <div class="form-content">
                        <div class="check-input half-size">
                            <input type="text" name="name" placeholder="Adınız" minlength="2" required>
                         
                        </div>
                        <div class="check-input half-size">
                            <input type="text" name="surname" placeholder="Soyadınız" minlength="2" required>
                         
                        </div>
                        <div class="check-input half-size">
                            <input type="tel" placeholder="Telefon Numarası" name="Telefon" minlength="10" maxlength="12" required>
                          
                        </div>
                        <div class="check-input half-size">
                            <input type="email" placeholder="E-Posta Adresi" name="EPosta" required>
                          
                        </div>
                        <div class="check-input half-size">
                            <input type="password" name="password" id="password" placeholder="Şifreniz" minlength="6" required>
                          
                        </div>
                        <div class="check-input half-size">
                            <input type="password" id="confirm-password"  placeholder="Şifrenizi Doğrulayın" minlength="6" required  oninput="this.setCustomValidity(this.value != document.getElementById('password').value ? 'Şifreler eşleşmiyor.' : '')">
                           
                        </div>
                    </div>
                </div>
                <div class="button">
                    <div class="check">
                        <input type="checkbox" id="check2" class="checkbox">
                        <label for="check2"> <a href="<?php echo e(Helper::pagesLink(10)); ?>"> <?php echo e(__('system.Üyelik sözleşmesini')); ?></a> <?php echo e(__('system.okudum anladım')); ?></label>
                    </div>
                    <button  class="g-btn" type="submit">Üye Ol</button>
                 
                </div>
            </form>
            </div>
        </div>
        <div class="mt-3">
            <?php if(\Session::has('success')): ?>
						<div class="alert alert-success">
							<ul>
								<li><?php echo \Session::get('success'); ?></li>
							</ul>
						</div>
					<?php endif; ?>
            <?php if(\Session::has('error')): ?>
               <div class="alert alert-danger">
                  <ul>
                     <li><?php echo \Session::get('error'); ?></li>
                  </ul>
               </div>
            <?php endif; ?>
      </div>
    </div>
	</section>


<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
<style>
.alert li {font-family: var(--font2);color:#000;font-size: 15px;font-weight: 500;}

</style>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\frontend\login.blade.php ENDPATH**/ ?>