<?php $__env->startSection('title', "Anasayfa"); ?>
<?php $__env->startSection('canonical', Request::url()); ?>
<?php $__env->startSection('keywords', $keywords); ?>
<?php $__env->startSection('description', $description); ?>
<?php $__env->startSection('image', $site_image); ?>
<?php $__env->startSection('content'); ?>

<section class="slider">
    <div class="default-slider">
        <?php $__currentLoopData = $sliders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index =>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="item " >
            <div class="content">
                <div class="c-container">
                    <div class="d-flex align-items-center justify-content-between"> 
                        <div class="content-detail">
                            <h2><?php echo e($item->slider_name); ?></h2>
                            <h3><?php echo e($item->slider_detail); ?></h3>
                            <a href="<?php echo e($item->slider_url); ?>">Alışverişe Başla</a>
                        </div>
                        <div class="content-product-detail">
                         
                            <?php $__currentLoopData = Helper::ProductFirst($item->Urun_Id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <h2><?php echo e($product->product_title); ?></h2>
                            <h3><?php echo e($product->UrunOlcu); ?> <br/> <?php echo e($product->product_title_2); ?> </h3>
                            <div class="price"><?php echo e($product->fiyat); ?><span>TL</span> </div>
                            <a href="<?php echo e($product->product_slug); ?>">Ürünü İncele</a>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
            </div>
            <picture>
                <source media="(min-width: 991px)" srcset="<?php echo e($item->slider_image); ?>">
                    <source media="(max-width: 991px)" srcset="<?php echo e($item->slider_mobil_image); ?>">
                    <img src="<?php echo e($item->slider_image); ?>" alt="<?php echo e($item->slider_name); ?>" class="img-fluid" loading="lazy">
            </picture>
        </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
    <div class="arrows">
        <div class="c-container">
            <div class="d-flex align-items-center justify-content-between">
                <div class="slick-slider-dots"></div>
                <div class="d-flex align-items-center arrows-btn">
                    <li class="prev" >   <i class="demo-icon icon-arrow-left-long-solid">&#xe817;</i> </li>
                    <li class="next" > <i class="demo-icon icon-arrow-right-long-solid">&#xe818;</i></li>
                </div>
            </div>
        </div>
    </div>
</section>
<section class="feature">
    <div class="c-container">
        <div class="d-flex align-items-center justify-content-center">
            <div class="item">
                <i class="demo-icon icon-ozellik-ebat">&#xe809;</i>
                <div class="text">
                    <h4>Farklı ebat seçenekleri</h4>
                    <p>Ürününüzü size sunulan farklı ebatlarda sipariş edin.</p>
                </div>
            </div>
            <div class="item">
                <i class="demo-icon icon-ozellik-kisiye-ozel">&#xe808;</i>
                <div class="text">
                    <h4>Kişiye özel ürünler</h4>
                    <p>Kişiye özel ürünler ile kendinizi ve sevdiklerinizi özel hissettirin.</p>
                </div>
            </div>
            <div class="item">
                <i class="demo-icon icon-ozellik-teslimat">&#xe80a;</i>
                <div class="text">
                    <h4>Zamanında teslimat</h4>
                    <p>Siparişleriniz özenle hazırlanır ve zamanında teslim edilir.</p>
                </div>
            </div>
        </div>
    </div>
</section>


<section class="home-banner">
    <div class="c-container">
        <div class="d-flex align-items-start flex-wrap">
            <?php $__currentLoopData = Helper::pages(16); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="col-lg-6 col-md-12">
                <div class="item">
                    <img src="<?php echo e($page->page_image); ?>" alt="" loading="lazy" width="100%">
                    <div class="content">
                        <h4><?php echo e($page->page_description); ?></h4>
                        <?php echo $page->page_content; ?>

                        <a href="<?php echo e($page->Layer1); ?>" class="g-btn">Alışverişe Başla</a>
                    </div>
                </div>
            </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php $__currentLoopData = Helper::pages(17); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="col-lg-6 col-md-12">
                <div class="item">
                    <img src="<?php echo e($page->page_image); ?>" alt="" loading="lazy" width="100%">
                    <div class="content">
                        <h4><?php echo e($page->page_description); ?></h4>
                        <?php echo $page->page_content; ?>

                        <a href="<?php echo e($page->Layer1); ?>" class="g-btn">Alışverişe Başla</a>
                    </div>
                </div>
            </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
</section>
<section class="highlights">
    <div class="c-container">
        <div class="d-flex align-items-end justify-content-between">
            <div class="left">
                <p>Mekanlarınızı zamansız stiller ile donatın</p>
                <h3>Öne Çıkan Ürünler</h3>
            </div>
            <div class="right">
                <div class="d-flex align-items-center gap-2">
                    <li class="highlights-prev " >   <i class="demo-icon icon-arrow-left-long-solid">&#xe817;</i> </li>
                    <li class="highlights-next" > <i class="demo-icon icon-arrow-right-long-solid">&#xe818;</i></li>
                    
                </div>
            </div>
        </div>
    </div>
    
    <div class="cl-container ">
        <div class="highlights-sliders ">
            <?php $__currentLoopData = $newproduct; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index =>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="product product-home ">
               
                <div class="image-container">
                    <?php if($item->YeniUrun=="on"): ?>
                    <div class="new-product-title">YENİ ÜRÜN</div>
                    <?php endif; ?>
                    <a href="/<?php echo e($item->product_slug); ?>" title="<?php echo e($item->product_title); ?>">
                    <img class="img-fluid" src="<?php echo e($item->product_image); ?>" alt="<?php echo e($item->product_title); ?>">
                  <?php if($product->files->isNotEmpty()): ?>
                    <img class="overlay img-fluid" src="<?php echo e($item->files->first()->file); ?>" alt="<?php echo e($item->product_title); ?>">
               
                <?php endif; ?>
            </a>
                </div>
                <div class="content">
                    <div class="left">
                    
                        <h4><?php echo e($item->product_title); ?></h4>
                        <p><?php echo e($item->product_title_2); ?></p>
                        <div class="price">
                            <?php
                            $array = explode("." , $item->fiyat);
                            $indirimlifiyat =number_format( $item->fiyat -  (($item->fiyat * $item->UrunİndirimOranı )/100),2);
                        
                            ?>
                                 
                            <div class="amount"><?php echo e($indirimlifiyat); ?> TL</div>
                            <?php if($item->UrunİndirimOranı>0): ?>
                            <div class="right">
                                <span>%<?php echo e($item->UrunİndirimOranı); ?> İNDİRİM</span>
                                <div class="discount-price"><?php echo e($item->fiyat); ?> TL</div>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="right">
                    <span class="add-basket" data-url="<?php echo e(route('cart-add',$item->id)); ?>" data-val="<?php echo e($item->id); ?>">
                    <i class="demo-icon icon-basket">&#xe800;</i>
                        </span>
                    
                     <span class="add-favorite <?php echo e(Helper::favori($item->id)); ?> " data-url="<?php echo e(route('favorite-add')); ?>" data-val="<?php echo e($item->id); ?>">
                           <i class="demo-icon icon-heart-regular"></i>
                        </span>
                     
                    </div>
                </div>
            
            </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
                </div>
            <div class="highlights-dots"></div>
</section>
<section class="home-banner-bottom">
    <div class="c-container pore">
        <?php $__currentLoopData = Helper::pages(15); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <picture>
        <source media="(min-width: 991px)" srcset="<?php echo e($page->page_image); ?>">
        <source media="(max-width: 991px)" srcset="<?php echo e($page->opsiyonel_image); ?>">
        <img src="<?php echo e($page->page_image); ?>" alt="" loading="lazy" width="100%">
        </picture>
        <div class="content">
            <div class="content-text">
                <h4><?php echo e($page->page_description); ?></h4>
                <?php echo $page->page_content; ?>

                <a href="<?php echo e($page->Layer1); ?>" class="g-btn">Alışverişe Başla</a>
            </div>
        </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

    </div>
</section>
<section class="allproduct">
<div class="bg-white">
<p>Mekanlarınızı zamansız stiller ile donatın</p>
<h4>Tüm Ürünler</h4>
<div class="c-container">
<div class="allproduct-slider" data-rows="2">
    <?php $__currentLoopData = $allproduct; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index =>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<div class="product product-sablon ">
    <a href="/<?php echo e($item->product_slug); ?>" title="">
                <div class="image-container">
                    <?php if($item->YeniUrun=='on'): ?>
                <div class="new-product-title">YENİ ÜRÜN</div>
                <?php endif; ?>
                <img class="img-fluid" src="<?php echo e($item->product_image); ?>" alt="<?php echo e($item->product_title); ?>">
                    <div class="right">
                        <span class="add-favorite <?php echo e(Helper::favori($item->id)); ?> " data-url="<?php echo e(route('favorite-add')); ?>" data-val="<?php echo e($item->id); ?>">
                            <i class="demo-icon icon-heart-regular"></i>
                         </span>
                      
                        <span class="add-basket" data-url="<?php echo e(route('cart-add',$item->id)); ?>" data-val="<?php echo e($item->id); ?>">
                        <i class="demo-icon icon-basket">&#xe800;</i>
                            </span>
                        
                        
                        </div>
                </div>
                <div class="content">
                    <div class="left">
                    
                        <h4><?php echo e($item->product_title); ?></h4>
                        <p><?php echo e($item->product_title_2); ?></p>
                        <div class="price">
                            <?php
                            $array = explode("." , $item->fiyat);
                            $indirimlifiyat =number_format( $item->fiyat -  (($item->fiyat * $item->UrunİndirimOranı )/100),2);
                        
                            ?>
                                 
                            <div class="amount"><?php echo e($indirimlifiyat); ?> TL</div>
                            <?php if($item->UrunİndirimOranı>0): ?>
                            <div class="right">
                                <span>%<?php echo e($item->UrunİndirimOranı); ?> İNDİRİM</span>
                                <div class="discount-price"><?php echo e($item->fiyat); ?> TL</div>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                    
                </div>
            </a>
            </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            
</div>
<div class="allproduct-dots"></div>
</div>
</div>
</section>
    <section class="newlester">
<div class="bg-white">
<h4>Kampanyalar ve fırsatlar için bültene kaydolun.</h4>
<form class="form"  method="post">
                <div class="d-flex justify-content-between align-items-stretch newlester-border">
                        <input type="email" required="" name="email" placeholder="E-posta adresinizi yazınız" >
                        <button type="submit" class="g-btn" title="kaydol">Kaydol <i class="demo-icon icon-newsletter">&#xe804;</i></button>
                        </div>
                    <div class="check-input">
                            <input type="checkbox" id="check2" required="">
                    <label for="check2">
                    E-posta adresimin duyuru ve kampanyalar hakkında bilgilendirme için kullanılmasına izin veriyorum.
                    <a href="">KVKK metni için tıklayın</a></label>
                    </div>	
                </form>
</div>
</section>
<section class="home-instagram text-center" >
    <h2><?php echo e(Helper::PagesGetLayer(13,'Layer1')); ?></h2>
    <?php echo Helper::PagesGetLayer(13,'page_content'); ?>

</div>
<div class="instagram-slider">
    <?php $__currentLoopData = Helper::pagesdokumanfull(13); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>				
<div class="instagram-slide">
<img src="<?php echo e(asset($item->file)); ?>" class="img-fluid" alt="<?php echo e(Helper::PagesGetLayer(13,'Layer1')); ?>">
<a class="icon"data-fancybox="<?php echo e(Helper::PagesGetLayer(13,'Layer1')); ?>" href="<?php echo e(asset($item->file)); ?>" target="_blank" title="<?php echo e(Helper::PagesGetLayer(13,'Layer1')); ?>">
    <i class="demo-icon icon-instagram-brands-solid">&#xe83c;</i>
</a>
</div>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
</section>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
<script>
$(".add-basket").click(function () {

var val= $(this).data('val');
var url =$(this).data('url');
$.ajax({
	type: "POST",
	url: url,
	data: { 
		
		"adet": 1,
		"id":val
          },
	
	success: function (response) {
		if (response.status=="success"){
			
			$(".count").text(response.count +" TL");
            $(".sepet_toplam_fiyat").text(response.amount +" TL");
            toastr.success("<?php echo e(__('system.Ürün sepete eklendi')); ?>");
            window.location.reload();
		}
		else{
            toastr.error("<?php echo e(__('system.Ürün sepete eklenemedi')); ?>");
		}
	},
	error: function () {

	}
});

return false;
});
$(".add-favorite").click(function () {
        var id = $(this).data("val");
        var url = $(this).data("url");
        var self = $(this);
        $.ajax({
            type: "POST",
            url: url,
            data: {
                id: id,
            },

            success: function(response) {
                if (response.status == "success") {
                    self.toggleClass("added");
                    toastr.success(response.content);
                } else {
                    toastr.warning("Lütfen önce hesabınıza giriş yapın");
                }
            },
            error: function() {},
        });

        return false;
    });

</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.home', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\home.blade.php ENDPATH**/ ?>