<?php

namespace App\Http\Controllers\Backend\Adres;

use App\Http\Controllers\Controller;
use App\Models\iller;
use App\Models\ilceler;
use App\Models\mahalleler;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use DB;
use Maatwebsite\Excel\Facades\Excel;
use App\Imports\UsersImport;
class AdresController extends Controller
{
    public function getSehir()
    {
        $adres = iller::orderBy('id','asc')->get();
        return view('backend.Adres.Adres')->with('adres', $adres);
    }
    public function postSehir(Request $request)
    {
        
            try {

               if($request->id>0){


             DB::table('illers')
            ->where('id', $request->id)
            ->update(['Durum' => $request->Durum]);
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Sehir Durumu Değiştirildi']);
            }else{
			
			if(isset($request->avrupa)){
				
				 DB::table('illers')->update([
			'fiyat' =>$request->avrupa,
			
			]);
				
				}else{
			
                $array = Excel::toArray(new UsersImport, $request->file("xlsfile") );

                if(!empty($array)){

                    foreach ($array as $key => $value) {
                        foreach ($value as $v) {  

                            DB::table('illers')
                            ->where('id', $v[0])
                            ->update(['fiyat' => $v[3] ,'desi' => 1 ,'min_fiyat' => $v[2]]);   
                      
                       
                    }
                }
                }
				
				}
				
				
				
                return redirect()->back()->with('success', 'Fiyatlar Güncelleme Başarılı');   
            }
            } catch (\Exception $e) {
                 return redirect()->back()->with('error', 'Bir Hata Meydana Geldi'); 
            }
}
    
    public function getİlce(Request $request)
    {
        $adres = ilceler::where("il_id", $request->sehirId)->orderBy('id','asc')->get();
        return view('backend.Adres.ilce')->with('adres', $adres);
    }
    public function postİlce(Request $request)
    {
        
            try {
                DB::table('ilcelers')
                ->where('id', $request->id)
                ->update(['Durum' => $request->Durum]);
                return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'İlçe Durumu Değiştirildi']);
            } catch (\Exception $e) {
                return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'İlçe Durumu Değiştirilemedi']);
            }
}
    public function getMahalle(Request $request)
    {
        $adres = mahalleler::where("ilce_id", $request->ilceId)->orderBy('id','asc')->get();
        return view('backend.Adres.mahalle')->with('adres', $adres);
    }
    public function postMahalle(Request $request)
    {
        
        try {
            DB::table('mahallelers')
            ->where('id', $request->id)
            ->update(['Durum' => $request->Durum]);
            return response(['status' => 'success', 'title' => 'Başarılı', 'content' => 'Mahalle Durumu Değiştirildi']);
        } catch (\Exception $e) {
            return response(['status' => 'error', 'title' => 'Başarısız', 'content' => 'Mahalle Durumu Değiştirilemedi']);
        }
}
}
