<?php

namespace App\Http\Controllers\Backend;
use App\Http\Controllers\Controller;
use App\Models\Siparis;
use App\Models\SiparisDetay;
use App\Models\Products;
use App\Models\Yorum;
use App\Models\Customers;
use Illuminate\Http\Request;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Auth;
use Carbon\Carbon;
use DB;
class HomeGetController extends Controller
{
    public function index(Request $request)
    {
	
	
	if(isset($request->Durum)){
	
$yorum = 	Yorum::where('id',$request->id)->update(['durum'=>$request->Durum]);
	
	
	return response(["status" => 'success']);
	
	}
	else if(isset($request->yorum)){
		try {

              

			$yorumcount = DB::table('yorums')->count();

			   $yorum = DB::table('yorums')

                    ->select(['yorums.id','yorums.yorum','yorums.yildiz','yorums.durum','yorums.created_at','bayis.bayi_name','product_translations.product_title as  urun_adi'])

                   ->join('product_translations', 'product_translations.product_id', '=', 'yorums.urun_id')
				   
                   ->join('bayis', 'bayis.id', '=', 'yorums.user_id')

					->where('product_translations.locale', 'tr')
					->limit($request->length)

					->offset($request->start)
                    ->orderBy('yorums.id','desc')

                    ->get();
				return response(array("data" => $yorum , "recordsTotal" =>$yorum->count() ,"recordsFiltered" => $yorumcount));

            } catch (\Exception $e) {

                 return response(0);

            }
		
		}
	else{
        $tcount = DB::table('siparis')->count();
        $bcount = DB::table('siparis')
        ->whereDate('created_at',  Carbon::today())
        ->count();
        
         $ctcount = DB::table('customers')->count();
        $cbcount = DB::table('customers')
        ->whereDate('created_at',  Carbon::today())
        ->count();
        
         $btcount = DB::table('bayis')->count();
        $bbcount = DB::table('bayis')
        ->whereDate('created_at',  Carbon::today())
        ->count();
        
         $siparis = Siparis::orderBy('id','desc')->get();
        return view('backend.index')->with('siparis', $siparis)->with('bcount',$bcount)->with('tcount',$tcount)->with('cbcount',$cbcount)->with('ctcount',$ctcount)->with('btcount',$btcount)->with('bbcount',$bbcount);
    }
    }

    
	
    

     public function getLogout() {
        Auth::logout();
        return redirect('/');
    }
}
