<?php

namespace App\Http\Controllers\Frontend\Yorum;

use App\Http\Controllers\Controller;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\Yorum;
use App\Models\YorumFiles;
use Intervention\Image\Facades\Image;
use Illuminate\Support\Facades\Storage;
use App\Models\SiparisDetay;

class YorumController extends Controller
{
    
    public function yorum($id , Request $request)
    {
      
     
    

		if ($request->session()->has('customer_id')){
          
             $star = 0;
           $user_id=  $request->session()->get('customer_id');
          
        
           $yorumkontrol = Yorum::where('user_id', $user_id)->where('urun_id', $id)->count();
           $siparis = SiparisDetay::where('User_Id', $user_id)->where('Urun_Id', $id)->count();
       
           if (!$siparis) {
            return response()->json(['success' => false, 'message' => 'Yorum yapabilmeniz için lütfen sipariş veriniz.']);
           }
           if ($yorumkontrol) {
            return response()->json(['success' => false, 'message' => 'Daha önce ürün hakkında yorum yapılmıştır.']);
           }
            else{

            if(isset($request->star)){

                 $star = $request->star;

                    }

                     $yorum=   Yorum::create([
                            'yorum'=>$request->review,
                            'user_id'=>$user_id,
                            'yildiz'=>$star==0?5:$star,
                            'urun_id'=>$id,
                            'durum'=>'off',
                            'name'=>$request->maskedName


                        ]);
                      
                        if ($request->hasFile('file-upload')) {
                          
                            foreach ($request->file('file-upload') as $image) {
                                $img = Image::make($image);

    
        $img->encode('webp', 90);

        $filename = time() . '_' . uniqid() . '.webp';
        $path = 'uploads/yorumlar/' . $filename;

        Storage::disk('filesystem')->put($path, (string) $img);

        YorumFiles::create([
            'yorum_id' => $yorum->id,
            'file' => $path,
        ]);
                            }
                        }
                    }

                        return response()->json(['success' => true, 'message' => 'Yorumunuz için teşekkür ederiz.']);
                    } else {
                        return response()->json(['success' => false, 'message' => 'Yorum ekleyebilmek için üye olmanız gerekmektedir.']);
                    }
        
     }
	 
}
