<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\App;
use Illuminate\Http\Request;
use App\Models\Slider;
use App\Models\Product;
class HomeController extends Controller
{
   
    public function index(Request $request)
    {
         $sliders = Slider::where('slider_status','on')->get();
         $newproduct = Product::where('HaftanınUrunu', 'on')
         ->with(['files' => function($query) {
             $query->orderBy('id', 'asc')->limit(1);
         }])
         ->get();
        $allproduct = Product::where('id','>', 0)->inRandomOrder()->limit(16)->where('product_status','on')->get();
        return view('home')->with('sliders', $sliders)->with('newproduct', $newproduct)->with('allproduct', $allproduct);
    }
}
 