<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Customers extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'id',
        'phone',
        'name',
        'adres1',
        'adres2',
        'adres3',
        'adres1baslik',
        'adres2baslik',
        'adres3baslik',
        'puan',
        'email',
        'bayi_id',
        'password',
        'status',
        'telefon_izin',
        'sms_izin',
        'eposta_izin',
    ];
   

    /**
     * @return \Illuminate\Database\Eloquent\Relations\hasOne
     */
    public function BayiName()
    {
        return $this->hasOne('App\Models\Bayi', 'id', 'bayi_id');
    }
}