<?php

namespace App\Models;
use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;
use Eloquent;
use Illuminate\Database\Eloquent\Model;

class Slider extends Model implements TranslatableContract
{
    use Translatable;
	protected $table = 'sliders';
    public $translatedAttributes = ['slider_name','slider_detail'];
    protected $fillable = [
        'slider_image',
        'slider_mobil_image',
        'slider_url',
        'slider_status',	
        'Urun_Id',
        'sort'
    ];

}
class SliderTranslation extends Eloquent {

    protected $table = 'slider_translations';
    public $timestamps = false;
    protected $fillable = ['slider_id','slider_name','slider_detail'];

}


