@extends('backend.app')

@section('content')

    <div class="content-wrapper">
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">Kullanıcı Düzenle</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="#">Anasayfa</a></li>
                            <li class="breadcrumb-item active">Kullanıcı</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>

        <section class="content">
            <div class="container-fluid">
                <form method="post">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card card-primary">
                                <div class="card-body">
                                    <h3 class="card-title duzenlebg">Genel Bilgiler</h3>
                                </div>
                                <div class="card-body">
                                    <div class="form-group">
                                        
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Adı</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="text" name="name" value="{{$user->name}}" class="form-control" placeholder=" Adı Yazınız">
                                        </div>
                                        </div>
                                      <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Puan</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="text" name="puan" value="{{$user->puan}}" class="form-control"
                                                   placeholder=" Puan Yazınız">
                                        </div>
                                        </div>
<!--
                                        <div class="form-group  row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Bayi</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <select required class="form-control select2" style="width: 100%;" name="bayi_id">
                                                <option value="{{$user->bayi_id}}" selected ></option>
                                                @foreach($bayis as $bayi)
                                                    <option value="{{$bayi->id}}" {{$user->bayi_id==$bayi->id?"selected":""}}>{{$bayi->bayi_name}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                        </div>
-->
                                         <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Şifre</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="password" name="password" value="{{$user->password}}" class="form-control"
                                                   placeholder="Şifre Yazınız">
                                        </div>
                                        </div>

                                       
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Kullanıcı Durumu</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input type="checkbox" name="status" {{$user->status == 'on' ? 'checked' : ' '}} data-bootstrap-switch>
                                        </div>
                                        </div>


                                    </div>
                                 </div>

                             
                            </div>
                            <div class="col-md-12">
                            <div class="card card-primary">
                                <div class="card-body">
                                    <h3 class="card-title duzenlebg">İletişim Bilgiler</h3>
                                </div>
                                <div class="card-body">
                                    <div class="form-group">
                                        
                                      
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Email</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="email" name="email" value="{{$user->email}}" class="form-control"
                                                   placeholder=" Email Yazınız">
                                        </div>
                                        </div>

                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">Telefon</label>
                                            <div class="col-sm-9 col-md-9 col-lg-6">
                                            <input required type="phone" name="phone" value="{{$user->phone}}" class="form-control"
                                                   placeholder=" Telefon Yazınız">
                                        </div>
                                        </div>
	
									    @foreach($adreslist as $adress)
	
                                        <div class="form-group row">
                                            <label class="col-sm-3 col-md-3 col-lg-2 col-form-label">{{$adress->Baslik}}</label>
                                            <div class="col-sm-6 col-md-6 col-lg-6">
                                            <input required type="text" name="adres1" value="{{$adress->mahalleAd->mahalle_adi}} {{$adress->Adres}} {{$adress->ilceAd->ilce_adi}} {{$adress->ilAd->il_adi}}" disabled class="form-control"
                                                   placeholder=" Adres Yazınız">
                                        </div>
										 <div class="col-sm-6 col-md-6 col-lg-3">
                                           <select required class="form-control select2" style="width: 100%;" id="bayi-{{$adress->Id}}" name="bayi-{{$adress->Id}}">
                                               
                                                @foreach($bayis as $bayi)
                                                    <option value="{{$bayi->id}}" {{$adress->Bayi_id==$bayi->id?"selected":""}}>{{$bayi->bayi_name}}</option>
                                                @endforeach
                                            </select>
                                        </div>
										 <div class="col-sm-1 col-md-1 col-lg-1">
                                            <button  onclick="useradres(this,'{{$adress->Id}}','#bayi-{{$adress->Id}}')" class="btn btn-success" type="button" >✔</button>
                                        </div>
                                        </div>

											@endforeach



                                    </div>
                                        <footer class=" text-right">
                                        <button id="usersButton" class="btn btn-success" type="button" >Kaydet</button>
                                        </footer>
                                   </div>
                            </div>
                        </div>
                        </div>
                    </div>
                </form>
            </div>
        </section>
    </div>

@endsection

@section('js')

    <script src="/backend/plugins/select2/js/select2.full.min.js"></script>
    <script src="/backend/plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>
<script>
$("input[name='phone']").on("input", function () {
            $("input[name='phone']").val(destroyMask(this.value));
            this.value = createMask($("input[name='phone']").val());
        })

        function createMask(string) {
            console.log(string)
            return string.replace(/(\d{3})(\d{3})(\d{4})/, "$1-$2-$3");
        }

        function destroyMask(string) {
            console.log(string)
            return string.replace(/\D/g, '').substring(0, 10);
        }
</script>
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Initialize Select2 Elements
            $('.select2bs4').select2({
                theme: 'bootstrap4'
            })

            $("input[data-bootstrap-switch]").each(function () {
                $(this).bootstrapSwitch('state', $(this).prop('checked'));
            });
        });
    </script>

    <script>

        $("#usersButton").click(function () {

            var url = "{{route("customer-edit",$user->id)}}";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>
  <script>
        function useradres(r, id , selectbayi) {
		var selectedbayi=	$(selectbayi).val();
		
		
            $.ajax
            ({
                type: "Post",
                url: '{{route('customer')}}',
                data: {
                    'id': id,
					'bayi_id':selectedbayi,
					'bayidegistir':'bayidegiştir'
                   
                },
                success: function (response) {
					
				
                    if (response.status == 'success') {
						
                        toastr.success(response.content, response.title);
                       
                    } else {
                        toastr.error(response.content, response.title);
                      
                    }
                }

            })

        }
    </script>
@endsection

@section('css')
    <link rel="stylesheet" href="/backend/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <link rel="stylesheet" href="/backend/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
@endsection
