﻿
<div class="card border border-primary">
	<div class="card-header bg-transparent border-primary">
		<h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Değişken Yönetimi</h5>
	</div>


    <div class="card-body">

		<div class="row">

			<div class="col-sm-12">

				<nav>

					<div class="nav nav-tabs nav-fill" id="nav-tab" role="tablist">

						<?php $lang_index = 0;?>

						@foreach(Helper::GetLocaleFiles($language->code) as $file)

						  <a class="nav-item nav-link {{ $lang_index == 0 ? 'active' : '' }}" id="nav-{{ str_replace('.php','',$file) }}-tab" data-bs-toggle="tab" href="#lang-{{ str_replace('.php','',$file) }}" role="tab" aria-controls="nav-{{ str_replace('.php','',$file) }}" aria-selected="true">{{ strtoupper(str_replace('.php','',$file)) }}</a>

						  <?php $lang_index ++;?>

						  @endforeach

					</div>

				</nav>

			</div>

			<div class="col-sm-12">

				{!! BootForm::open() !!}

				<div class="tab-content" id="nav-tabContent">

					<?php $lang_index = 0;?>

					@foreach(Helper::GetLocaleFiles($language->code) as $file)

					<div class="tab-pane card border border-top-0 fade {{ $lang_index == 0 ? 'show active' : '' }}" id="lang-{{ str_replace('.php','',$file) }}" role="tabpanel" aria-labelledby="nav-{{ str_replace('.php','',$file) }}-tab">

						<div class="card-body">

							<div class="row">

								@foreach(Helper::ReadLocaleFile($language->code,$file) as $key=>$values)

								@if(is_array($values))

									@foreach($values as $sub_key=>$value)

									<div class="col-sm-4">

									{!! BootForm::text(($key . '['.$sub_key.']'), ($key . '['.$sub_key.']') , $value)->class('form-control locale-array-update')->locale($language->code)->file($file) !!}

									</div>

									@endforeach

								@else

									<div class="col-sm-4">

									{!! BootForm::text($key, $key , $values)->class('form-control locale-array-update')->locale($language->code)->file($file) !!}

									</div>

								@endif

								@endforeach

							</div>

						</div>

					</div>

					<?php $lang_index ++;?>

					@endforeach

				</div>

				{!! BootForm::close() !!}

			</div>

		</div>

	</div>

</div>