@extends('backend.app')

@section('content')

<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Mail</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Mail</li>
                </ol>
            </div>
        </div>
    </div>
</div>

   
			
			<div class="card">
				
				
				<ul class="message-list">
					
                @foreach($mails as $index=>$mail)
					<li>
						<div class="col-mail col-mail-1">
							<div class="checkbox-wrapper-mail">
								<input type="checkbox" id="chk{{$index}}">
								<label for="chk{{$index}}" class="toggle"></label>
							</div>
							<a href="{{route('mail-edit',$mail->id)}}" class="title mt-2">
                          
								<h6 class="mb-0">{{ $mail->title }} </h6>
                               
								<p class="text-muted mt-1 mb-0"> {{$mail->created_at->translatedFormat(' j F Y ')}}</p>
							</a>
						
						</div>
						<div class="col-mail col-mail-2">
							
							<a href="{{route('mail-edit',$mail->id)}}" class="subject  mt-3">
                            @foreach(json_decode($mail->detail) as $index=> $item)
                            @if($index==0)
								<h6 class="mb-0 "> <span class="badge-warning badge mr-2"></span>{{$item->value}} </h6>
                                @endif
                                @endforeach	
                                @foreach(json_decode($mail->detail) as $index=> $item)
                            @if($index==3)
                                <p class="text-muted mt-1 mb-0"> <span class="teaser">{{$item->value}}
                                @endif
                                @endforeach	
								</span></p>
							</a>
							<div class="date">
								
								<a href="{{route('mail-edit',$mail->id)}}">
									<i class="mdi mdi-link-variant mr-2 font-16 "></i>{{$mail->created_at->translatedFormat('H:s')}}
								</a>
								
							</div>
						</div>
					</li>
				    @endforeach
				</ul>
				
			</div>
			<!-- card -->
			
			<div class="row mt-2">
				<div class="col-12">
					<div class="d-flex justify-content-end gap-2">
						<button type="button" class="btn btn-sm btn-success waves-effect"><i class="fa fa-chevron-left"></i></button>
						<button type="button" class="btn btn-sm btn-success waves-effect"><i class="fa fa-chevron-right"></i></button>
					</div>
				</div>
			</div>
			
		</div>
@endsection


@section('js')


@endsection

@section('css')

@endsection
