@extends('backend.app')

@section('content')

          
            <div class="page-title-box">
               <div class="row align-items-center">
                  <div class="col-sm-6">
                     <h4 >Siparis Ekle</h4>
                  </div>
                  <div class="col-sm-6">
                     <ol class="breadcrumb float-right">
                        <li class="breadcrumb-item"><a href="javascript:void(0);">Ana Sayfa</a></li>
                        <li class="breadcrumb-item"><a href="javascript:void(0);">Siparis</a></li>
                        <li class="breadcrumb-item active">Ekle</li>
                     </ol>
                  </div>
               </div>
               <!-- end row -->
            </div>
            <div class="row">
               <div class="col-md-12">
                  <div class="main-card mb-3 card">
                     <div class="card-body ">
                        <form  method="POST" enctype="multipart/form-data" data-parsley-validate>
                           <div class="row">
                              <div class="position-relative form-group col-md-3">
                                 <label  class="">Müşteri Adı </label>
                                 <span class="btn btn-sm btn-success" style="float: right;margin-left:5px;" data-toggle="modal" data-target="#exampleModal">Müşteri Seç</span>
                                  <input id="Id" type="hidden" class="form-control" name="User_Id">
                                    <input id="name" type="text"  disabled class="form-control">
                              </div>
                             
                              <div class="position-relative form-group col-md-3">
                              <label  class="">Adres</label>
                              <select class="form-control adres" id="adresget" name="adres" required>
                              
                              <option  value="0">Adres Seçiniz</option>								</select>
                              </div>
                             
                              <div class="position-relative form-group col-md-3">
                                 <label  class=""> Durumu</label>
                                 <select class="form-control" name="durum" required>
                                    <option value="0">Beklemede</option>
                                    <option value="1">Onaylandı</option>
                                 </select>
                              </div>
                              <div class="position-relative form-group col-md-3">
                                 <label  class="">Açıklama</label>
                                 <input name="aciklama" type="text" class="form-control">
                              </div>
                              <div class="position-relative form-group col-md-3">
                                <label  class="">Gonderim Tarihi</label>
                                <input name="GonderimTarihi" type="date" class="form-control">
                                </div>
                                <div class="position-relative form-group col-md-3">
                                 <label  class="">Kupon Kodu</label>
                                 <input name="kuponkodu" type="text" class="form-control">
                              </div>
                                <div class="position-relative form-group col-md-3">
                                 <label  class=""> Ödeme Şekli</label>
                                 <select class="form-control" name="OdemeSekli" required>
                                    <option value="0">Kapıda Ödeme</option>
                                    <option value="1">Kredi Kartı</option>
                                    <option value="2">BKM Express</option>
                                    <option value="3">Para Puan</option>
                                 </select>
                              </div>
                              <div class="position-relative form-group col-md-3">
                                 <label  class=""> Ödeme Durumu</label>
                                 <select class="form-control" name="OdemeDurumu" required>
                                    <option value="0">Beklemede</option>
                                    <option value="1">Tamamlandı</option>
                                 </select>
                              </div>
                           </div>
                          
                           <div class="tab-content">
                              <div class="table-responsive">
                                 <table class="table table-hover" id="invoiceTable">
                                    <thead >
                                       <tr class="col-12" >
                                         
                                          <th >Ürünler </th>
                                          <th > Damacana</th>
                                           <th>Adet</th>
                                       </tr>
                                    </thead>
                                    <tbody>
                                       <tr class="tr_input">
                                        
                                          <td>
                                          <select class="form-control" name="UrunId" required>
                                              @foreach($products as $product)
                                              <option value="{{$product->id}}">{{$product->product_title}}</option>
                                                @endforeach
                                                </select>

                                          </td>
                                           <td>
                                                <select class="form-control" name="damacanadurum" required>
                                                <option value="0">Var</option>
                                                <option value="1">Yok</option>
                                                </select>
                                            </td>
                                          
                                          <td><input placeholder="Kaç Adet" name="adet" class=" form-control " value="" type="number" required/></td>
                                          </tr>
                                    </tbody>
                                 </table>
                              </div>
                           </div>
                           <div class='row'>
                              <div class='col-xs-3 col-sm-3 col-md-3 col-lg-3'>
                                <!-- coklu satır ekleme-->
                                <!-- 
                                    <button id="sil" class="btn btn-danger delete" type="button">- Sil</button>
                                 <button id="ekle" class="btn btn-success addmore" type="button">+ Ekle</button>
                                -->
                              </div>
                              <div class='col-sm-9 mt-5 float-right' style="text-align:right; float:right; ">
                               <input id="siparisekle" type="button" value="Kaydet" class="btn btn-success mt-5 float-right"/>
                              </div>
                           </div>
                           
                     </div>
                  </div>
               </div>
            </div>
            </form>
           
            <script type="text/javascript" src=" https://code.jquery.com/jquery-3.3.1.min.js"></script>
           
            <div class="modal fade lg" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
               <div class="modal-dialog" role="document">
                  <div class="modal-content">
                     <div class="modal-header btn-info " >
                        <h5 class="modal-title " style="color: #fcfdfe;" id="exampleModalLabel">Müşteri Seç</h5>
                        <button type="button" class="close" id="kapatma" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                        </button>
                     </div>
                     <div id="sonuc"></div>
                     <div class="modal-body">
                        <div class="row" style="margin-top: -15px;">
                           <input id="myInput" style="height: 40px;" class="form-control" type="text" placeholder="Ara..">
                        </div>
                        <div class="table-responsive">
                           <table class="table table-hover ">
                              <thead>
                                 <tr>
                                    <th width="5%"></th>
                                    <th width="30%">Müşteri Adı </th>
                                    <th width="30%">Müşteri Telefon </th>
                                    <th width="35%">Müşteri Eposta </th>
                                 </tr>
                              </thead>
                              <tbody id="myTable">
                              @foreach($customers as $customer)
                                 <tr >
                             
                                    <th >
                                       <input type="radio" name="Id" value="{{$customer->id}}" >
                                       <input class="form-control reset" style="display: none;" type="radio" name="name" value="{{$customer->name}} " >
                                    </th>
                                    <th>{{$customer->name}}</th>
                                    <th>{{$customer->phone}}</th>
                                    <th>{{$customer->email}}</th>
                                  
                                 </tr>
                                 @endforeach
                              </tbody>
                           </table>
                        </div>
                     </div>
                  </div>
               </div>
            </div>

            
@endsection

@section('js')
    <script src="/backend/plugins/select2/js/select2.full.min.js"></script>
    <script src="/backend/plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>
    <script src="/backend/assets/js/siparis.js"></script>

    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Initialize Select2 Elements
            $('.select2bs4').select2({
                theme: 'bootstrap4'
            })

            $("input[data-bootstrap-switch]").each(function () {
                $(this).bootstrapSwitch('state', $(this).prop('checked'));
            });

            $('#myTable tr').click(function(){			var selected = $("#myTable input[type='radio']:checked");								var urlx = "{{route("siparis-add")}}";					$('#adresget').empty();											$.ajax({							type: "POST",							url: urlx,							 data: {                            'id': selected.val(),                            'adresgetir': 'adresgetir'                        },														success: function (data) {								$('#adresget').append('<option value="0">adres seçiniz</option>');								$.each(data, function(index, adres){									console.log(adres);								$('#adresget').append('<option value="'+adres.Id+'">'+ adres.Baslik +'</option>');								})							},							error: function () {							}						});				
            });

        });
    </script>

    <script>

        $("#siparisekle").click(function () {

            var url = "{{route("siparis-add")}}";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>



@endsection

@section('css')
    <link rel="stylesheet" href="/backend/plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <link rel="stylesheet" href="/backend/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <link rel="stylesheet" href="/backend/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <style>
               @media only screen and (max-width: 1024px) {
               .table-responsive { overflow: scroll !important; }
               }
               @media only screen and (max-width: 760px), (min-device-width: 768px) and (max-device-width: 1024px) {
               .table-responsive { overflow: scroll !important; }
               #invoiceTable { min-width: 300px; }
               #invoiceTable, #invoiceTable thead, #invoiceTable tbody, #invoiceTable thead th, #invoiceTable td, #invoiceTable thead tr, #invoiceTable tbody tr { display: block; }
               #invoiceTable thead tr { position: absolute; top: -9999px; left: -9999px; }
               #invoiceTable thead tr, #invoiceTable tbody tr { border: 1px solid #ccc; }
               #invoiceTable tbody td { border: none; border-bottom: 1px solid #eee; position: relative; padding-left: 160px !important; }
               #invoiceTable tbody td:before { position: absolute; top: 6px; left: 6px; width: 150px !important; text-align: left !important; padding-right: 10px; white-space: nowrap; }
               #invoiceTable input, #invoiceTable select, .suggestions { min-width: 100px !important; }
               }
               @media only screen and (max-width: 760px), (min-device-width: 768px) and (max-device-width: 1024px) {
               /*#dyTable tbody td:nth-of-type(1):before { content: "No"; }*/
               #invoiceTable tbody td:nth-of-type(2):before { content: "Hizmet Adı"; }
               #invoiceTable tbody td:nth-of-type(3):before { content: "Fiyatı"; }
              
               #invoiceTable tbody td:nth-of-type(5):before { content: "Kaç Adet"; }
               #invoiceTable tbody td:nth-of-type(6):before { content: "Toplam Tutar"; }
               }
            </style>
             <style>
                              @media (max-width: 480px) {
                              .table > tbody > tr{
                              display: inline-block;
                              width: 100%;
                              }
                              .table > tbody > tr td {
                              display: inline-block;
                              width: 100%;
                              }
                              .table > tbody > tr td {
                              display: inline-block;
                              width: 100%;
                              } .table > tbody > tr td input {
                              width: 100%;
                              }
                              }
                              @media (max-width: 380px) {
                              .table > tbody > tr{
                              display: inline-block;
                              width: 100%;
                              }
                              .table > tbody > tr td {
                              display: inline-block;
                              width: 100%;
                              }
                              .table > tbody > tr td {
                              display: inline-block;
                              width: 100%;
                              } .table > tbody > tr td input {
                              width: 100%;
                              }
                              }
                            
                           </style>
@endsection
