@extends('backend.app')

@section('content')

<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0"> Yönetici Ekle</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Yönetici Ekle</li>
                </ol>
            </div>
        </div>
    </div>
</div>

      
<div class="card border border-primary">
    <div class="card-header bg-transparent border-primary">
        <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Yönetici Bilgileri</h5>
    </div>
<form method="post">
    <div class="card-body">
    
            <div class="mb-3 row">
                <label class="col-sm-3 col-md-3 col-lg-3 col-form-label">Yönetici Resmi</label>
                <div class="col-sm-9 col-md-9 col-lg-9">
                <input required type="file" name="image" class="form-control" >
            </div>
            </div>
            <div class="mb-3 row">
                <label class="col-sm-3 col-md-3 col-lg-3 col-form-label">Adı</label>
                <div class="col-sm-9 col-md-9 col-lg-9">
                <input required type="text" name="name" class="form-control" placeholder=" Adı Yazınız">
            </div>
            </div>
            <div class="mb-3 row">
                <label class="col-sm-3 col-md-3 col-lg-3 col-form-label">Email</label>
                <div class="col-sm-9 col-md-9 col-lg-9">
                <input required type="email" name="email" class="form-control"
                       placeholder=" Email Yazınız">
            </div>
            </div>
            <div class="mb-3 row">
                <label class="col-sm-3 col-md-3 col-lg-3 col-form-label">Şifre</label>
                <div class="col-sm-9 col-md-9 col-lg-9">
                <input required type="password" name="password" class="form-control"
                       placeholder="Şifre Yazınız">
            </div>
            </div>
            <div class="mb-3 row"> 
            <label class="col-sm-3 col-md-3 col-lg-3 col-form-label">Rol</label>
            <div class="col-sm-9 col-md-9 col-lg-9">
            <select required class="form-control select2" style="width: 100%;" name="rolId">
                @foreach($roles as $role)
                    <option value="{{$role->id}}">{{$role->rol_name}}</option>
                @endforeach
            </select>
            </div>
            </div>

            <div class="mb-3 row">
                <label  class="col-sm-3 col-md-3 col-lg-3 col-form-label">Yönetici Durumu</label>
                <div class="col-sm-9 col-md-9 col-lg-9">
                    <div class="square-switch">
                        <input type="checkbox" name="user_status" id="square-switch1" switch="none"   checked>
                        <label for="square-switch1" data-on-label="On" data-off-label="Off"></label>
                    </div>
              
            </div>
            </div>

        
    <button class="btn btn-primary" type="button" id="usersButton">Kaydet</button>
  
    </div>
</form>
                              
                               
                            </div>
                        </div>
                    </div>
                 </div>
     
@endsection

@section('js')

    <script>

        $("#usersButton").click(function () {

            var url = "{{route("user-add")}}";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>



@endsection

@section('css')
@endsection
