@extends('layouts.app')
@section('title', __('system.Sepetim'))
@section('canonical', Request::url())
@section('keywords', __('system.Sepetim'))
@section('description', __('system.Sepetim'))
@section('content')
<section class="breadcrumb">
    <ul class="c-container">
                    <li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
                    <li>{{__('system.Sepetim')}}</li>
                </ul>
    </section>
	<section class="card-page">
        <div class="c-container">
        <div class="d-flex align-items-start justify-content-between">
        <div class="left">
         
                        <div class="order-navigation">
                            <div class="step active">Sepet</div>
                            <div class="step">Teslimat Adresi</div>
                            <div class="step">Ödeme</div>
                            <div class="step">Sipariş Özeti</div>
                        </div>
                        <h2 class="card-page-title">Sepet</h2>
                        @foreach($sepet as $item)
                        <div class="card-content" data-val="{{$item->id}}">
                          
                                    <div class="card">
                                        <img src="{{$item->Urun->product_image}}" alt="{{$item->Urun->product_title}}"  height="122px">
                                    <div class="right">
                                    <h3>{{$item->Urun->product_title}}</h3>
                                    <span>30x30cm</span>
                                    <span>Mat Siyah</span>
                                    <span>Metalik Akrep Yelkovan</span>
                                    
                                    </div>
                                    </div>
                                    <div class="right-2">
                                   <div class="adet ">
                                        <div class="qty d-flex align-items-center justify-content-between">
                                            <span class="qty-btn" data-action="dec">
                                                <i class="demo-icon icon-minus-solid">&#xe81c;</i> 
                                            </span>
                                            <input type="number" value="{{$item->Adet}}" min="0" disabled id="adet">
                                            <span class="qty-btn" data-action="inc">
                                                  <i class="demo-icon icon-plus-solid">&#xe81d;</i>
                                            </span>
                                        </div>
                                    </div>
                                        <div class="amount">
                                            @php
							                $indirimlifiyat =$item->Urun->fiyat -  (($item->Urun->fiyat * $item->urun->UrunİndirimOranı )/100);
								            @endphp
                                        <div class="discount-wrapper">
                                            <div class="rate">%{{$item->urun->UrunİndirimOranı}}</div>
                                            <div class="off-price">{{number_format($item->Urun->fiyat,2)}} TL</div>
                                        </div>
                                        <div class="price">
                                            {{number_format($indirimlifiyat,2)}} TL
                                        </div>
                                    </div>
                                   <i class=" delete demo-icon icon-trash-can-regular" data-val="{{$item->id}}" >&#xe81f;</i>	
                                    
                                   
                                </div>
                                </div>
                                @endforeach
                                                  
    
                    </div>
                    <div class="payment-summary">
                        <h3>Sepet Özeti</h3>
                       
                        <div class="price-table">
                            <ul>
                                <li>
                                    <span class="title">Ürünler Toplamı</span>
                                    <span class="value p2tutar">{!!  number_format( (Helper::siparisİndirimsizcount() ),2)  !!} TL</span>
                                </li>
                                <li>
                                    <span class="title">İndirim Bedeli</span>
                                    <span class="value p3tutar">{!!  number_format( (Helper::siparisİndirimsizcount() - Helper::sipariscount() ),2)  !!} TL</span>
                                </li>
                                <li>
                                    <span class="title">Kargo Bedeli</span>
                                    <span class="value p4tutar">{!!  number_format( Helper::sipariskargocount() ,2)  !!} TL</span>
                                </li>
                                 <!--<li>
                                    <span class="title">Kupon İndirimi</span>
                                    <span class="value p5tutar">125.00 TL</span>
                                </li>-->
                            </ul>
                        </div>
                         <p class="description">Ödenecek Sipariş Tutarı</p>
                        <p class="price p1tutar">{!!  number_format( (Helper::sipariscount() +  Helper::sipariskargocount()  ),2)  !!} TL</p>
                        <div class="button">
                            <a href="{{route('teslimat-adresi')}}" class="g-btn">Devam Et</a>
                        </div>
                        <span class="ssl">Bu sitede yapacağınız tüm alışverişler 256bit SSL ile korunmaktadır.</span>
                    </div>
                </div>
                </div>
         
            </section>



			
@endsection
@section('css')

@endsection
@section('js')

<script>

$('.delete').click(function(){
  
	var url ="{{route('ajax-get')}}";
	 var self = $(this);
	var val= $(this).data("val");

	$.ajax({
	type: "POST",
	url: url,
	data: { 
		"val": val,
		"siparisde": "siparisde"
          },
	
	success: function (response) {
		if (response.status=="success"){
		
			 window.location.reload();  
        }else{


        }
   
		
	},
	error: function (response) {
	}
});
	
})



 $(".card-content .qty-btn").click(function () {
	  var self = $(this);
	 	var val= $(this).closest('.card-content').data("val");
	 
        event.preventDefault();
        var value = parseFloat($(this).parent().find('input').val());

        if ($(this).attr('data-action') === "dec") {
            value = value > 0 ? (value - 1) : value;
			
			
			if(value==0){
				
				
				
					var url2 ="{{route("ajax-get")}}";
	 var self = $(this);
	var val= $(this).closest('.card-content').data("val");
	$.ajax({
	type: "POST",
	url: url2,
	data: { 
		"val": val,
		"siparisde": "siparisde"
          },
	
	success: function (response) {
		if (response.status=="success"){
		
		 window.location.reload();  
	}
	 
	},
	error: function () {

	}
});
				
				}
			
        } else {
            value = (value + 1);
        }
var url ="{{route('ajax-get')}}";
$.ajax({
	type: "POST",
	url: url,
	data: { 
		"val": val,
		"deger":value,
		
          },
	
	success: function (response) {
		if (response.status=="success"){
          
			$(".p1tutar").text(response.odenecektutar+" TL")
			$(".p2tutar").text(response.indirimsiztutar+" TL");
			$(".p3tutar").text(response.indirim+" TL");
			$(".p4tutar").text(response.kargo +" TL");

            $(".sepet_toplam_fiyat").text(response.odenecektutar +" TL");
		 self.parent().find('input').val(value); 
	}
	 
	},
	error: function () {

	}

       
    });
    });
</script>
@endsection