@extends('layouts.app')
@section('title', __('system.Şifre Yenile'))
@section('canonical', Request::url())

@section('content')
 
<section class="breadcrumb">
    <ul class="c-container">
        <li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a> <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
        <li>Şifremi Unuttum</li>
    </ul>
</section>

	
<section class="tracing-page password-page">
    <div class="c-container">
        <form class="form" action="{{route('sifrealpost')}}" method="post">
            @csrf
        <div class="tracing-page-height">
           
        <h3>Şifremi unuttum</h3>
        <p>Kayıtlı e-posta adresinizi veya telefon numaranızı yazarak şifre sıfırlama bağlantısını alın</p>
        <input type="text" require name="bayi_kod" placeholder="E-posta adresiniz veya telefon numaranız">
      
        <button type="submit" class="g-btn">Gönder</button>
        <div class="mt-3">
            @if (\Session::has('error'))
              <div class="alert alert-danger">
                  <ul>
                      <li>{!! \Session::get('error') !!}</li>
                  </ul>
              </div>
          @endif
           @if (\Session::has('success'))
              <div class="alert alert-success">
                  <ul>
                      <li>{!! \Session::get('success') !!}</li>
                  </ul>
              </div>
          @endif
          </div>
    </div>
</form>

    </div>
    
</section>

 
@endsection


@section('css')
<style>
    .alert li {font-family: var(--font2);color:#000;font-size: 15px;font-weight: 500;}
    
    </style>
@endsection
