﻿@extends('layouts.app')
@section('title', $item->translate(Config::get('app.locale'))->page_name)
@section('canonical', Request::url())
@section('keywords', $item->translate(Config::get('app.locale'))->page_tags)
@section('description', $item->translate(Config::get('app.locale'))->page_description)

@section('content')
<section class="breadcrumb">
    <ul class="c-container">
                    <li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
                    <li>{{$item->page_name}}</li>
                </ul>
    </section>

<section class="default-page">
    <div class="c-container">
        <div class="page-container">
            <div class="sidebar">
			
                <ul>
					@foreach(Helper::pageslist(2) as $tur)
					<li class="{{$tur->id==$item->id?'active':''}}"><a href="{{$tur->page_slug}}">{{$tur->page_name}}</a></li>
					@endforeach
					@foreach(Helper::pages(5) as $tur)
					<li class="{{$tur->id==$item->id?'active':''}}"><a href="{{$tur->page_slug}}">{{$tur->page_name}}</a></li>
					@endforeach
					@foreach(Helper::pageslist(8) as $tur)
					<li class="{{$tur->id==$item->id?'active':''}}"><a href="{{$tur->page_slug}}">{{$tur->page_name}} </a></li>
					@endforeach
                  
                   
                </ul>
            </div>
			<div class="content default-text ">
               <h1>Sıkça Sorulan Sorular</h1>
             <div class="faqs-layout">
           @foreach($items as $index=>$content)
            <div class="faq">
                <div class="faq-header">
                    <p class="title">{{$content->page_name}}</p>
                </div>
                <div class="faq-body">
                    {!! $content->page_content !!} 
                </div>
            </div>
			@endforeach
			</div>
            </div>

        </div>
    </div>
</section>


@endsection
@section('js')


@endsection