﻿@extends('layouts.app')
@section('title', $item->translate(Config::get('app.locale'))->page_name)
@section('canonical', Request::url())
@section('keywords', $item->translate(Config::get('app.locale'))->page_tags)
@section('description', $item->translate(Config::get('app.locale'))->page_description)
@section('image', $item->page_image)
@section('content')
<div class="page-header bg-gray">
    <div class="container">
        <ul class="breadcrumb">
            <li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}} </a></li>
            <li><a href="Request::url()">{{$item->translate(Config::get('app.locale'))->page_name}}</a></li>
          
        </ul>
    </div>
</div>



<div class="page-details">
    <div class="contacts-page">
        <div class="container">
            <h2 class="contacts-page-title">{{$item->translate(Config::get('app.locale'))->page_name}}</h2>
            <div class="branches">
                <div class="branch">
                    <div class="content">
                        <p class="title">Sanal Kahvaltı</p>
                        <p class="branch-address">{{$item->translate(Config::get('app.locale'))->Layer1}}</p>
                        <a href="tel:{{$item->translate(Config::get('app.locale'))->Layer2}}">T: {{$item->translate(Config::get('app.locale'))->Layer2}} (pbx)</a>
                        
                        <a href="mailto:{{$item->translate(Config::get('app.locale'))->Layer3}}" class="email">M : {{$item->translate(Config::get('app.locale'))->Layer3}}</a>
                    </div>
                    {!!$item->translate(Config::get('app.locale'))->Layer4!!}
                </div>
                <div class="branch">
					 <div class="contact-form">
					 <div class="content">
						 
					  <p class="title">{{__('system.İletişim Formu')}}</p>
					   {!! Helper::Form($item->form) !!}
					    @if (\Session::has('success'))
						<div class="alert alert-success">
							<ul>
								<li>{!! \Session::get('success') !!}</li>
							</ul>
						</div>
					@endif
                </div>
                </div>
                </div>
            </div>
        </div>
       
    </div>
</div>
		
		@endsection

@section('js')
<script>
	

		 $(document).ready(function(){ 
  $('form').find("input[type=textarea], input[type=text] ,textarea").each(function(e)
  {
      var placeholder = $(this).attr("name").replaceAll("_", " ");
	
     $(this).attr("placeholder", placeholder);
  
  });
 
});

		</script>
@endsection