@extends('layouts.app')
@section('title', __('system.teslimat adresi'))
@section('canonical', Request::url())
@section('keywords', __('system.teslimat adresi'))
@section('description', __('system.teslimat adresi'))
@section('content')
<section class="breadcrumb">
    <ul class="c-container">
                    <li><a href="/{{Config::get('app.locale')}}">{{__('system.Anasayfa')}}</a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
                    <li>{{__('system.teslimat adresi')}}</li>
                </ul>
    </section>
    <section class="card-page">
        <div class="c-container">
        <div class="d-flex align-items-start justify-content-between">
        <div class="left">
         
                        <div class="order-navigation">
                            <div class="step active">Sepet</div>
                            <div class="step active">Teslimat Adresi</div>
                            <div class="step">Ödeme</div>
                            <div class="step">Sipariş Özeti</div>
                        </div>
                          <div class=" d-flex align-items-center justify-content-between">
                        <h2 class="card-page-title">Teslimat Adresi</h2>
                        @if(Helper::Bayii()>0)
                         <span class="g-btn-2  open-side-modal"  data-title="Yeni
                                Adres Ekle">Yeni Adres Ekle</span>
                                @endif
                         </div>
                         @if(Helper::Bayii()==0)

<div class="form-content">
                      
                    
    <form class="form" >
        <h6 class="w-100">Kişisel Bilgiler</h6>
                   <p class="w-100">Teslim Alacak Kişi Bilgileri</p>
                   <div class="w-50 ">
                       <input type="text" id="firstName" name="Ad_Soyad" placeholder="Adınız" minlength="2" required>
                    </div>
                   <div class="w-50 ">
                       <input type="text" id="lastName" name="Soyad" placeholder="Soyadınız" minlength="2" required>
                     </div>
                      <p class="w-100">Telefon Numarası</p>
                   <div class="w-100">
                       <input type="tel" data-mask="0(999) 999 9999"  name="Telefon" placeholder="Telefon Numaranız" minlength="10" maxlength="12" required>
                     
                   </div>
                   <p class="w-100">E-Posta Adresi</p>
                    <div class="w-100">
                        <input type="email"   name="Eposta" placeholder="E-posta Adresi" required>
                      
                    </div>
                 <h6 class="w-100">Adres Bilgileri</h6>
                   <div class="w-100">
                       <input type="text" name="Baslik" placeholder="Adres Başlığı (Ör: Ev, iş vb.)" minlength="2" required>
                     
                   </div>
                  <div class="custom-select w-50" >
                       <select required name="sehir" >
                           <option value="0" selected disabled>İl</option>
                           @foreach($sehirlist as $item)
                           <option value="{{$item->id}}">{{$item->il_adi}}</option>
                           @endforeach
                       </select>
                     
                   </div>
                 <div class="custom-select w-50" >
                       <select required  name="ilce">
                           <option value="0" selected disabled>İlçe</option>
                       </select>
                     
                   </div>
                  <div class="custom-select w-100" >
                       <select required name="mahalle">
                           <option value="0" selected disabled>Cadde/Sokak Seçiniz</option>
                          
                       </select>
                     
                   </div>
   
                   <div class="w-100">
                       <textarea minlength="10" name="Adres" placeholder="Açık adresinizi yazınız" required></textarea>
                     
                   </div>
                      <h6 class="w-100">Fatura Tipi</h6>
                      <div class="tab-fatura w-100">
                        <input type="radio" id="tab1" name="tab-group" checked>
     <label for="tab1">Bireysel</label>
   
     <input type="radio" id="tab2" name="tab-group">
        <label for="tab2">Kurumsal</label></div>
                      <div class="tab-content-fatura w-100" id="content">
                   <div class="w-100">
                       <input type="text" name="Firma_Unvani" placeholder="Firma Adı"  >
                      </div>
                      <div class="w-50">
                       <input type="text" name="Vergi_Dairesi" placeholder="Vergi Dairesi"  >
                      </div>
                       <div class="w-50">
                       <input type="number" name="Vergi_No" placeholder="Vergi Numarası"  >
                      </div>
                      </div>  
               </form>
</div>


                        @else
                        
                        @if (!empty($adreslist)) 
                        <div class="step-content">
                        <div class="teslimat">
                    <div class="step-header">
                        <div class="text">
                            <p class="step-title">Teslimat Adresi</p>
                             
                          </div>
                     
                    </div>

                    <div class="address-list">
                      
                        <div class="check-options">
                            @foreach($adreslist as $index=> $item)
                            <div class="option">
                                <input type="radio" name="teslimat" id="address{{$item->Id}}" {{$index==0?'checked':''}} required data-val="{{$item->Id}}">
                                <label for="address{{$item->Id}}" data-item="{{ json_encode($item) }}">
                                    <div class="address">
                                        <p class="title">{{$item->Baslik}}</p>
                                        <p class="description">
                                            {{$item->Adres}} {{$item->ilceAd->ilce_adi}}/{{$item->ilAd->il_adi}}
                                        </p>
                                        
                                    </div>
                                </label>
                                <div class="update open-side-modal" data-title="Adres Düzenle">Düzenle</div>
                                    <div class="update del">Sil</div>
                            </div>
                            @endforeach
                        </div>
                     
                    </div>
                    </div>
                    <div class="fatura">
                    <div class="step-header second-header">
                        <div class="text">
                            <p class="step-title">Fatura Adresi</p>
                          
                        </div>
                    </div>
                    <div class="address-list">
                        <div class="check-options">
                            @foreach($adreslist as $index=> $item)
                            <div class="option">
                                <input type="radio" name="fatura" id="address{{$item->Id}}" {{$index==0?'checked':''}} required data-val="{{$item->Id}}">
                                <label for="address{{$item->Id}}" >
                                    <div class="address" data-item="{{ json_encode($item) }}">
                                        <p class="title">{{$item->Baslik}}</p>
                                        <p class="description">
                                            {{$item->Adres}} {{$item->ilceAd->ilce_adi}}/{{$item->ilAd->il_adi}}
                                        </p>
                                        
                                    </div>
                                </label>
                                <div class="update open-side-modal" data-title="Adres Düzenle">Düzenle</div>
                                    <div class="update del">Sil</div>
                            </div>
                            @endforeach
                        </div>
                    </div>
                    </div>
                </div>
                      @endif                           
                      @endif
                    </div>
                    <div class="payment-summary">
                        <h3>Sepet Özeti</h3>
                       
                        <div class="price-table">
                            <ul>
                                <li>
                                    <span class="title">Ürünler Toplamı</span>
                                    <span class="value p2tutar">{!!  number_format( (Helper::siparisİndirimsizcount() ),2)  !!} TL</span>
                                </li>
                                <li>
                                    <span class="title">İndirim Bedeli</span>
                                    <span class="value p3tutar">{!!  number_format( (Helper::siparisİndirimsizcount() - Helper::sipariscount() ),2)  !!} TL</span>
                                </li>
                                <li>
                                    <span class="title">Kargo Bedeli</span>
                                    <span class="value p4tutar">{!!  number_format( Helper::sipariskargocount() ,2)  !!} TL</span>
                                </li>
                                <li>
                                    <span class="title">Kupon İndirimi</span>
                                    <span class="value p5tutar">0.00 TL</span>
                                </li>
                                
                            </ul>
                        </div>
                         <p class="description">Ödenecek Sipariş Tutarı</p>
                        <p class="price p1tutar">{!!  number_format( (Helper::sipariscount() +  Helper::sipariskargocount()  ),2)  !!} TL</p>
                        <div class="button">
                            <span  class="g-btn card-step-button">Devam Et</span>
                        </div>
                        <span class="ssl">Bu sitede yapacağınız tüm alışverişler 256bit SSL ile korunmaktadır.</span>
                    </div>
                </div>
                </div>
         
            </section>
        @if(Helper::Bayii()>0)        
       <section class="side-modal" id="createAddressModal">
        <div class="top">
        <div class="d-flex align-items-start justify-content-between">
        <h2>Yeni Adres Ekle/Düzenle</h2>
        <i class="demo-icon icon-xmark-solid close">&#xe81e;</i>
        </div>
        <p>Aşağıdaki alanları eksiksiz doldurunuz</p>
        </div>
        
        <div class="center">
         <form action="">
         <h6 class="w-100">Kişisel Bilgiler</h6>
                    <p class="w-100">Teslim Alacak Kişi Bilgileri</p>
                    <div class="w-50 ">
                        <input type="text" id="firstName" name="Ad_Soyad" placeholder="Adınız" minlength="2" required>
                     </div>
                    <div class="w-50 ">
                        <input type="text" id="lastName" name="Soyad" placeholder="Soyadınız" minlength="2" required>
                      </div>
                       <p class="w-100">Telefon Numarası</p>
                    <div class="w-100">
                        <input type="tel" data-mask="0(999) 999 9999"  name="Telefon" placeholder="Telefon Numaranız" minlength="10" maxlength="12" required>
                      
                    </div>
                    <p class="w-100">E-Posta Adresi</p>
                    <div class="w-100">
                        <input type="email"   name="Eposta" placeholder="E-posta Adresi" required>
                      
                    </div>
                  <h6 class="w-100">Adres Bilgileri</h6>
                    <div class="w-100">
                        <input type="text" name="Baslik" placeholder="Adres Başlığı (Ör: Ev, iş vb.)" minlength="2" required>
                      
                    </div>
                   <div class="custom-select w-50" >
                        <select required name="sehir" >
                            <option value="" selected disabled>İl</option>
                            @foreach($sehirlist as $item)
                            <option value="{{$item->id}}">{{$item->il_adi}}</option>
                            @endforeach
                        </select>
                      
                    </div>
                  <div class="custom-select w-50" >
                        <select required  name="ilce">
                            <option value="" selected disabled>İlçe</option>
                        </select>
                      
                    </div>
                   <div class="custom-select w-100" >
                        <select required name="mahalle">
                            <option value="" selected disabled>Cadde/Sokak Seçiniz</option>
                           
                        </select>
                      
                    </div>
    
                    <div class="w-100">
                        <textarea minlength="10" name="Adres" placeholder="Açık adresinizi yazınız" required></textarea>
                      
                    </div>
                       <h6 class="w-100">Fatura Tipi</h6>
                       <div class="tab-fatura w-100">
                         <input type="radio" id="tab1" name="tab-group" checked>
      <label for="tab1">Bireysel</label>
    
      <input type="radio" id="tab2" name="tab-group">
         <label for="tab2">Kurumsal</label></div>
                       <div class="tab-content-fatura w-100" id="content">
                    <div class="w-100">
                        <input type="text" name="Firma_Unvani" placeholder="Firma Adı"  >
                       </div>
                       <div class="w-50">
                        <input type="text" name="Vergi_Dairesi" placeholder="Vergi Dairesi"  >
                       </div>
                        <div class="w-50">
                        <input type="number" name="Vergi_No" placeholder="Vergi Numarası"  >
                       </div>
                       </div>  
                </form>
        
        </div>
        <div class="bottom">
        
        <span class="close g-btn-2">Vazgeç</span>
        <a href="" class=" g-btn">Adresi Kaydet</a>
        
        </div>
        </div>
        </section>
 @endif
@endsection
@section('js')


<script type="text/javascript">
  $(document).ready(function() {
    var urlx = "{{route('ajax-get')}}";

    var urlx = "{{route('ajax-get')}}"; // URL'yi güncelleyin
    $('select[name="sehir"]').change(function() {
        $('.custom-select').each(function() {
        $(this).find('.select-selected').remove();
        $(this).find('.select-items').remove();
    });
        var $val = $(this).val();
        if ($val) {
            // İlçe ve mahalleleri temizle
            $('select[name="ilce"]').empty().append('<option value="0" selected disabled>İlçe</option>');
            $('select[name="mahalle"]').empty().append('<option value="0" selected disabled>Cadde/Sokak Seçiniz</option>');

            // AJAX çağrısı
            $.ajax({
                type: "POST",
                url: urlx,
                data: {
                    'id': $val,
                    'ilcegetir': 'ilcegetir'
                },
                success: function(data) {
                    // İlçe seçeneklerini ekle
                    $.each(data, function(index, ilce) {
                        $('select[name="ilce"]').append('<option value="' + ilce.id + '">' + ilce.ilce_adi + '</option>');
                    });
                    initializeCustomSelect(); // İlçe seçim kutusunu güncelle
                },
                error: function() {
                    console.error("İlçeleri yüklerken hata oluştu.");
                }
            });
        }
    });

    // İlçe değiştiğinde
    $('select[name="ilce"]').change(function() {
        $('.custom-select').each(function() {
        $(this).find('.select-selected').remove();
        $(this).find('.select-items').remove();
    });
        var $val = $(this).val();
        if ($val) {
            $('select[name="mahalle"]').empty().append('<option value="0" selected disabled>Cadde/Sokak Seçiniz</option>');

            // AJAX çağrısı
            $.ajax({
                type: "POST",
                url: urlx,
                data: {
                    'id': $val,
                    'mahallegetir': 'mahallegetir'
                },
                success: function(data) {
                    // Mahalle seçeneklerini ekle
                    $.each(data, function(index, mahalle) {
                        $('select[name="mahalle"]').append('<option value="' + mahalle.id + '">' + mahalle.mahalle_adi + '</option>');
                    });
                    initializeCustomSelect();
                },
                error: function() {
                    console.error("Mahalleleri yüklerken hata oluştu.");
                }
            });
        }
    });
});
				</script>


<script type="text/javascript">
				
                $(function(){
	var urlx = "{{route("ajax-get")}}";
	var redirectto = "{{route("odeme")}}";
	$('.card-step-button').click(function(e){
      
		if(!$(".form-content form").hasClass("form")) {
			var $val = $('input[name="teslimat"]:checked').data('val');
			var $val2 = $('input[name="fatura"]:checked').data('val');
           
            if ($val == null) {
    toastr.info('Lütfen teslimat  adresi ekleyiniz.')
    return false;
}
           
          
			$.ajax({
				type: "POST",
				url: urlx,
				data: {
					'id': $val,
					'adres': 'adres'
				},
				success: function (data) {
					window.location.href=redirectto;
				},
				error: function () {
				}
			});
		}
		else{
			var valid = true;
			$.each($(".form-content .form input[required]"), function (index, value) {
				if(!$(value).val()){
					valid = false;
				}
			});
			var selectedCity = $("[name='sehir'] option:selected").val();
         
			if (selectedCity == "0") {
				valid = false;
				toastr.error("Lütfen bir şehir seçiniz.");
				return false;
			}
			var selectedilce = $("[name='ilce'] option:selected").val();
			if (selectedilce == "0") {
				valid = false;
				toastr.error("Lütfen bir ilce seçiniz.");
				return false;
			}
			var selectedmahalle = $("[name='mahalle'] option:selected").val();
			if (selectedmahalle == "0") {
				valid = false;
				toastr.error("Lütfen bir mahalle seçiniz.");
				return false;
			}
			if(valid){
				var $form = new FormData($("form")[0]);
				$form.append("id", "0");
				$form.append("adres", "adres");
				$.ajax({
					type: "POST",
					url: urlx,
					data: $form,
					enctype: 'multipart/form-data',
					processData: false,
					contentType: false,
					success: function (data) {
						window.location.href=redirectto;
					},
					error: function () {
					}
				});
				}else{
				toastr.error("Lütfen zorunlu alanları doldurunuz.");
			}
			return false;
		}
	});
});

   
				</script>
@endsection