<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Ürünler</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Ürünler</li>
				</ol>
			</div>
		</div>
	</div>
</div>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <?php
					$mytime = Carbon\Carbon::now();
				
					?>
                <table id="datatable" class="table table-bordered dt-responsive nowrap">
                    <thead>
                    <tr>
                        <th>Ürün Kod</th>
                        <th>Ürün Başlık</th>
                       <th>Kategori</th>
                        <th>Fiyat</th>
                         <th>İşlemler</th>
                        <th>İşlemler</th>
                        <th>İşlemler</th>
                    </tr>
                    </thead>
                    <tbody  id="sortable">
                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr id="item-<?php echo e($product->id); ?>" class="<?php echo e(strtotime($mytime->toDateTimeString()) - strtotime($product->updated_at) < 300 ?'newupdate':''); ?>">
                            <td class="sortable"><?php echo e($product->id); ?></td>
                            <td class="sortable"><?php echo e($product->product_title); ?></td>
                            <td><?php echo e($product->Kategori->category_name); ?></td>
                            <td>
                               
                          <input id="fiyat" class="form-control" onkeydown="fiyatupdate(this,'<?php echo e($product->id); ?>',event)"  type="number" step="2" value="<?php echo e($product->fiyat); ?>">
                        </td>
                          
                            <td>
                                <a href="<?php echo e(route('product-edit',$product->id)); ?>" class="btn btn-primary"><i class="fas fa-edit"></i>&nbsp;Düzenle</a>
                               
                            </td>
                            <td>
                                <button class="btn btn-danger" onclick="deleteProducts(this,'<?php echo e($product->id); ?>')"><i class="fas fa-trash-alt"></i>&nbsp;Sil</button>

                            </td>
                            <td>
                                <?php if($product->product_status == 'on'): ?>
                                    <button class="btn btn-success" onclick="productsStatus(this,'<?php echo e($product->id); ?>','off')"><i class="fas fa-eye-slash"></i>Pasif Et</button>
                                <?php else: ?>
                                    <button class="btn btn-danger" onclick="productsStatus(this,'<?php echo e($product->id); ?>','on')"><i class="fas fa-eye"></i>Aktif Et</button>
                                <?php endif; ?>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>

                </table>
			</div>
		</div>
	</div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
 <script>
        $(function () {
            $('#sortable').sortable({
                revert: true,
                handle: ".sortable",
                stop: function (event, ui) {
                    var data = $(this).sortable('serialize');
                   
                    $.ajax({
                        type: "POST",
                        data: data,
                        url: "<?php echo e(route('products')); ?>",
                        success: function (response) {
                            if (response.status == "success") {
                                toastr.success(response.content, response.title);
                            } else {
                                toastr.error(response.content, response.title);
                            }
                        }
                    });

                }
            });
            $('#sortable').disableSelection();
        });
    </script>
  

    <script>
        function deleteProducts(r, id) {
            var list = r.parentNode.parentNode.rowIndex;
            Swal.fire({
                title: 'Silmek istediğinize emin misiniz?',
                text: "Sildiğinizde geri dönüşümü olmayacaktır!",
                type: 'warning',
                icon: 'warning',
                showCancelButton: true,
                cancelButtonText: 'İptal',
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Evet, Sil!'
            }).then((result) => {
                if (result.value) {
                    $.ajax
                    ({
                        type: "Post",
                        url: '<?php echo e(route('products')); ?>',
                        data: {
                            'id': id,
                            'delete': 'delete'
                        },
                        beforeSend: function () {
                            Swal.fire({
                                title: '<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i> <span class="sr-only">Loading...</span>',
                                text: 'Siliniyor lütfen bekleyiniz...',
                                showConfirmButton: false
                            })
                        },
                        success: function (response) {
                            Swal.close();
                            if (response.status == 'success') {
                                document.getElementById('datatable').deleteRow(list);
                                toastr.success(response.content, response.title);
                            } else {
                                toastr.error(response.content, response.title);
                            }
                        }

                    })
                } else {
                }
            })
        }
    </script>

    <script>
        function productsStatus(r, id, product_status) {
            $.ajax
            ({
                type: "Post",
                url: '<?php echo e(route('products')); ?>',
                data: {
                    'id': id,
                    'product_status': product_status
                },
                success: function (response) {
                    if (response.status == 'success') {
                        toastr.success(response.content, response.title);
                       
                    } else {
                        toastr.error(response.content, response.title);
                      
                    }
                }

            })

        }
    </script>
  <script>
        function fiyatupdate(r, id, event) {
		  if (event.key === "Enter") {
		
            $.ajax
            ({
                type: "Post",
                url: '<?php echo e(route('products')); ?>',
                data: {
                    'id': id,
                    'fiyat': $(r).val()
                },
                success: function (response) {
                    if (response.status == 'success') {
                        toastr.success(response.content, response.title);
                       
                    } else {
                        toastr.error(response.content, response.title);
                      
                    }
                }

            })

        }
        }
    </script>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>

	
<?php $__env->stopSection(); ?>


<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\product\products.blade.php ENDPATH**/ ?>