<?php $__env->startSection('content'); ?>

<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Slider Ekle</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Slider Ekle</li>
                </ol>
            </div>
        </div>
    </div>
</div>
<div class="card border border-primary">
    <div class="card-header bg-transparent border-primary">
        <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Slider</h5>
    </div>

    <div class="card-body">
        <form method="post">
        <div class="mb-3">
            <div class="row">
            <div class="col-lg-6">
            <center><img id="coverImageShow" width="50%"  height="250px"></center>
            </div>
            <div class="col-lg-6">
            <center><img id="coverImageShowMobil" width="50%" height="250px" ></center>
            </div>
        </div>
    </div>
    <div class="mb-3">
        <label >Slider Resim</label>
                <input id="coverImage" type="file" name="image" class="form-control  w-100" >
              
    </div>

    <div class="mb-3">
        <label >Slider Mobil Resim</label>
   <input id="coverImageMobil" type="file" name="mobil_image" class="form-control w-100" >
             
    </div>

    <div class="mb-3">
        <label >Başlık</label>
        <input type="text"name="slider_name" class="form-control" placeholder="Slider Başlık Yazınız">
    </div>
    <div class="mb-3">
        <label >Detay</label>
        <input type="text"name="slider_detail" class="form-control" placeholder="Slider Detay Yazınız">
    </div>
    <div class="mb-3">
        <label >Yönlendirme Url</label>
        <input type="text" name="slider_url" class="form-control" placeholder="Yönlendirme Url Yazınız">
    </div>
    
    <div class="mb-3">
        <label >Ürün Seçiniz</label>
        <select required class="form-control select2 " style="width: 100%;" name="Urun_Id">
           
                <?php $__currentLoopData = $Urun; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Uruns): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($Uruns->id); ?>"><?php echo e($Uruns->product_title); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
    </div>
    

    <div class="mb-3">
        <label for="">Slider Görünürlüğü</label>
        <div class="square-switch">
            <input type="checkbox" name="slider_status" id="square-switch1" switch="none"
            checked>
            <label for="square-switch1" data-on-label="On" data-off-label="Off"></label>
        </div>

    </div>						

    <button id="slidersButton" type="button" class="btn btn-primary">Kaydet</button>
</form>
    </div>
</div>


     
 
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>


    <script>
        $("#coverImage").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#coverImageShow').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        });
    </script>
 <script>
        $("#coverImageMobil").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#coverImageShowMobil').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        });
    </script>
    <script>

        $("#slidersButton").click(function () {
		
		
            var url = "<?php echo e(route("slider-add")); ?>";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\sliders\slider-add.blade.php ENDPATH**/ ?>