<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Sayfa Düzenle</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Sayfa Düzenle</li>
                </ol>
            </div>
        </div>
    </div>
</div>


<form method="post" enctype="multipart/form-data">
    <div class="row">
        <div class="col-md-8">
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Sayfa Bilgisi</h5>
                </div>
                <div class="card-body">
                    <div class="mb-3">
                        <label>Başlık</label>
                        <input type="text" name="page_name" class="form-control" placeholder="Başlık Yazınız">
                    </div>

                    <div class="mb-3">
                        <label>Description</label>
                        <input type="text" name="page_description" class="form-control" placeholder="Kısa Açıklama Yazınız">
                    </div>
                    <div class="mb-3">
                        <label>Keyword</label>
                        <input type="text" name="page_tags" class="form-control" placeholder="Etiket">
                    </div>
                    
                    <div class="mb-3">
                        <label>İçerik</label>
                        <textarea name="page_content" id="editor"></textarea>
                    </div>
                   
                    <div class="row">
                        <?php
                            $group = request()->input('group', 0);
                        ?>
                        <div class="col-lg-6 col-md-12">
                            <div class="mb-3">
                            <label ><?php echo e(Helper::PagesGetLayer($group,'Layer1')); ?></label>
                                <input type="text" name="Layer1" class="form-control" placeholder="">
                            </div>
                         </div>

                        <div class="col-lg-6 col-md-12">
                            <div class="mb-3">
                            <label ><?php echo e(Helper::PagesGetLayer($group,'Layer2')); ?></label>
                                <input type="text" name="Layer2" class="form-control" placeholder="">
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-12">
                            <div class="mb-3">
                            <label ><?php echo e(Helper::PagesGetLayer($group,'Layer3')); ?></label>
                                <input type="text" name="Layer3" class="form-control" placeholder="">
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-12">
                            <div class="mb-3">
                            <label ><?php echo e(Helper::PagesGetLayer($group,'Layer4')); ?></label>
                                <input type="text" name="Layer4" class="form-control" placeholder="">
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-12">
                            <div class="mb-3">
                            <label ><?php echo e(Helper::PagesGetLayer($group,'Layer5')); ?></label>
                                <input type="text" name="Layer5" class="form-control" placeholder="">
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-12">
                            <div class="mb-3">
                            <label ><?php echo e(Helper::PagesGetLayer($group,'Layer6')); ?></label>
                                <input type="text" name="Layer6" class="form-control" placeholder="">
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-12">
                            <div class="mb-3">
                            <label ><?php echo e(Helper::PagesGetLayer($group,'Layer7')); ?></label>
                                <input type="text" name="Layer7" class="form-control" placeholder="">
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-12">
                            <div class="mb-3">
                            <label ><?php echo e(Helper::PagesGetLayer($group,'Layer8')); ?></label>
                                <input type="text" name="Layer8" class="form-control" placeholder="">
                            </div>
                        </div>
                    </div>

                     <div class="mb-3">
                        <label>Tarih</label>
                        <input type="datetime-local" class="form-control" name="Add_Date" placeholder="Tarih"/>
                    </div>
                </div>

                <div class="card-footer">
                    <button id="pageButton" type="button" class="btn btn-primary">Yayınla</button>
                </div>
            </div>
        </div>
           
        <div class="col-md-4">
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Sayfa Resim - 1</h5>
                </div>
                <div class="card-body">
                <img id="coverImageShow" width="100%" height="auto">
                <div class=" mt-3">
                    <div class="input-group">
                        <div class="custom-file">
                            <input id="coverImage" name="image" type="file" class="custom-file-input">
                            <label class="custom-file-label" for="coverImage">Dosya Seç</label>
                        </div>
                    </div>
                </div>
                 </div>
             </div>

             <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Sayfa Resim - 2</h5>
                </div>
                <div class="card-body">
                <img id="opsiyonelimageShow" width="100%" height="auto">
                <div class=" mt-3">
                    <div class="input-group">
                        <div class="custom-file">
                            <input id="opsiyonelimage" name="opsiyonelimage" type="file" class="custom-file-input">
                            <label class="custom-file-label" for="opsiyonelimage">Dosya Seç</label>
                        </div>
                    </div>
                </div>
                 </div>
             </div>
             <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Sayfa Görünürlüğü</h5>
                </div>
                <div class="card-body">
                    <div class="square-switch">
                        <input type="checkbox" name="page_status" id="square-switch2" switch="none"  checked="">
                        <label for="square-switch2" data-on-label="On" data-off-label="Off"></label>
                    </div>
                 </div>
             </div>


        </div>
    </div>
</form>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

    <script type="text/javascript">
        $(document).ready(function () {
            bsCustomFileInput.init();
        });
    </script>
    <script src="https://cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
    <script>
        CKEDITOR.replace('editor', options);
    </script>


    <script>
        $("#coverImage").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#coverImageShow').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        });


        $("#opsiyonelimage").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#opsiyonelimageShow').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        });
    </script>

    <script>

        $("#pageButton").click(function () {

            CKEDITOR.instances['editor'].updateElement();
            var url = "<?php echo e(route("page-add")); ?>";

            var form = new FormData($("form")[0]);
$group = 0;
$parent = 0;
var urlParams = new URLSearchParams(window.location.search);
if (urlParams.has('group') && urlParams.has('parent')) {
  $group = urlParams.get('group');
$parent = urlParams.get('parent');
  form.append("group", $group );
form.append("parent", $parent );
}
       
            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<style>
    .custom-file-label {
        position: absolute;
        top: -9px;
        right: 0;
        left: 0;
        z-index: 1;
        height: calc(2.25rem + 2px);
        padding: .375rem .75rem;
        font-weight: 400;
        line-height: 1.5;
        color: #495057;
        background-color: #fff;
        border: 1px solid #ced4da;
        border-radius: .25rem;
        box-shadow: none;
    }

    .custom-file-label::after {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        z-index: 3;
        display: block;
        height: 2.25rem;
        padding: .375rem .75rem;
        line-height: 1.5;
        color: #495057;
        content: "Dosya Seç";
        background-color: #e9ecef;
        border-left: inherit;
        border-radius: 0 .25rem .25rem 0;
    }
</style>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\pages\page-add.blade.php ENDPATH**/ ?>