<?php $__env->startSection('content'); ?>

    <div class="content-wrapper">
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark">Duyuru Ekle</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="#">Anasayfa</a></li>
                            <li class="breadcrumb-item active">Duyuru</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>

        <section class="content">
            <div class="container-fluid">
                <form method="post">
                <div class="row">
                    <div class="col-md-12">
                        <div class="card card-primary">
                            <div class="card-header">
                                <h3 class="card-title">Duyuru</h3>
                            </div>
                            <div class="card-body">
                                <center><img id="coverImageShow" width="20%" ></center>
                                <br>
                                <div class="form-group">
                                    <label for="exampleInputEmail1">Duyuru Resim</label>
                                    <div class="input-group">
                                        <div class="custom-file">
                                            <input id="coverImage" type="file" name="image" class="custom-file-input"
                                                   id="customFile">
                                            <label class="custom-file-label" for="customFile">Choose file</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputEmail1">Duyuru Başlık</label>
                                    <input type="text"name="slider_name" class="form-control" placeholder="Duyuru Başlık Yazınız">
                                </div>

                                <div class="form-group">
                                    <label for="exampleInputEmail1">Duyuru Detay</label>
                                    <textarea name="slider_url" id="editor" class="form-control"></textarea>
                                   
                                </div>
								
							

                                <div class="form-group">
                                    <label for="">Duyuru Görünürlüğü</label><br>
                                    <input type="checkbox" name="slider_status" checked data-bootstrap-switch>
                                </div>				
                            </div>

                            <div class="card-footer">
                                <button id="slidersButton" type="button" class="btn btn-primary">Yayınla</button>
                            </div>
                        </div>
                    </div>
                </div>
                </form>
            </div>
        </section>
    </div>
 
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

    <script src="/backend/plugins/select2/js/select2.full.min.js"></script>
    <script src="/backend/plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>
    <script src="/backend/plugins/bs-custom-file-input/bs-custom-file-input.min.js"></script>
    <script src="https://cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
    <script>
        CKEDITOR.replace('editor', options);
    </script>
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Initialize Select2 Elements
            $('.select2bs4').select2({
                theme: 'bootstrap4'
            })

            $("input[data-bootstrap-switch]").each(function(){
                $(this).bootstrapSwitch('state', $(this).prop('checked'));
            });
        });
    </script>

    <script type="text/javascript">
        $(document).ready(function () {
            bsCustomFileInput.init();
        });
    </script>

    <script>
        $("#coverImage").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#coverImageShow').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        });
    </script>

    <script>

        $("#slidersButton").click(function () {
            CKEDITOR.instances['editor'].updateElement();
		
            var url = "<?php echo e(route("duyuru-add")); ?>";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="/backend/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <link rel="stylesheet" href="/backend/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\duyuru\slider-add.blade.php ENDPATH**/ ?>