<?php $__env->startSection('title', __('system.Bayi Kayıt')); ?>
<?php $__env->startSection('canonical', Request::url()); ?>
<?php $__env->startSection('content'); ?>

<div class="page-header bg-gray">
    <div class="container">
        <ul class="breadcrumb">
           <li><a href="/<?php echo e(Config::get('app.locale')); ?>"><?php echo e(__('system.Anasayfa')); ?> </a></li>
           <li><a href="<?php echo e(route('kayitol')); ?>"><?php echo e(__('system.Bayi Kayıt')); ?> </a></li>
        </ul>
    </div>
</div>



 <div class="auth-page">
    <div class="container">
        <div class="content">
            <div class="auth-page-content">
                <div class="form-content">
                    <h2><?php echo e(__('system.Müşteri Başvuru Formu')); ?></h2>
                    <form class="form" action="<?php echo e(route('sign')); ?>" method="post" enctype="multipart/form-data">
					 <?php echo csrf_field(); ?>
                        <div class="input">
                            <input type="text" class="input-item" name="Firma" placeholder="Adınız ve Soyadınız">
                        </div>
                        <div class="input">
                            <input type="text" class="input-item"  data-mask="0(999) 999 9999"   name="Telefon" name="Telefon" placeholder="Telefon Numarası">
                        </div>
                        <div class="input">
                            <input type="text" class="input-item" data-mask="0(599) 999 9999" name="GSM" placeholder="GSM Numarası">
                        </div>
                        <div class="input">
                            <input type="text" class="input-item" name="EPosta" placeholder="E-Posta Adresi">
                        </div>

                        <div class="input">
                            <select class="input-item" name="sehir">
                                <option disabled  selected><?php echo e(__('system.Şehir')); ?></option>
						<?php $__currentLoopData = $sehirlist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sehir): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
						   <option value="<?php echo e($sehir->id); ?>"><?php echo e($sehir->il_adi); ?></option>
						 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="input">
                            <select class="input-item" name="ilce"
                                    aria-label=".form-select-lg example">
                                <option disabled  selected><?php echo e(__('system.ilçe Semt')); ?></option>
                            </select>
                        </div>
                        <div class="input w-100">
                            <input type="text" class="input-item" name="Adres" placeholder="Adres">
                        </div>
                        <div class="input w-100">
                            <div class="check-input">
                                <input type="checkbox" id="check2">
                                <label for="check2">
                                      <?php echo e(__('system.Kvkk')); ?>

                                </label>

                            </div>
                            <div class="check-input">

                                <input type="checkbox" id="check1">
                                <label for="check1">
                                  <span  data-bs-toggle="modal" data-bs-target="#exampleModal" ><?php echo e(__('system.Üyelik sözleşmesini')); ?> </span><?php echo e(__('system.okudum anladım')); ?> 
                                </label>
                            </div>
                        </div>
                        <div class="button">
						 <button  class="submit-btn" type="submit"><?php echo e(__('system.Formu Gönder')); ?></button>
                          
                        </div>
					</form>
					
					<div class="mt-3">
						<?php if(\Session::has('success')): ?>
						<div class="alert alert-success">
							<ul>
								<li><?php echo \Session::get('success'); ?></li>
							</ul>
						</div>
					<?php endif; ?>

						<?php if(\Session::has('error')): ?>
						<div class="alert alert-danger">
							<ul>
								<li><?php echo \Session::get('error'); ?></li>
							</ul>
						</div>
					<?php endif; ?>
					</div>
                </div>
            </div>
        </div>
    </div>
</div>
			 
<?php $__env->stopSection(); ?>


<?php $__env->startSection('js'); ?>
<script src="//cdnjs.cloudflare.com/ajax/libs/jasny-bootstrap/3.1.3/js/jasny-bootstrap.min.js"></script>
<script type="text/javascript">
				
				$(function(){
					 var urlx = "<?php echo e(route("ajax-get")); ?>";
					$('select[name="sehir"]').change(function(e){
				 var $val = $(this).val();
				 if($val!=0) {
					
					$('select[name="ilce"]').empty();
					
							$.ajax({
							type: "POST",
							url: urlx,
							 data: {
                            'id': $val,
                            'ilcegetir': 'ilcegetir'
                        },
							

							success: function (data) {
								
								
								$('select[name="ilce"]').append('<option value="0" disabled  selected>ilçe / Semt </option>');
								$.each(data, function(index, ilce){
								$('select[name="ilce"]').append('<option value="'+ ilce.id +'">'+ ilce.ilce_adi +'</option>');
								})
							},
							error: function () {

							}
						});
				 }
					});
				});
				</script>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<style>
	.modal-footer button {border:none;border-radius:10px;padding:10px 20px;}
	.check-input span {cursor:pointer;color:#CF1810;}
	</style>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\frontend\uye.blade.php ENDPATH**/ ?>