<?php $__env->startSection('content'); ?>

<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Menü Ekle</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Menü Ekle</li>
                </ol>
            </div>
        </div>
    </div>
</div>
<div class="card border border-primary">
    <div class="card-header bg-transparent border-primary">
        <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Menü</h5>
    </div>
    <form method="post">

        <div class="card-body">

        

            <div class="mb-3">
                <label>Menü Adı</label>
                <input name="menu_name" type="text" class="form-control"
                       placeholder="Menü Adı Yazınız">
            </div>
            <div class="mb-3">
                <label>Sayfa Seçiniz</label>
                <select name="page_id" class="form-control select2" style="width: 100%;">
                    <option value="0">Anasayfa</option>
                    <?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($page->id); ?>"><?php echo e($page->translate('tr')->page_name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
           <div class="mb-3">
                <label >Menü Görünürlüğü</label>
                <div class="square-switch">
                    <input type="checkbox" name="menu_status" id="square-switch1" switch="none"   checked>
                    <label for="square-switch1" data-on-label="On" data-off-label="Off"></label>
                </div>
              </div>
            <div class="mb-3">
                <label >E Ticaret</label>
                <div class="square-switch">
                    <input type="checkbox" name="E_Ticaret" id="square-switch2" switch="none"   checked>
                    <label for="square-switch2" data-on-label="On" data-off-label="Off"></label>
                </div>
            
            </div>

            <button id="menusButton" type="button" class="btn btn-primary">Kaydet</button>
        </div>

    
          
        
    </form>
</div>
       
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
   

    <script>

        $("#menusButton").click(function () {

            var url = "<?php echo e(route("menu-add")); ?>";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>



<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
   
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\menus\menu-add.blade.php ENDPATH**/ ?>