<?php $__env->startSection('title', __('system.Adres Ekle')); ?>
<?php $__env->startSection('canonical', Request::url()); ?>
<?php $__env->startSection('content'); ?>

<div class="page-header bg-gray">
    <div class="container">
        <ul class="breadcrumb">
        <li><a href="/<?php echo e(Config::get('app.locale')); ?>"><?php echo e(__('system.Anasayfa')); ?> </a></li>
            <li><a href="<?php echo e(route('adres-ekle')); ?>"> <?php echo e(__('system.Adres Ekle')); ?></a></li>
        </ul>
    </div>
</div>
<div class="auth-page">
    <div class="container">
        
        <div class="auth-page-content">
            <div class="auth-page-content-details">
                <div class="page-menu">
                    <div class="menu">
                        <ul>
						<li  ><a href="<?php echo e(route('hesabim')); ?>"><?php echo e(__('system.Hesap Bilgilerim')); ?></a></li>
                        <li><a href="<?php echo e(route('adres-bilgilerim')); ?>"> <?php echo e(__('system.Adres Bilgilerim')); ?> </a></li>
                        <li  ><a href="<?php echo e(route('siparislerim')); ?>"><?php echo e(__('system.Siparişlerim')); ?></a></li>
                        <li  ><a href="<?php echo e(route('quit')); ?>"><?php echo e(__('system.Çıkış Yap')); ?></a></li>
                        </ul>
                    </div>
                </div>
                <div class="details">
                    <div class="form-content">
                        <h2>Adres Ekle</h2>
                        <p>
                            Bu sayfada yapacağınız adres değişiklikleri, daha önce vermiş olduğunuz siparişleri etkilemez.
                            Adres değişikliği için aşağıdaki bilgileri güncelleyebilirsiniz.
                        </p>
                    
						<form class="form " action="<?php echo e(route('adresduzenlepost' , $adreslist->Id)); ?>" method="POST">
					<?php echo csrf_field(); ?>

					<div class="input ">
							
							<input type="text"  class="input-item " value="<?php echo e($adreslist->Ad_Soyad); ?>" required name="Ad_Soyad" placeholder="Adınız ve Soyadınız">
						  
						</div>
					<div class="input ">
							
                       		 <input type="text"  class="input-item " required  value="<?php echo e($adreslist->Tc); ?>"  data-mask="99999999999" min="10000000000" maxlength="99999999999" name="Tc" placeholder="TC Kimlik Numaranız">
                              
                            </div>

							
							<div class="input ">
							
							<input type="text"  class="input-item " value="<?php echo e($adreslist->Telefon); ?>" data-mask="0(999) 999 9999"  required name="Telefon" placeholder="Telefon Numaranız">
						  
						</div>
						<div class="input ">
							
							<input type="email"  class="input-item " value="<?php echo e($adreslist->Eposta); ?>" required name="Eposta" placeholder="E-posta Adresiniz">
						  
						</div>
                            <div class="input  w-100">
							
                       		 <input type="text"  class="input-item "  value="<?php echo e($adreslist->Baslik); ?>"  name="Baslik" placeholder="Adres Tanımı">
                              
                            </div>
                           

                            <div class="input">
							<select class="input-item" name="sehir" aria-label=".form-select-lg example">
						  <option disabled  selected>Şehir</option>
						  <?php $__currentLoopData = $sehirlist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
						  <option value="<?php echo e($item->id); ?>" <?php echo e($adreslist->Sehir==$item->id?'selected':''); ?> ><?php echo e($item->il_adi); ?></option>
						  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
						</select>
                               
                            </div>
                            <div class="input">
                                <select class="input-item" name="ilce" aria-label=".form-select-lg example">
								
								<?php $__currentLoopData = $ilceler; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
						  <option value="<?php echo e($item->id); ?>" <?php echo e($adreslist->İlce==$item->id?'selected':''); ?> ><?php echo e($item->ilce_adi); ?></option>
						  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
						 
						</select>
                            </div>
							<div class="input">
                                <select class="input-item" name="mahalle" aria-label=".form-select-lg example">
								
								<?php $__currentLoopData = $mahalle; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
						  <option value="<?php echo e($item->id); ?>" <?php echo e($adreslist->Mahalle==$item->id?'selected':''); ?> ><?php echo e($item->mahalle_adi); ?></option>
						  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
						 
						</select>
                            </div>
							<div class="input ">
							
                       		 <input type="text"  class="input-item " value="<?php echo e($adreslist->Posta_Kodu); ?>" name="Posta_Kodu" placeholder="Posta Kodu">
                              
                            </div>
                            <div class="input w-100">
                                <input type="text" class="input-item" value="<?php echo e($adreslist->Adres); ?>" name="Adres" placeholder="Adres">
                            </div>
							<div class="input d-flex align-items-center  w-100 mt-3">
							<label class="switch">
							<input type="checkbox">
							<span class="slider round"></span>
								</label>
							<d>Kurumsal Müşteri</d>
							</div>

					<div class="w-100 kurumsal  my-3">
					<div class="w-100  d-md-flex align-items-center justufiy-content-between gap-3">
							<div class="input w-33">
                                <input type="text" class="input-item"  value="<?php echo e($adreslist->Firma_Unvani); ?>" name="Firma_Unvani" placeholder="Firma Ünvanı">
                            </div>
							<div class="input w-33">
                                <input type="text" class="input-item"  value="<?php echo e($adreslist->Vergi_Dairesi); ?>" name="Vergi_Dairesi" placeholder="Vergi Dairesi">
                            </div>
							<div class="input w-33">
                                <input type="text" class="input-item"  value="<?php echo e($adreslist->Vergi_No); ?>" name="Vergi_No" placeholder="Vergi Numaranız">
                            </div>

						</div>
						</div>
                            <div class="button mt-3">
							<button type="submit " class="submit-btn">Güncelle</button>
                              
                            </div>
						</form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


	
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
<script src="//cdnjs.cloudflare.com/ajax/libs/jasny-bootstrap/3.1.3/js/jasny-bootstrap.min.js"></script>
<script type="text/javascript">
				
				$("input[type=checkbox]").click(function () {
	var values= $("input[type=checkbox]").prop('checked');
	if(values){
		$('.kurumsal').show();
	}else{
	$('.kurumsal').hide();
	
	}
});
				$(function(){
					 var urlx = "<?php echo e(route("ajax-get")); ?>";
					$('select[name="sehir"]').change(function(e){
				 var $val = $(this).val();
				 if($val!=0) {
					
					$('select[name="ilce"]').empty();
					
							$.ajax({
							type: "POST",
							url: urlx,
							 data: {
                            'id': $val,
                            'ilcegetir': 'ilcegetir'
                        },
							

							success: function (data) {
								
								
								$('select[name="ilce"]').append('<option value="0" disabled  selected>ilçe / Semt </option>');
								$.each(data, function(index, ilce){
								$('select[name="ilce"]').append('<option value="'+ ilce.id +'">'+ ilce.ilce_adi +'</option>');
								})
							},
							error: function () {

							}
						});
				 }
					});
				});
				</script>

<script type="text/javascript">
				
				$(function(){
					 var urlx = "<?php echo e(route("ajax-get")); ?>";
					$('select[name="ilce"]').change(function(e){
				 var $val = $(this).val();
				 if($val!=0) {
					
					$('select[name="mahalle"]').empty();
					
							$.ajax({
							type: "POST",
							url: urlx,
							 data: {
                            'id': $val,
                            'mahallegetir': 'mahallegetir'
                        },
							

							success: function (data) {
								
								
								$('select[name="mahalle"]').append('<option value="0" disabled  selected>Semt/Mahalle </option>');
								$.each(data, function(index, mahalle){
								$('select[name="mahalle"]').append('<option value="'+ mahalle.id +'">'+ mahalle.mahalle_adi +'</option>');
								})
							},
							error: function () {

							}
						});
				 }
					});
				});
				</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\frontend\adresduzenle.blade.php ENDPATH**/ ?>