<?php $__env->startSection('title', __('system.Hesap Bilgilerim')); ?>
<?php $__env->startSection('canonical', Request::url()); ?>
<?php $__env->startSection('content'); ?>

<section class="breadcrumb">
    <ul class="c-container">
                    <li><a href="/<?php echo e(Config::get('app.locale')); ?>"><?php echo e(__('system.Anasayfa')); ?> </a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
                    <li><?php echo e(__('system.Hesap Bilgilerim')); ?></li>
                </ul>
    </section>

    <section class=" account-page">
    <div class="c-container">
        <div class="page-container">
            <div class="sidebar">
			<div class="account-name"> 
			 <i class="demo-icon icon-user">&#xe80b;</i>
				<p class="username"> <span>Merhaba,</span> <?php echo e(Helper::Bayii()); ?> </p>
			</div>
                <ul>
                    <li class="active" ><a href="<?php echo e(route('hesabim')); ?>">Üyelik Bilgilerim</a></li>
                    <li><a href="<?php echo e(route('adres-bilgilerim')); ?>">Adreslerim</a></li>
                    <li  ><a href="<?php echo e(route('siparislerim')); ?>"><?php echo e(__('system.Siparişlerim')); ?></a></li>
                    <li  ><a href="<?php echo e(route('favori')); ?>">Beğendiklerim</a></li>
                    <li  ><a href="<?php echo e(route('quit')); ?>"><?php echo e(__('system.Çıkış Yap')); ?></a></li>


                </ul>
            </div>
            <div class="content">
                <div class="page-header">
                    
                    <h1 class="page-title">Hesap Bilgilerim</h1>
					<p>Kişisel bilgilerinizi, şifrenizi ve iletişim bilgilerinizi bu alandan düzenleyebilir veya güncelleyebilirsiniz.</p>
                </div>
                <div class="page-body">
                    <div class="account-setting-form">
                        <form class="form"  action="<?php echo e(route('hesabimpost')); ?>"  method="post">
                            <?php echo csrf_field(); ?>
						 <h6 class="w-100">Kişisel Bilgiler</h6>
						 <div class="form-content">
                            <div class="w-50">
							<span>Ad</span>
                                <input type="text" value="<?php echo e($bayii->bayi_name); ?>" name="bayi_name" placeholder="Adınız" minlength="2" required>
                               
                            </div>
                            <div class="w-50">
							<span>Soyad</span>
                                <input type="text" value="<?php echo e($bayii->bayi_surname); ?>" name="bayi_surname" placeholder="Soyadınız" minlength="2" required>
                              
                            </div>
                            <div class="w-50">
								<span>Doğum Tarihi</span>
                                <input type="date" name="dt" value="<?php echo e($bayii->dt); ?>"  placeholder="1970-01-01"  >
                                
                            </div>
							 <div class="w-50 male">
								<span>Cinsiyet</span>
                               <div class="d-flex align-items-center ">
				     <input type="radio" value="1" id="tab1" name="male"  <?php echo e($bayii->cinsiyet==1?"checked":""); ?>>
					<label for="tab1">Kadın</label>

						<input type="radio" value="2" id="tab2" name="male" <?php echo e($bayii->cinsiyet==2?"checked":""); ?>>
						<label for="tab2">Erkek</label></div>
                            </div>
						</div>
							 <h6 class="w-100">İletişim Bilgileri</h6>
							  <div class="form-content">
							 <div class="w-100">
							  <span> Telefon Numarası </span>
                                <input type="tel" placeholder="Telefon Numarası"  data-mask="0(999) 999 9999" name="phone" value="<?php echo e($bayii->phone); ?>" minlength="10" maxlength="12" required>
                               
                            </div>
							 <div class="w-100">
							  <span> E-Posta Adresi </span>
                                <input type="email" value="<?php echo e($bayii->email); ?>" name="email" placeholder="E-Posta Adresi"  required>
                               
                            </div>
                            </div>
							
							 <h6 class="w-100">Şifre Değişikliği</h6>
							 <div class="form-content">
                            <div class="w-100">
							 <span>Mevcut Şifre</span>
                                <input type="password" name="password"  placeholder="" >
                               
                            </div> 
							<p class="w-100">Güvenliğiniz için adınız, soyadınız ve doğum tarihinizi içermeyen bir şifre belirleyin.</p>
							 <div class="w-100">
							 <span>Yeni  Şifre</span>
                                <input type="password" name="newpassword"  placeholder="" >
                               
                            </div>
							 <div class="w-100">
							 <span>Yeni Şifrenizi Doğrulayın</span>
                                <input type="password" id="confirm-password" oninput="this.setCustomValidity(this.value != document.getElementById('password').value ? 'Şifreler eşleşmiyor.' : '')"  placeholder="" >
                               
                            </div>
                            </div>
							 
                            <div class="button">
                                <button type="submit" class="g-btn">Değişiklikleri Kaydet</button>
                               
                            </div>
                        </form>
                  
                </div>
            </div>
        </div>
    </div>
</section>



<?php $__env->stopSection(); ?>
<?php $__env->startSection("js"); ?>
</div>
<?php if(\Session::has('success')): ?>
<script>
    toastr.success("<?php echo \Session::get('success'); ?>");
</script>

<?php endif; ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\frontend\hesap.blade.php ENDPATH**/ ?>