<?php $__env->startSection('title', __('system.Adres Bilgilerim')); ?>
<?php $__env->startSection('canonical', Request::url()); ?>
<?php $__env->startSection('content'); ?>
<section class="breadcrumb">
    <ul class="c-container">
                    <li><a href="/<?php echo e(Config::get('app.locale')); ?>"><?php echo e(__('system.Anasayfa')); ?> </a>  <i class="demo-icon icon-chevron-right-solid">&#xe83a;</i></li>
                    <li><?php echo e(__('system.Adres Bilgilerim')); ?></li>
                </ul>
    </section>

    <section class=" account-page">
    <div class="c-container">
        <div class="page-container">
            <div class="sidebar">
			<div class="account-name"> 
			 <i class="demo-icon icon-user">&#xe80b;</i>
				<p class="username"> <span>Merhaba,</span> <?php echo e(Helper::Bayii()); ?> </p>
			</div>
                <ul>
                    <li  ><a href="<?php echo e(route('hesabim')); ?>">Üyelik Bilgilerim</a></li>
                    <li class="active"><a href="<?php echo e(route('adres-bilgilerim')); ?>">Adreslerim</a></li>
                    <li  ><a href="<?php echo e(route('siparislerim')); ?>"><?php echo e(__('system.Siparişlerim')); ?></a></li>
                    <li  ><a href="<?php echo e(route('favori')); ?>">Beğendiklerim</a></li>
                    <li  ><a href="<?php echo e(route('quit')); ?>"><?php echo e(__('system.Çıkış Yap')); ?></a></li>


                </ul>
            </div>
            <div class="content">
                <div class="page-header">
                    
                    <h1 class="page-title">Adreslerim</h1>
					<p>Teslimat ve fatura adreslerinizi bu alandan düzenleyebilirsiniz. Sipariş aşamasında kayıtlı adreslerinizi seçebilirsiniz.</p>
					<div class="button">
                        <span class="g-btn open-side-modal" data-title="Yeni Adres Ekle">
                            Yeni Adres Ekle
                        </span>
                    </div>
                </div>
                <div class="page-body">
                    <div class="address-boxes">
                        <?php $__currentLoopData = $adreslist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="address" data-id="<?php echo e($item->id); ?>" data-deletetitle="<?php echo e($item->Baslik); ?>">
                           
                            <div class="content">
                                <p class="address-title"><?php echo e($item->Baslik); ?></p>
                                <p class="description">
                                   <?php echo e($item->Adres); ?> <?php echo e($item->ilceAd->ilce_adi); ?>/<?php echo e($item->ilAd->il_adi); ?>

                                </p>
                                
                            </div>
							 <div class="buttons">
							  <div data-action="edit" class="open-side-modal" 
                                   data-title="Adres Düzenle">
                                    Düzenle
                                </div>
                                <div data-action="remove">Sil</div>
                               
                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
 <div class="confirm-layout" data-removing="0" data-deletetitle="">
                    <div class="confirm-box">
                        <p class="confirm-title">Adresi silmek istediğinizden emin misiniz?</p>
                        <div class="buttons">
                            <span class="g-btn confirm-btn">Sil</span>
                            <span class="g-btn-2  close-confirm">Vazgeç</span>
                        </div>
                    </div>
                </div>
                <section class="side-modal" id="createAddressModal">
                    <div class="top">
                    <div class="d-flex align-items-start justify-content-between">
                    <h2>Yeni Adres Ekle</h2>
                    <i class="demo-icon icon-xmark-solid close">&#xe81e;</i>
                    </div>
                    <p>Aşağıdaki alanları eksiksiz doldurunuz</p>
                    </div>
                    
                    <div class="center">
                     <form action="">
                     <h6 class="w-100">Kişisel Bilgiler</h6>
                                <p class="w-100">Teslim Alacak Kişi Bilgileri</p>
                                <div class="w-50 ">
                                    <input type="text" placeholder="Adınız" minlength="2" required>
                                 </div>
                                <div class="w-50 ">
                                    <input type="text" placeholder="Soyadınız" minlength="2" required>
                                  </div>
                                   <p class="w-100">Telefon Numarası</p>
                                <div class="w-100">
                                    <input type="tel" placeholder="Telefon Numaranız" minlength="10" maxlength="12" required>
                                  
                                </div>
                              <h6 class="w-100">Adres Bilgileri</h6>
                                <div class="w-100">
                                    <input type="text" placeholder="Adres Başlığı (Ör: Ev, iş vb.)" minlength="2" required>
                                  
                                </div>
                               <div class="custom-select w-50" >
                                    <select required>
                                        <option value="" selected disabled>İl</option>
                                        <option value="">Seçenek 1</option>
                                        <option value="">Seçenek 2</option>
                                        <option value="">Seçenek 3</option>
                                        <option value="">Seçenek 4</option>
                                    </select>
                                  
                                </div>
                              <div class="custom-select w-50" >
                                    <select required>
                                        <option value="" selected disabled>İlçe</option>
                                        <option value="">Seçenek 1</option>
                                        <option value="">Seçenek 2</option>
                                        <option value="">Seçenek 3</option>
                                        <option value="">Seçenek 4</option>
                                    </select>
                                  
                                </div>
                               <div class="custom-select w-100" >
                                    <select required>
                                        <option value="" selected disabled>Cadde/Sokak Seçiniz</option>
                                        <option value="">Seçenek 1</option>
                                        <option value="">Seçenek 2</option>
                                        <option value="">Seçenek 3</option>
                                        <option value="">Seçenek 4</option>
                                    </select>
                                  
                                </div>
                
                                <div class="w-100">
                                    <textarea minlength="10" placeholder="Açık adresinizi yazınız" required></textarea>
                                  
                                </div>
                                   <h6 class="w-100">Fatura Tipi</h6>
                                   <div class="tab-fatura w-100">
                                     <input type="radio" id="tab1" name="tab-group" checked>
                  <label for="tab1">Bireysel</label>
                
                  <input type="radio" id="tab2" name="tab-group">
                     <label for="tab2">Kurumsal</label></div>
                                   <div class="tab-content-fatura w-100" id="content">
                                <div class="w-100">
                                    <input type="text" placeholder="Firma Adı"  >
                                   </div>
                                   <div class="w-50">
                                    <input type="text" placeholder="Vergi Dairesi"  >
                                   </div>
                                    <div class="w-50">
                                    <input type="number" placeholder="Vergi Numarası"  >
                                   </div>
                                   </div>  
                            </form>
                    
                    </div>
                    <div class="bottom">
                    
                    <span class="close g-btn-2">Vazgeç</span>
                    <a href="" class=" g-btn">Adresi Kaydet</a>
                    
                    </div>
                    </div>
                </section>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\frontend\adres.blade.php ENDPATH**/ ?>