<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Ürün Ekle</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <form action="<?php echo e(route('excel-list')); ?>"  class="ml-4" method="POST" enctype="multipart/form-data">
						<?php echo csrf_field(); ?>
                    <button class="btn btn-success" type="submit">Ürün Listesi Al</button>
					 </form>
                </ol>
            </div>
        </div>
    </div>
</div>


<div class="card border border-primary">
    <div class="card-header bg-transparent border-primary">
        <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Toplu Ürün Yükle</h5>
    </div>
    <div class="card-body">
        <?php if(\Session::has('success')): ?>
        <div class="alert alert-success">
            <ul>
                <li><?php echo \Session::get('success'); ?></li>
            </ul>
        </div>
    <?php endif; ?>
                          
    <form action="<?php echo e(route('excel-add')); ?>"  class="d-flex align-item-center justify-content-between mb-5" method="POST" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <div class="row w-100" >
        <div class="col-lg-6 mb-3">
    <select class="form-control"  name="categoryId">
                                                <option value="0" selected="selected">Diğer</option>
                                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($category->id); ?>"><?php echo e($category->category_name); ?></option>
                                                    <?php $__currentLoopData = $category->children; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $downCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($downCategory->id); ?>"><?php echo e($category->category_name); ?> -> <?php echo e($downCategory->category_name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                        <div class="col-lg-6 mb-3">
                        <input type="file" name="xlsfile"  class="form-control"  >
                    </div> 
                    <div class="col-lg-12">
                        <button class="btn btn-success" style="width: 100%;" type="submit">Yükle</button>
                    </div>
                </div>
    </form>
    
    </div>
</div>


<div class="card border border-primary">
    <div class="card-header bg-transparent border-primary">
        <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Toplu Ürün Güncelle</h5>
    </div>
    <div class="card-body">
        <form action="<?php echo e(route('excel-update')); ?>"  class="d-flex align-item-center justify-content-between mb-5" method="POST" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <div class="row w-100" >
            <div class="col-lg-12 mb-3">          
                            <input type="file" name="xlsfileupdate" class="form-control"  >
            </div>
                            <div class="col-lg-12">
                            <button class="btn btn-success" style="width: 100%;" type="submit">Yükle</button>
                        </div>
                    </div>
        </form>
    </div>
</div>


       
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\product\excel.blade.php ENDPATH**/ ?>