<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0">Kategori Düzenle</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Anasayfa</a></li>
                    <li class="breadcrumb-item active">Kategori Düzenle</li>
                </ol>
            </div>
        </div>
    </div>
</div>

<form method="post">
    <div class="row">
        <div class="col-lg-8">
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Kategori Bilgileri</h5>
                </div>
                <div class="card-body">
                    <ul class="nav nav-pills nav-justified mb-3" role="tablist">
                        <?php $lang_index = 0;?>
                        <?php $__currentLoopData = Helper::Locales(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="nav-item waves-effect waves-light locale" >
                                <a class="nav-link <?php echo e($lang_index == 0 ? 'active' : ''); ?>" data-lang="<?php echo e($key); ?>" data-bs-toggle="tab" href="#lang-<?php echo e($key); ?>" role="tab">
                                    <span class="d-none d-md-block"><?php echo e($value); ?></span><span class="d-block d-md-none"><?php echo e($key); ?></span> 
                                </a>
                            </li>
                            <?php $lang_index ++;?>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            
                        </ul>
                        <div class="mb-3">
                            <label>Kategoriler</label>
                            <select class="form-control select2" style="width: 100%;" name="up_categoryId">
                                <option value="0" selected="selected">Üst Kategori</option>
                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $categoryy): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                  <?php if($categoryy->up_categoryId==0): ?>
                                    <option value="<?php echo e($categoryy->id); ?>" <?php echo e($category->up_categoryId == $categoryy->id ? 'selected' : ''); ?> ><?php echo e($categoryy->category_name); ?></option>
                                      <?php $__currentLoopData = $categoryy->children; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $downCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($downCategory->id); ?>" <?php echo e($category->up_categoryId == $downCategory->id ? 'selected' : ''); ?>  ><?php echo e($categoryy->category_name); ?> -> <?php echo e($downCategory->category_name); ?></option>
                               
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>

                        <div class="tab-content">
                    <?php $lang_index = 0;?>
                                <?php $__currentLoopData = Helper::Locales(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <div class="tab-pane <?php echo e($lang_index == 0 ? 'active' : ''); ?> " id="lang-<?php echo e($key); ?>" role="tabpanel">
                        <div class="mb-3">
                            <label for="exampleInputEmail1">Kategori Adı</label>
                            <input type="text" name="category_name_<?php echo e($key); ?>" value="<?php echo e($category->translate($key)->category_name); ?>" class="form-control" placeholder="Kategori Adı Yazınız">
                        </div>
                        <div class="mb-3">
                            <label for="exampleInputEmail1">Seo Url</label>
                            <input type="text" name="category_slug_<?php echo e($key); ?>" value="<?php echo e($category->translate($key)->category_slug); ?>" class="form-control" placeholder="Kategori Seo Url Yazınız">
                        </div>
                        <div class="mb-3">
                            <label for="exampleInputEmail1">Kategori Detay</label>
                            <textarea name="category_detail_<?php echo e($key); ?>" class="ckeditor" id="editor_<?php echo e($key); ?>"><?php echo $category->translate($key)->category_detail; ?></textarea>
                          </div>

                        <?php $lang_index ++;?>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

</div>

                        <div class="mb-3">
                            <label for="exampleInputEmail1">Kategori  Rengi</label>
                            <input type="text" name="category_color" value="<?php echo e($category->category_color); ?>" class="form-control" placeholder="Renk Kodu Giriniz">
                        </div>
           
                    <button id="categoryButton" type="button" class="btn btn-primary">Kaydet</button>
               
                </div>
            </div>
        </div>


        <div class="col-md-4">
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Kategori Banner</h5>
                </div>
                <div class="card-body">
                    <img id="coverBannerShow" src="<?php echo e($category->category_banner); ?>"  width="100%"  height="auto" style="margin:0 auto;">
						
                    <div class=" mt-3">
                        <div class="input-group">
                            <div class="custom-file">
                                <input id="coverBanner" name="category_banner" type="file" class="custom-file-input" >
                             <label class="custom-file-label" for="coverBanner">Dosya Seç</label>
                              
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Kategori Resim</h5>
                </div>
                <div class="card-body">
                    <img id="coverImageShow"  src="<?php echo e($category->category_resim); ?>"  width="100%"  height="auto" style="margin:0 auto;">
						
                    <div class=" mt-3">
                        <div class="input-group">
                            <div class="custom-file">
                                <input id="coverImage" name="category_resim" type="file" class="custom-file-input">
                         <label class="custom-file-label" for="coverImage">Dosya Seç</label>
                              
                            </div>
                        </div>
                    </div>
                </div>
            </div>
       
            
            <div class="card border border-primary">
                <div class="card-header bg-transparent border-primary">
                    <h5 class="my-0 text-primary"><i class="mdi mdi-bullseye-arrow me-3"></i>Kategori Görünürlüğü</h5>
                </div>
                <div class="card-body">
                    <div class="square-switch">
                        <input type="checkbox" name="category_status" id="square-switch1" switch="none"  <?php echo e($category->category_status == 'on' ? 'checked' : ' '); ?>>
                        <label for="square-switch1" data-on-label="On" data-off-label="Off"></label>
                    </div>
                </div>
            </div>
		</div>
    </div>
    </form>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script src="https://cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
 <script type="text/javascript">
        $(document).ready(function () {
            bsCustomFileInput.init();
        });
    </script>
  
    <script>
        $("#coverImage").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#coverImageShow').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        });
    </script>
	<script>
        $("#coverBanner").change(function () {
            var input = this;
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#coverBannerShow').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        });
    </script>
    <script>

        $("#categoryButton").click(function () {
            CKEDITOR.instances['editor_tr'].updateElement();
            var url = "<?php echo e(route("product-category-edit",$category->id)); ?>";
            var form = new FormData($("form")[0]);

            $.ajax({
                type: "POST",
                url: url,
                data: form,
                processData: false,
                contentType: false,

                success: function (response) {
                    if (response.status=="success"){
                        toastr.success(response.content, response.title);
                    }
                    else{
                        toastr.error(response.content, response.title);
                    }
                },
                error: function () {

                }
            });
        })
    </script>




<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<style>
    .custom-file-label {
        position: absolute;
        top: -9px;
        right: 0;
        left: 0;
        z-index: 1;
        height: calc(2.25rem + 2px);
        padding: .375rem .75rem;
        font-weight: 400;
        line-height: 1.5;
        color: #495057;
        background-color: #fff;
        border: 1px solid #ced4da;
        border-radius: .25rem;
        box-shadow: none;
    }

    .custom-file-label::after {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        z-index: 3;
        display: block;
        height: 2.25rem;
        padding: .375rem .75rem;
        line-height: 1.5;
        color: #495057;
        content: "Dosya Seç";
        background-color: #e9ecef;
        border-left: inherit;
        border-radius: 0 .25rem .25rem 0;
    }
</style>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\masaustu\_laravel_kurumlar\laravel9\resources\views\backend\product\product-category-edit.blade.php ENDPATH**/ ?>